/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 58 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 58 "conf/gen_parser.m4"

#line 1037 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    IMP = 268,
    PO = 269,
    PC = 270,
    NUM = 271,
    ENUM = 272,
    IP4 = 273,
    IP6 = 274,
    VPN_RD = 275,
    CF_SYM_KNOWN = 276,
    CF_SYM_UNDEFINED = 277,
    CF_SYM_METHOD_BARE = 278,
    CF_SYM_METHOD_ARGS = 279,
    TEXT = 280,
    BYTETEXT = 281,
    PREFIX_DUMMY = 282,
    NMA = 283,
    DEFINE = 284,
    ON = 285,
    OFF = 286,
    YES = 287,
    NO = 288,
    S = 289,
    MS = 290,
    US = 291,
    PORT = 292,
    VPN = 293,
    MPLS = 294,
    FROM = 295,
    MAX = 296,
    AS = 297,
    FLOW4 = 298,
    FLOW6 = 299,
    DST = 300,
    SRC = 301,
    PROTO = 302,
    NEXT = 303,
    HEADER = 304,
    DPORT = 305,
    SPORT = 306,
    ICMP = 307,
    TYPE = 308,
    CODE = 309,
    TCP = 310,
    FLAGS = 311,
    LENGTH = 312,
    DSCP = 313,
    DONT_FRAGMENT = 314,
    IS_FRAGMENT = 315,
    FIRST_FRAGMENT = 316,
    LAST_FRAGMENT = 317,
    FRAGMENT = 318,
    LABEL = 319,
    OFFSET = 320,
    QUIT = 321,
    EXIT = 322,
    HELP = 323,
    IN = 324,
    FUNCTION = 325,
    PRINT = 326,
    PRINTN = 327,
    UNSET = 328,
    RETURN = 329,
    ACCEPT = 330,
    REJECT = 331,
    ERROR = 332,
    INT = 333,
    BOOL = 334,
    IP = 335,
    PREFIX = 336,
    RD = 337,
    PAIR = 338,
    QUAD = 339,
    EC = 340,
    LC = 341,
    SET = 342,
    STRING = 343,
    BYTESTRING = 344,
    BGPMASK = 345,
    BGPPATH = 346,
    CLIST = 347,
    ECLIST = 348,
    LCLIST = 349,
    IF = 350,
    THEN = 351,
    ELSE = 352,
    CASE = 353,
    FOR = 354,
    DO = 355,
    TRUE = 356,
    FALSE = 357,
    RT = 358,
    RO = 359,
    UNKNOWN = 360,
    GENERIC = 361,
    GW = 362,
    NET = 363,
    SOURCE = 364,
    SCOPE = 365,
    DEST = 366,
    IFNAME = 367,
    IFINDEX = 368,
    WEIGHT = 369,
    GW_MPLS = 370,
    ONLINK = 371,
    PREFERENCE = 372,
    ROA_CHECK = 373,
    DEFINED = 374,
    ADD = 375,
    DELETE = 376,
    RESET = 377,
    PREPEND = 378,
    EMPTY = 379,
    FILTER = 380,
    WHERE = 381,
    EVAL = 382,
    ATTRIBUTE = 383,
    FROM_HEX = 384,
    BT_ASSERT = 385,
    BT_TEST_SUITE = 386,
    BT_CHECK_ASSIGN = 387,
    BT_TEST_SAME = 388,
    FORMAT = 389,
    ROUTER = 390,
    ID = 391,
    HOSTNAME = 392,
    PROTOCOL = 393,
    TEMPLATE = 394,
    DISABLED = 395,
    DEBUG = 396,
    ALL = 397,
    DIRECT = 398,
    INTERFACE = 399,
    IMPORT = 400,
    EXPORT = 401,
    NONE = 402,
    VRF = 403,
    DEFAULT = 404,
    TABLE = 405,
    STATES = 406,
    ROUTES = 407,
    FILTERS = 408,
    IPV4 = 409,
    IPV6 = 410,
    VPN4 = 411,
    VPN6 = 412,
    ROA4 = 413,
    ROA6 = 414,
    SADR = 415,
    RECEIVE = 416,
    LIMIT = 417,
    ACTION = 418,
    WARN = 419,
    BLOCK = 420,
    RESTART = 421,
    DISABLE = 422,
    KEEP = 423,
    FILTERED = 424,
    RPKI = 425,
    PASSWORD = 426,
    KEY = 427,
    PASSIVE = 428,
    TO = 429,
    EVENTS = 430,
    PACKETS = 431,
    PROTOCOLS = 432,
    CHANNELS = 433,
    INTERFACES = 434,
    ALGORITHM = 435,
    KEYED = 436,
    HMAC = 437,
    MD5 = 438,
    SHA1 = 439,
    SHA256 = 440,
    SHA384 = 441,
    SHA512 = 442,
    BLAKE2S128 = 443,
    BLAKE2S256 = 444,
    BLAKE2B256 = 445,
    BLAKE2B512 = 446,
    PRIMARY = 447,
    STATS = 448,
    COUNT = 449,
    COMMANDS = 450,
    PREEXPORT = 451,
    NOEXPORT = 452,
    EXPORTED = 453,
    GENERATE = 454,
    BGP = 455,
    PASSWORDS = 456,
    DESCRIPTION = 457,
    RELOAD = 458,
    OUT = 459,
    MRTDUMP = 460,
    MESSAGES = 461,
    RESTRICT = 462,
    MEMORY = 463,
    IGP_METRIC = 464,
    CLASS = 465,
    TIMEFORMAT = 466,
    ISO = 467,
    SHORT = 468,
    LONG = 469,
    ROUTE = 470,
    BASE = 471,
    LOG = 472,
    GRACEFUL = 473,
    WAIT = 474,
    MIN = 475,
    IDLE = 476,
    RX = 477,
    TX = 478,
    INTERVAL = 479,
    MULTIPLIER = 480,
    CHECK = 481,
    LINK = 482,
    SORTED = 483,
    TRIE = 484,
    SETTLE = 485,
    TIME = 486,
    GC = 487,
    THRESHOLD = 488,
    PERIOD = 489,
    MPLS_LABEL = 490,
    MPLS_POLICY = 491,
    MPLS_CLASS = 492,
    IPV4_MC = 493,
    IPV4_MPLS = 494,
    IPV6_MC = 495,
    IPV6_MPLS = 496,
    IPV6_SADR = 497,
    VPN4_MC = 498,
    VPN4_MPLS = 499,
    VPN6_MC = 500,
    VPN6_MPLS = 501,
    PRI = 502,
    SEC = 503,
    SHOW = 504,
    STATUS = 505,
    SUMMARY = 506,
    SYMBOLS = 507,
    DUMP = 508,
    RESOURCES = 509,
    SOCKETS = 510,
    NEIGHBORS = 511,
    ATTRIBUTES = 512,
    ECHO = 513,
    ENABLE = 514,
    DOMAIN = 515,
    RANGE = 516,
    STATIC = 517,
    DYNAMIC = 518,
    START = 519,
    POLICY = 520,
    AGGREGATE = 521,
    RANGES = 522,
    AGGREGATOR = 523,
    MERGE = 524,
    BY = 525,
    BFD = 526,
    MULTIHOP = 527,
    NEIGHBOR = 528,
    DEV = 529,
    LOCAL = 530,
    AUTHENTICATION = 531,
    SIMPLE = 532,
    METICULOUS = 533,
    STRICT = 534,
    BIND = 535,
    SESSIONS = 536,
    BABEL = 537,
    METRIC = 538,
    RXCOST = 539,
    HELLO = 540,
    UPDATE = 541,
    WIRED = 542,
    WIRELESS = 543,
    BUFFER = 544,
    PRIORITY = 545,
    HOP = 546,
    BABEL_METRIC = 547,
    ENTRIES = 548,
    RANDOMIZE = 549,
    MAC = 550,
    PERMISSIVE = 551,
    EXTENDED = 552,
    TUNNEL = 553,
    RTT = 554,
    DECAY = 555,
    SEND = 556,
    TIMESTAMPS = 557,
    HOLD = 558,
    CONNECT = 559,
    RETRY = 560,
    KEEPALIVE = 561,
    STARTUP = 562,
    VIA = 563,
    SELF = 564,
    PATH = 565,
    DELAY = 566,
    FORGET = 567,
    AFTER = 568,
    BGP_PATH = 569,
    BGP_LOCAL_PREF = 570,
    BGP_MED = 571,
    BGP_ORIGIN = 572,
    BGP_NEXT_HOP = 573,
    BGP_ATOMIC_AGGR = 574,
    BGP_AGGREGATOR = 575,
    BGP_COMMUNITY = 576,
    BGP_EXT_COMMUNITY = 577,
    BGP_LARGE_COMMUNITY = 578,
    ADDRESS = 579,
    RR = 580,
    RS = 581,
    CLIENT = 582,
    CLUSTER = 583,
    AS4 = 584,
    ADVERTISE = 585,
    CAPABILITIES = 586,
    PREFER = 587,
    OLDER = 588,
    MISSING = 589,
    LLADDR = 590,
    DROP = 591,
    IGNORE = 592,
    ENHANCED = 593,
    REFRESH = 594,
    INTERPRET = 595,
    COMMUNITIES = 596,
    BGP_ORIGINATOR_ID = 597,
    BGP_CLUSTER_LIST = 598,
    IGP = 599,
    GATEWAY = 600,
    RECURSIVE = 601,
    MED = 602,
    TTL = 603,
    SECURITY = 604,
    DETERMINISTIC = 605,
    SECONDARY = 606,
    ALLOW = 607,
    PATHS = 608,
    AWARE = 609,
    SETKEY = 610,
    CONFEDERATION = 611,
    MEMBER = 612,
    MULTICAST = 613,
    LIVED = 614,
    STALE = 615,
    IBGP = 616,
    EBGP = 617,
    MANDATORY = 618,
    INTERNAL = 619,
    EXTERNAL = 620,
    SETS = 621,
    NAME = 622,
    DIGITS = 623,
    BGP_AIGP = 624,
    AIGP = 625,
    ORIGINATE = 626,
    COST = 627,
    ENFORCE = 628,
    FIRST = 629,
    FREE = 630,
    VALIDATE = 631,
    ROLE = 632,
    ROLES = 633,
    PEER = 634,
    PROVIDER = 635,
    CUSTOMER = 636,
    RS_SERVER = 637,
    RS_CLIENT = 638,
    REQUIRE = 639,
    BGP_OTC = 640,
    GLOBAL = 641,
    CEASE = 642,
    HIT = 643,
    ADMINISTRATIVE = 644,
    SHUTDOWN = 645,
    CONFIGURATION = 646,
    CHANGE = 647,
    DECONFIGURED = 648,
    CONNECTION = 649,
    REJECTED = 650,
    COLLISION = 651,
    OF = 652,
    L3VPN = 653,
    TARGET = 654,
    DISTINGUISHER = 655,
    MRT = 656,
    FILENAME = 657,
    ALWAYS = 658,
    V2 = 659,
    V3 = 660,
    OSPF = 661,
    OSPF_METRIC1 = 662,
    OSPF_METRIC2 = 663,
    OSPF_TAG = 664,
    OSPF_ROUTER_ID = 665,
    AREA = 666,
    RFC1583COMPAT = 667,
    STUB = 668,
    TICK = 669,
    COST2 = 670,
    RETRANSMIT = 671,
    TRANSMIT = 672,
    DEAD = 673,
    BROADCAST = 674,
    BCAST = 675,
    NONBROADCAST = 676,
    NBMA = 677,
    POINTOPOINT = 678,
    PTP = 679,
    POINTOMULTIPOINT = 680,
    PTMP = 681,
    CRYPTOGRAPHIC = 682,
    ELIGIBLE = 683,
    POLL = 684,
    NETWORKS = 685,
    HIDDEN = 686,
    VIRTUAL = 687,
    ONLY = 688,
    LARGE = 689,
    NORMAL = 690,
    STUBNET = 691,
    TAG = 692,
    LSADB = 693,
    ECMP = 694,
    NSSA = 695,
    TRANSLATOR = 696,
    STABILITY = 697,
    LSID = 698,
    INSTANCE = 699,
    REAL = 700,
    NETMASK = 701,
    LSA = 702,
    SUPPRESSION = 703,
    RFC5838 = 704,
    PE = 705,
    TOPOLOGY = 706,
    STATE = 707,
    PERF = 708,
    EXP = 709,
    REPEAT = 710,
    MODE = 711,
    PIPE = 712,
    RADV = 713,
    RA = 714,
    SOLICITED = 715,
    UNICAST = 716,
    MANAGED = 717,
    OTHER = 718,
    CONFIG = 719,
    LINGER = 720,
    MTU = 721,
    REACHABLE = 722,
    RETRANS = 723,
    TIMER = 724,
    CURRENT = 725,
    VALID = 726,
    PREFERRED = 727,
    MULT = 728,
    LIFETIME = 729,
    SKIP = 730,
    AUTONOMOUS = 731,
    RDNSS = 732,
    DNSSL = 733,
    NS = 734,
    TRIGGER = 735,
    SENSITIVE = 736,
    LOW = 737,
    MEDIUM = 738,
    HIGH = 739,
    PROPAGATE = 740,
    RA_PREFERENCE = 741,
    RA_LIFETIME = 742,
    CUSTOM = 743,
    OPTION = 744,
    VALUE = 745,
    NG = 746,
    RIP = 747,
    INFINITY = 748,
    TIMEOUT = 749,
    GARBAGE = 750,
    VERSION = 751,
    SPLIT = 752,
    HORIZON = 753,
    POISON = 754,
    REVERSE = 755,
    ZERO = 756,
    PLAINTEXT = 757,
    DEMAND = 758,
    CIRCUIT = 759,
    RIP_METRIC = 760,
    RIP_TAG = 761,
    REMOTE = 762,
    BIRD = 763,
    PRIVATE = 764,
    PUBLIC = 765,
    SSH = 766,
    TRANSPORT = 767,
    USER = 768,
    EXPIRE = 769,
    PROHIBIT = 770,
    BLACKHOLE = 771,
    UNREACHABLE = 772,
    KERNEL = 773,
    NETLINK = 774,
    KRT_PREFSRC = 775,
    KRT_REALM = 776,
    KRT_SCOPE = 777,
    KRT_MTU = 778,
    KRT_WINDOW = 779,
    KRT_RTT = 780,
    KRT_RTTVAR = 781,
    KRT_SSTRESH = 782,
    KRT_CWND = 783,
    KRT_ADVMSS = 784,
    KRT_REORDERING = 785,
    KRT_HOPLIMIT = 786,
    KRT_INITCWND = 787,
    KRT_RTO_MIN = 788,
    KRT_INITRWND = 789,
    KRT_QUICKACK = 790,
    KRT_LOCK_MTU = 791,
    KRT_LOCK_WINDOW = 792,
    KRT_LOCK_RTT = 793,
    KRT_LOCK_RTTVAR = 794,
    KRT_LOCK_SSTRESH = 795,
    KRT_LOCK_CWND = 796,
    KRT_LOCK_ADVMSS = 797,
    KRT_LOCK_REORDERING = 798,
    KRT_LOCK_HOPLIMIT = 799,
    KRT_LOCK_RTO_MIN = 800,
    KRT_FEATURE_ECN = 801,
    KRT_FEATURE_ALLFRAG = 802,
    SYSLOG = 803,
    TRACE = 804,
    INFO = 805,
    WARNING = 806,
    AUTH = 807,
    FATAL = 808,
    BUG = 809,
    STDERR = 810,
    SOFT = 811,
    CONFIRM = 812,
    UNDO = 813,
    LATENCY = 814,
    WATCHDOG = 815,
    THREADS = 816,
    CONFIGURE = 817,
    DOWN = 818,
    PERSIST = 819,
    SCAN = 820,
    LEARN = 821,
    DEVICE = 822,
    KRT_SOURCE = 823,
    KRT_METRIC = 824
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 56 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  struct keyword *kw;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  struct f_arg *fa;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct mpls_show_ranges_cmd *msrc;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat *tf;
  mpls_label_stack *mls;
  const struct adata *bs;
  struct aggr_item_node *ai;

#line 1695 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1712 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  80
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   11286

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  591
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  493
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2131
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3456

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   824

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
     582,   583,    35,    33,   584,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   587,   581,
      29,    28,    30,   590,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   588,     2,   589,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   585,     2,   586,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,   146,
     147,   150,   152,   155,   160,   163,   171,   172,   173,   179,
     180,   181,   184,   184,   184,   185,   190,   191,   192,   193,
     194,   195,   202,   203,   204,   211,   212,   219,   225,   235,
     248,   267,   273,   279,   287,   295,   301,   301,   302,   302,
     303,   303,   306,   307,   308,   309,   310,   311,   318,   319,
     327,   328,   336,   337,   345,   346,   354,   355,   356,   357,
     358,   368,   376,   377,   386,   394,   395,   402,   403,   407,
     408,   409,   410,   417,   425,   426,   430,   431,   432,   440,
     441,   442,    37,    38,    39,    40,    41,    42,    43,    44,
      48,    49,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    65,    66,    67,    70,    71,    75,    79,    83,
      84,    88,    92,   101,   102,   106,   110,   114,   121,   122,
     126,   127,   128,   129,   133,   136,   139,   145,   149,   150,
     151,   155,   159,   165,   166,   167,   170,   172,   175,   177,
     181,   188,   189,   191,   197,   203,   203,     9,     9,    10,
      10,    11,    11,   400,   402,   402,   415,   417,   420,   421,
     425,   427,   438,   440,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   494,   495,   504,   505,   513,   514,   521,   522,
     525,   528,   532,   532,   545,   552,   558,   561,   565,   561,
     592,   593,   596,   596,   598,   598,   600,   608,   609,   626,
     627,   640,   641,   642,   643,   644,   648,   656,   657,   658,
     659,   663,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   680,   681,   682,   683,   687,   688,   689,   693,
     694,   695,   696,   697,   698,   699,   700,   705,   706,   707,
     708,   709,   713,   714,   715,   716,   717,   721,   722,   726,
     727,   731,   732,   736,   737,   738,   739,   747,   748,   751,
     752,   759,   769,   770,   774,   778,   779,   780,   781,   785,
     786,   787,   788,   789,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   807,   808,   812,   813,   814,   815,
     821,   822,   823,   826,   842,   851,   870,   871,   872,   873,
     874,   875,   876,   877,   878,   879,   880,   881,   882,   885,
     885,   887,   890,   890,   895,   900,   908,   909,   910,   911,
     912,   913,   914,   915,   916,   917,   918,   919,   920,   921,
     922,   923,   924,   926,   927,   928,   930,   932,   934,   936,
     937,   938,   939,   941,   942,   943,   944,   946,   947,   949,
     951,   952,   956,   960,   961,   962,   966,   970,   977,   978,
     982,   985,   988,   991,   997,   999,   991,  1004,  1016,  1032,
    1035,  1040,  1043,  1052,  1055,  1058,  1061,  1062,  1065,  1065,
    1071,  1072,  1076,  1081,  1094,  1095,   163,   166,   167,   171,
     172,   173,   174,   184,   186,   188,   190,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   208,   209,   217,   219,
     221,   226,   228,   232,   233,   238,   239,   240,   241,   244,
     246,   249,   251,   257,   260,   261,   265,   271,   275,   285,
     295,   297,   298,   299,   300,   301,   302,   303,   307,   313,
     318,   319,   320,   321,   322,   323,   324,   325,   330,   331,
     334,   336,   339,   341,   345,   352,   355,   358,   359,   360,
     361,   365,   366,   367,   368,   369,   373,   374,   378,   381,
     382,   383,   388,   391,   392,   393,   394,   398,   399,   400,
     401,   402,   403,   404,   405,   409,   416,   424,   425,   429,
     430,   434,   439,   440,   444,   446,   454,   458,   459,   464,
     466,   473,   474,   475,   476,   477,   481,   489,   495,   496,
     497,   501,   502,   506,   507,   508,   509,   510,   511,   517,
     518,   519,   523,   524,   528,   529,   535,   539,   540,   543,
     545,   549,   550,   553,   553,   555,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   595,
     603,   604,   605,   606,   607,   608,   609,   612,   614,   618,
     624,   624,   627,   627,   630,   630,   633,   633,   637,   638,
     641,   641,   644,   644,   648,   648,   652,   658,   664,   670,
     677,   683,   690,   695,   700,   705,   710,   714,   718,   722,
     732,   739,   748,   752,   759,   763,   764,   765,   766,   770,
     774,   778,   792,   793,   794,   795,   798,   799,   800,   801,
     806,   807,   808,   809,   810,   811,   812,   813,   814,   815,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     829,   839,   839,   843,   846,   847,   848,   849,   850,   851,
     856,   856,   858,   858,   860,   860,   862,   862,   864,   864,
     866,   866,   868,   868,   870,   870,   872,   872,   875,   875,
     879,   879,   885,   886,   887,   891,   892,   898,   898,   900,
     900,   902,   902,   904,   904,   906,   906,   908,   908,   912,
     912,   916,   917,   921,   921,   924,   924,   928,   929,   930,
     934,   935,   936,   939,   941,   942,   943,    31,    33,    35,
      38,    41,    43,    46,    48,    51,    54,    56,    67,    68,
      71,    73,    76,    78,    82,    95,    97,   117,   118,   119,
     120,   124,   125,   126,   127,   128,   129,   132,   134,   137,
     139,   142,   142,   147,   153,   176,   184,   194,   194,    29,
      31,    41,    42,    43,    44,    74,    74,    84,    84,    85,
      89,    90,   101,   106,   120,   125,    35,    37,    47,    48,
      49,    50,    51,    52,    55,    57,    61,    65,    66,    67,
      68,    72,    76,    80,    94,   114,   115,   116,   117,   118,
     119,   120,   121,   125,   126,   127,   128,   129,   130,   133,
     135,   138,   140,   144,   147,   152,   153,   154,   158,   159,
     163,   164,   167,   186,   186,    33,    35,    43,    44,    45,
      46,    49,    51,    55,    59,    80,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   173,   175,   178,   180,   185,   187,   191,   191,
     194,   194,   197,   197,   200,   200,    48,    50,    83,    85,
      86,    89,    91,    92,    93,    94,    99,   100,   104,   105,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   121,
     122,   123,   124,   125,   129,   130,   131,   132,   133,   134,
     138,   139,   145,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   214,   214,   215,   216,   217,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   235,
     261,   262,   263,   265,   265,   265,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     306,   318,   320,   323,   325,   329,   336,   339,   341,   343,
     345,   347,   349,   351,   353,   355,   357,   359,   361,   363,
     365,   368,    49,    52,    65,    67,    74,    75,    76,    77,
      78,    79,    80,    81,    84,    86,    90,    94,    95,    26,
      28,    34,    35,    36,    37,    38,    39,    40,    41,    44,
      46,    50,    53,    53,    57,    58,    59,    60,    61,    62,
     212,   215,   216,   217,   220,   236,   237,   241,   242,   246,
     255,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   275,   290,   293,   295,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     308,   309,   309,   310,   311,   312,   316,   317,   321,   329,
     331,   335,   336,   337,   341,   342,   345,   347,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   363,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   423,
     425,   428,   430,   438,   440,   441,   444,   446,   450,   451,
     454,   464,   486,   488,   492,   492,   495,   497,   500,   502,
     506,   509,   510,   511,   512,   515,   515,   518,   518,   521,
     521,   526,   526,   529,   529,   534,   534,   537,   537,   541,
     541,   550,   553,   554,   555,   556,   557,   558,   559,   560,
      24,    26,    40,    41,    42,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    23,    26,    25,    40,    41,
      42,    43,    53,    55,    68,    69,    70,    71,    72,    72,
      73,    73,    74,    75,    76,    79,    81,    85,    89,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     128,   132,   133,   134,   135,   136,   137,   137,   138,   138,
     139,   140,   141,   142,   146,   147,   148,   151,   189,   191,
     194,   196,   200,   203,   215,   216,   217,   218,   222,   229,
     237,   239,   242,   244,   248,   252,   262,   267,   268,   269,
     273,   285,   287,   291,   292,   296,   309,   314,   315,   316,
     320,   332,   334,   338,   339,   344,   345,   349,   350,   353,
     354,    47,    50,    51,    54,    68,    69,    70,    71,    72,
      73,    76,    78,    82,    86,   111,   141,   142,   143,   144,
     145,   146,   147,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   174,   175,   176,   177,   180,   182,   185,
     187,   191,   194,   195,   199,   199,   202,   202,    41,    43,
      50,    52,    54,    58,    59,    60,    61,    62,    63,    64,
      70,    76,    82,    86,    87,    90,    92,   110,   111,   115,
     122,   132,   134,   138,   139,   140,   144,    54,    56,    63,
      64,    65,    66,    67,    68,    76,    80,    85,    90,    93,
      96,   100,   106,   107,   110,   112,   115,   115,   128,   129,
     133,   138,   139,   140,   141,   142,   143,   147,   156,   158,
     161,   163,   167,   167,    23,    26,    27,    28,    31,    32,
      33,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    62,    63,    32,    34,    36,    38,
      45,    46,    49,    51,    55,    65,    66,    70,    71,    75,
      76,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      92,    95,    96,   107,   110,   111,   112,   113,   121,   121,
     124,   124,   131,   131,   134,   134,   137,   137,   140,   140,
     143,   143,   148,   148,   153,   154,   158,   159,   160,    43,
      45,    50,    51,    54,    55,    59,    60,    65,    66,    70,
      71,    72,    73,    77,    84,    85,    96,    98,   101,   102,
     105,   106,   107,   114,   121,   124,   126,   129,   131,   135,
     138,   139
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "IMP", "PO", "PC",
  "NUM", "ENUM", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN",
  "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE", "CF_SYM_METHOD_ARGS", "TEXT",
  "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES",
  "NO", "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "MAX", "AS",
  "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT",
  "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP",
  "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT",
  "FRAGMENT", "LABEL", "OFFSET", "QUIT", "EXIT", "HELP", "IN", "FUNCTION",
  "PRINT", "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT",
  "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET",
  "STRING", "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST",
  "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE",
  "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST",
  "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "ONLINK", "PREFERENCE",
  "ROA_CHECK", "DEFINED", "ADD", "DELETE", "RESET", "PREPEND", "EMPTY",
  "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX", "BT_ASSERT",
  "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "ROUTER",
  "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL",
  "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT",
  "TABLE", "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6",
  "ROA4", "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK",
  "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY",
  "PASSIVE", "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS",
  "INTERFACES", "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256",
  "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256",
  "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT",
  "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION",
  "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY",
  "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE",
  "BASE", "LOG", "GRACEFUL", "WAIT", "MIN", "IDLE", "RX", "TX", "INTERVAL",
  "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE", "SETTLE", "TIME", "GC",
  "THRESHOLD", "PERIOD", "MPLS_LABEL", "MPLS_POLICY", "MPLS_CLASS",
  "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS", "IPV6_SADR", "VPN4_MC",
  "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI", "SEC", "SHOW", "STATUS",
  "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS", "NEIGHBORS",
  "ATTRIBUTES", "ECHO", "ENABLE", "DOMAIN", "RANGE", "STATIC", "DYNAMIC",
  "START", "POLICY", "AGGREGATE", "RANGES", "AGGREGATOR", "MERGE", "BY",
  "BFD", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION",
  "SIMPLE", "METICULOUS", "STRICT", "BIND", "SESSIONS", "BABEL", "METRIC",
  "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER", "PRIORITY",
  "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE",
  "EXTENDED", "TUNNEL", "RTT", "DECAY", "SEND", "TIMESTAMPS", "HOLD",
  "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF", "PATH",
  "DELAY", "FORGET", "AFTER", "BGP_PATH", "BGP_LOCAL_PREF", "BGP_MED",
  "BGP_ORIGIN", "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR",
  "BGP_COMMUNITY", "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS",
  "RR", "RS", "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES",
  "PREFER", "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "ENHANCED",
  "REFRESH", "INTERPRET", "COMMUNITIES", "BGP_ORIGINATOR_ID",
  "BGP_CLUSTER_LIST", "IGP", "GATEWAY", "RECURSIVE", "MED", "TTL",
  "SECURITY", "DETERMINISTIC", "SECONDARY", "ALLOW", "PATHS", "AWARE",
  "SETKEY", "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED", "STALE",
  "IBGP", "EBGP", "MANDATORY", "INTERNAL", "EXTERNAL", "SETS", "NAME",
  "DIGITS", "BGP_AIGP", "AIGP", "ORIGINATE", "COST", "ENFORCE", "FIRST",
  "FREE", "VALIDATE", "ROLE", "ROLES", "PEER", "PROVIDER", "CUSTOMER",
  "RS_SERVER", "RS_CLIENT", "REQUIRE", "BGP_OTC", "GLOBAL", "CEASE", "HIT",
  "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED",
  "CONNECTION", "REJECTED", "COLLISION", "OF", "L3VPN", "TARGET",
  "DISTINGUISHER", "MRT", "FILENAME", "ALWAYS", "V2", "V3", "OSPF",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT",
  "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT",
  "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR", "STABILITY", "LSID",
  "INSTANCE", "REAL", "NETMASK", "LSA", "SUPPRESSION", "RFC5838", "PE",
  "TOPOLOGY", "STATE", "PERF", "EXP", "REPEAT", "MODE", "PIPE", "RADV",
  "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER",
  "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED",
  "MULT", "LIFETIME", "SKIP", "AUTONOMOUS", "RDNSS", "DNSSL", "NS",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM", "OPTION", "VALUE", "NG", "RIP",
  "INFINITY", "TIMEOUT", "GARBAGE", "VERSION", "SPLIT", "HORIZON",
  "POISON", "REVERSE", "ZERO", "PLAINTEXT", "DEMAND", "CIRCUIT",
  "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH",
  "TRANSPORT", "USER", "EXPIRE", "PROHIBIT", "BLACKHOLE", "UNREACHABLE",
  "KERNEL", "NETLINK", "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU",
  "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND",
  "KRT_ADVMSS", "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND",
  "KRT_RTO_MIN", "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH",
  "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING",
  "KRT_LOCK_HOPLIMIT", "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "SYSLOG", "TRACE", "INFO", "WARNING", "AUTH",
  "FATAL", "BUG", "STDERR", "SOFT", "CONFIRM", "UNDO", "LATENCY",
  "WATCHDOG", "THREADS", "CONFIGURE", "DOWN", "PERSIST", "SCAN", "LEARN",
  "DEVICE", "KRT_SOURCE", "KRT_METRIC", "';'", "'('", "')'", "','", "'{'",
  "'}'", "':'", "'['", "']'", "'?'", "$accept", "KEYWORD", "config",
  "conf_entries", "conf", "definition", "expr", "expr_us", "symbol",
  "symbol_known", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_",
  "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_",
  "net_roa6_", "net_mpls_", "net_ip_", "net_vpn_", "net_roa_", "net_",
  "net_ip4", "net_ip6", "net_ip", "net_any", "net_or_ipa",
  "label_stack_start", "label_stack", "time", "text", "opttext",
  "text_or_ipa", "bytestring", "bytestring_text", "bytestring_expr",
  "flow_num_op", "flow_logic_op", "flow_num_type_", "flow_num_type",
  "flow_flag_type", "flow_frag_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "function_type",
  "filter_body", "filter", "$@2", "where_filter", "function_body",
  "function_def", "$@3", "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var",
  "cmd_prep", "cmds_int", "fipa", "set_atom", "switch_atom", "cnum",
  "pair_item", "ec_kind", "ec_item", "lc_item", "set_item", "switch_item",
  "ec_items", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list_r", "var_list", "function_call", "symbol_value",
  "static_attr", "term_dot_method", "$@6", "method_name_cont", "$@7",
  "term", "term_bs", "break_command", "var", "for_var", "cmd", "$@8",
  "$@9", "$@10", "$@11", "get_cf_position", "lvalue", "rtrid", "idval",
  "hostname_override", "gr_opts", "net_type_base", "net_type", "table",
  "table_start", "table_sorted", "table_opt", "table_opts",
  "table_opt_list", "proto_start", "proto_name", "proto_item",
  "channel_start", "channel_item_", "channel_item", "channel_opts",
  "channel_opt_list", "channel_end", "proto_channel", "rtable", "imexport",
  "limit_action", "limit_spec", "debug_default", "timeformat_which",
  "timeformat_spec", "timeformat_base", "iface_patt_node_init",
  "iface_patt_node_body", "iface_negate", "iface_patt_node",
  "iface_patt_list", "iface_patt_list_nopx", "iface_patt_init",
  "iface_patt", "tos", "proto", "dev_proto_start", "dev_proto",
  "dev_iface_init", "dev_iface_patt", "debug_mask", "debug_list",
  "debug_flag", "mrtdump_mask", "mrtdump_list", "mrtdump_flag",
  "password_list", "password_list_body", "password_items", "password_item",
  "pass_key", "password_item_begin", "password_item_params",
  "password_algorithm", "password_item_end", "bfd_item", "bfd_items",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS",
  "cmd_DUMP_FILTER_ALL", "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size",
  "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD",
  "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args",
  "cmd_MRTDUMP", "cmd_RESTRICT", "proto_patt", "proto_patt2",
  "dynamic_attr", "mpls_domain", "mpls_domain_start", "mpls_domain_opt",
  "mpls_domain_opts", "mpls_domain_opt_list", "mpls_domain_end",
  "mpls_range", "mpls_range_start", "mpls_range_opt", "mpls_range_opts",
  "mpls_range_opt_list", "mpls_range_end", "mpls_channel",
  "mpls_channel_start", "mpls_label_policy", "mpls_channel_opt",
  "mpls_channel_opts", "mpls_channel_opt_list", "mpls_channel_end", "$@12",
  "show_mpls_ranges_args", "cmd_SHOW_MPLS_RANGES",
  "aggregator_proto_start", "aggregator_proto_item", "$@13",
  "aggregator_proto_opts", "aggregator_proto", "aggr_list", "aggr_item",
  "bfd_proto_start", "bfd_proto_item", "bfd_proto_opts", "bfd_proto",
  "bfd_accept_item", "bfd_accept", "bfd_iface_start", "bfd_iface_finish",
  "bfd_iface_item", "bfd_auth_type", "bfd_iface_opts",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor",
  "cmd_SHOW_BFD_SESSIONS", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@14", "$@15", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "l3vpn_channel_start", "l3vpn_channel",
  "l3vpn_proto_start", "l3vpn_proto_item", "l3vpn_proto_opts",
  "l3vpn_proto", "l3vpn_targets", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "stat_route_item", "stat_route_opts",
  "stat_route_opt_list", "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item",
  "log_begin", "log_config", "syslog_name", "log_limit", "log_file",
  "log_mask", "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_learn", "kern_mp_limit", "kern_channel",
  "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    61,    60,
      62,   126,   283,    43,    45,    42,    47,    37,    33,    46,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
     814,   815,   816,   817,   818,   819,   820,   821,   822,   823,
     824,    59,    40,    41,    44,   123,   125,    58,    91,    93,
      63
};
# endif

#define YYPACT_NINF -2829

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2829)))

#define YYTABLE_NINF -1512

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-1512)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     186,  3147,   217,   137,   314,   322,   333,  6358,   893,  1064,
    1064,  1132,  1064,   376,   105,  3141,  1764,    86,  1064,   174,
     361,   396, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829,  8109,   286, -2829, -2829,  8109,  8109,  6358,  3785,
       1,    21,   506,   746, -2829, -2829,   451, -2829,   490, -2829,
   -2829, -2829, -2829,   953,  1096, -2829,   534,    53,   276, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829,   595, -2829,   550,  3503, -2829, -2829, -2829,  8669,
    2431, -2829,   258,  8669, -2829,  8669, -2829,  8669, -2829,  8669,
   10700,  8669, -2829,  8669, -2829,  8669,  2716,  8669,  2977,   319,
    1563,  8669, -2829,  8669, -2829,  8669, -2829,  8669,  2587,  2675,
   -2829, -2829, -2829,  8669,  8669,  2097, -2829, -2829, -2829,    85,
   -2829, -2829,   881,   889,  1081, -2829, -2829, -2829,   800,   285,
    6358,   926, -2829,   374,   390, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,   388,
     407,   412,   536,   546,   603,   613,   620, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,  4053,   140,   627,  1028,  1036, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
    3913, -2829, -2829,  1100, -2829, -2829,   142,  1151,   142, -2829,
    1191,  1191,  1064,  1064,  1218,   210, -2829,  1255,   961,  1138,
     277,  1267, -2829,  1281, -2829,  1284,  1089,   677,   855,    73,
    1167,  1332,  1413,  1432,  1437,  1455,  1472,  1506,  1542, -2829,
   -2829,  1068,  1383,  1191, -2829, -2829,  1464,  1544,  1464,  1573,
    1575,  1044, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829,  1513,  8109, -2829, -2829,  3620, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,   276, -2829,  9229,  1570,  1570,   275,
   -2829, -2829,  1016,   142,   142,   276,   707, -2829,   210,  1021,
   -2829, -2829, -2829, -2829,   203,  1024,    46,  1379,   276,   276,
   -2829,  6358,  1031, -2829,  8109, -2829,  1065, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,   882, -2829, -2829, -2829,
    1165, -2829, -2829, -2829, -2829,  1656,  1631,  1102,  1543,   519,
     142, -2829,   965,   746,   210,  1463, -2829, -2829,  1124,  1131,
    1137,  1149, -2829, -2829,  1158,  1168,  1187,  1190, -2829, -2829,
   -2829,   -23,  1416,  1203,  1802,  1143,    82,   190,   228,   238,
    1508,   746,   519,  1468,  1665,   517,  1602,  1125,  1475,  1523,
     341,   306,   631,   481,  1564,  1621,   661,  1633,  1555,  1584,
    1166,  1561,  1732,   519,  1574,  1553,  1638,  1643,  1565,  1582,
     825,   519,   240,  1557,  1652,  1562, -2829,  1364,  1380,  1381,
   -2829,  1384,  1387,  1389,  1390,  1404,  1504, -2829,  1818,  1620,
     256,   519,  1860,   276,   519,  1872,   519, -2829,  1651, -2829,
    1131, -2829,  1426,  1442, -2829,  1443,   519,   123,  2017,   282,
    2019,  1406, -2829,  1456, -2829,  1458, -2829,   276,  1783,  1467,
    2020,  1867,  1837,  1891, -2829,  1473,  1474,  1471,  1482,  1483,
    1485,  1546,  1819,  1897, -2829,  1478,  1490,  1496,  1120,  1493,
    1912,  1738,   276,  1943,  1873,   519,  1865,   763, -2829, -2829,
   -2829, -2829,  1527, -2829,  1528,  1525,  1526, -2829,  1879, -2829,
   -2829,  1547,    72,    85,    85,  6358,   248,    85, -2829,    85,
    2109, -2829,  2113, -2829,  2114,   881,  2098, -2829, -2829,  2100,
     643,  2105,  2104, -2829, -2829, -2829,  2020,  6358,  6358,  6358,
    6358,  6358,  6358,  6358, -2829, -2829,  2128, -2829,  1571,   170,
   -2829, -2829,  2098, -2829,  3710, -2829, -2829, -2829, -2829,    70,
   -2829,  2139, -2829, -2829, -2829, -2829,  -275, -2829,   -40,  6358,
    2140,  2141, -2829,  6358,  6358,  6358,  6358,  6358,  6358,  6358,
    6358,  6358,  6358,  6358,  6358,  6358,  6358, -2829,  3883, -2829,
   -2829,  1286, -2829, -2829, -2829, -2829,  2155,  2156,  2157,  2159,
   -2829, -2829, -2829,   479,  2160, -2829, -2829, -2829, -2829,  1317,
    2161, -2829,  2162, -2829,  4285, -2829,  1823, -2829,  2164,  1284,
    1284,  1284,  1284,  1284,  1284,  1284, -2829,   155,   307,  2166,
    1284,  1284,  2175, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
    -228, -2829, -2829,  2176,  2177,  1111,  2181, -2829,  1044, -2829,
   -2829,   276,  2182,  6358, -2829,  1607, -2829,  3452,   180,  1609,
    1608,  1613, -2829, -2829, -2829, -2829,  6358,  1617, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,   276, -2829, -2829,  1619,
   -2829,   276,  1344, -2829,  1824, -2829,   276,   -80,   276,   679,
   -2829, -2829,   498, -2829, -2829, -2829, -2829, -2829, -2829,  8669,
   -2829, -2829,  2180, -2829,   256, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829,   519, -2829, -2829, -2829, -2829, -2829,    -6, -2829,
   -2829, -2829, -2829, -2829,  1961,  1962,  1331, -2829,  1624,   276,
     276, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,     4,
    1630,  1635,  -116,   622,  1966,  1967,   519,  1862,  1997,   519,
    1991,   164,  1978,  1641,  1644,  1636, -2829,  1647, -2829, -2829,
   -2829,  1358,  2190,   355,  1224,  2190,    88,   519,   276,  1987,
    1990,   276,  1999,   519,   519,  2092,   519,   519,  1661,   519,
     519,   519,   519,   519,   519,  1868,  2191,   519,   519,  1670,
     519,  1672,  2193,   519,   519, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829,   519,   731,   519, -2829, -2829,
     519, -2829,  2081,   276, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829,   276,   276, -2829,  2242,  2243, -2829, -2829, -2829,
   -2829, -2829, -2829,  1570,  6358, -2829, -2829,   339,  2083, -2829,
   -2829,   339, -2829, -2829, -2829,   339,   519,  2020, -2829, -2829,
   -2829, -2829, -2829, -2829,   889,  1081, -2829, -2829, -2829,   519,
    2020, -2829, -2829, -2829, -2829,  1556, -2829,  1331, -2829, -2829,
   -2829,   812,  1942, -2829,  1685,   519,   519, -2829,   276,  1970,
   -2829,   276, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829,   276, -2829,  2256, -2829, -2829, -2829,   543, -2829, -2829,
      85,   279, -2829, -2829, -2829, -2829,  2223,  2260, -2829,  2142,
    2244, -2829, -2829, -2829,  1004,   557,   214,   359,   401,   413,
     671,   704, -2829,  6358, -2829,  6358,  1697,    34,  1698,   782,
   -2829, -2829,  2267,   356,   438, -2829,  1081, -2829,  1702,  1704,
    3620,  2235,  2236,  4116,  4116,  4116,  4201,  4201,  4116,  4116,
    4116,  4116,  4116,  1280,  1280,  2104,  2104, 10261, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829,   415, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829,   425, -2829, -2829,   667,  2287, -2829, -2829,
   -2829,  1546,  1654,  1570,  1570, -2829,  2130,  2132,   385, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,  2273, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829,  2292,  1191,  1191,
    1191,  1191,  1191,  1191,  1668,  1284,  1191,  1284,  1191, -2829,
    1191,  1191, -2829,  1068, -2829, -2829, -2829, -2829,  1570,  1323,
     746, -2829, -2829,  2296, -2829, -2829,   863,  1717,  2289,  3138,
   -2829, -2829,  9229, -2829,   746,  1570, -2829,  1722,   817, -2829,
   -2829, -2829,  2284,  1598,  1646,   746, -2829,   746, -2829, -2829,
    1068,  1730,  1734, -2829, -2829, -2829, -2829,   906, -2829, -2829,
   -2829,  2285, -2829,  1737,  1739,  1399, -2829,  2053, -2829,  1743,
   -2829,  1741,  3422,  2278,  3123,   276,   276,  1746, -2829,  1747,
    1748,   519,   300, -2829, -2829,  2153,  2090,   276,  1752,  1757,
     276,   276,  1759,   519,   519,  1760,  1992,   276,  1762,   276,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,  8109, -2829,
     276,   276, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
    1765, -2829,   276,   276, -2829,  1766,  1767,   276,   276,  1768,
     276,  1769,  1770,   256,  1772,  1773, -2829,  1780,  1781,  1782,
    1784,  1786,  1787,   519,   452,  1788,  1792, -2829,  1793, -2829,
     519,  1794,  1797,  1378, -2829, -2829,  3618, -2829,  2869,  2313,
   -2829,   276, -2829, -2829, -2829, -2829,   276, -2829, -2829,  2095,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829,  3620, -2829,  2171,
   -2829,   519, -2829, -2829, -2829,  1798,  3033,  2948,  2225,  2302,
    1799,  1801, -2829,  2190,  2308,  2354,   276,   519,   519,   812,
    6622, -2829, -2829,  2210, -2829,   276, -2829,  1737,  1800, -2829,
      85, -2829, -2829,    85,  2367, -2829,  2353,  2362, -2829, -2829,
   -2829,  6358, -2829,  6358,  6358,  6358,  6358, -2829, -2829,   453,
     202,  4638,  6358,  4986,  6358, -2829,  1804,  6358, -2829, -2829,
   -2829,  6358, -2829,  2386,  2387, -2829, -2829, -2829, -2829, -2829,
    1286, -2829,   479, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
     881,   591,  1715, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829,  2384,  2384, -2829, -2829,  1100, -2829, -2829,
   -2829,  2403,  2404,  2405,  2408,  2410,  2412, -2829, -2829,  2401,
     256, -2829, -2829, -2829,   256,   256,  1191,  2415,  1191,  2417,
    2418,  2419, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
    3452,  3452, -2829,  6963,  9229,  1842,  1843,  1841,  1737, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,   706, -2829,
   -2829,  2186,  2187,   519,   519,  1501, -2829,  1851, -2829,  2409,
   -2829, -2829,   142, -2829, -2829,  1854,  8109, -2829, -2829, -2829,
    2395,  2158,  2279, -2829, -2829, -2829,  1861, -2829, -2829, -2829,
    1331,  2152, -2829, -2829,  1864, -2829,  2300, -2829, -2829, -2829,
    1866,  1870,  1880, -2829, -2829, -2829,  1881,  1066, -2829,  1882,
     739,   276,  1885, -2829, -2829,  1886,  1887, -2829,  1888,  1889,
   -2829,   519,  1892, -2829,  1894,   533,  1895,   421, -2829,   874,
   -2829, -2829, -2829,   206, -2829, -2829, -2829, -2829,  1898,  1899,
   -2829,  1901, -2829, -2829,  1902, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829,  1903, -2829,  1907, -2829, -2829, -2829,  1909,
   -2829, -2829,   981,  1570, -2829, -2829,  1911, -2829,  2146,  2087,
    2015,  1371,  2108,  2299,  2318,  2437,  2151,  2338,   -12,   519,
     519,  1259,   276,   519, -2829, -2829,  1920,  2482,  2094,  2103,
    1345, -2829, -2829, -2829, -2829,  1131, -2829,  1926,  1570,  1347,
     276,   746,  2379, -2829, -2829, -2829,  1931, -2829, -2829, -2829,
     293,   519, -2829,  1366, -2829,  2277,  1358, -2829,  1376, -2829,
    1935, -2829,  2065, -2829,  1236, -2829, -2829, -2829,  1342, -2829,
   -2829, -2829,  1342,  2358,  2022, -2829, -2829, -2829,  1944, -2829,
     519,   276, -2829, -2829, -2829,  1946,   276,  2344,  2472,  2344,
     626,    89,  2344, -2829, -2829, -2829,  1947, -2829,   276, -2829,
   -2829, -2829, -2829,  2354, -2829, -2829,  2494, -2829, -2829, -2829,
    2492,  6358,  6358,  1950,  6358, -2829, -2829, -2829,  6358,  6358,
   -2829,  1951,  1955, -2829, -2829,    27,  1958,  2512,  6358, -2829,
    2504,  2516, -2829,   276, -2829, -2829, -2829, -2829, -2829, -2829,
    2515,  2518, -2829,  2057,  2079,   486,   996,  1030,  1043,  1232,
    6358, -2829,  6358,  1183,    36,  3620,  1971,  1194,    30,  1972,
    2537,   782,  3620, -2829, -2829,  1975, -2829, -2829,  2535,   881,
    2098,  1100, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,  2556, -2829,  2557, -2829, -2829, -2829,
    9229,  2467, -2829,  9229,  1981, -2829, -2829,  6963, -2829, -2829,
    1988, -2829, -2829,  2554, -2829,  2329,  2332, -2829, -2829,   276,
     276, -2829,  1375,  1424, -2829, -2829, -2829, -2829, -2829,    15,
   -2829,  7566, -2829,  2020, -2829,   463, -2829, -2829,  1993, -2829,
     111, -2829,   519, -2829, -2829, -2829,  2429, -2829,   276, -2829,
   -2829,  2407,  2173,  2183, -2829,   231,  2185,  1396,   805, -2829,
   -2829,  2003,  2004,  2011, -2829, -2829, -2829, -2829, -2829,  2012,
   -2829, -2829,   519, -2829,  1597,  2360,   276,   276, -2829,  2025,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829,   230,   820, -2829, -2829,  1095,   308,   519,   519,    33,
    2020,   519,  2301,   563,  2020, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829,   504,   504,   504,  2588, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,  2290, -2829, -2829, -2829,
     276,   276,   519, -2829,  2028,   276, -2829,  2029,   256, -2829,
   -2829,  2030,   276, -2829, -2829,   276,  2031, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,  2032, -2829, -2829, -2829,   112,    25,
   -2829,   519,  2555, -2829, -2829, -2829,  2445, -2829, -2829, -2829,
   -2829,   276,  2552,   276, -2829, -2829, -2829, -2829,  6358, -2829,
    2573, -2829, -2829, -2829,   276, -2829, -2829,  2494,  2607,   260,
     630,  9861,  1969,  4084,   135,  3767, -2829, -2829,  2039,  6963,
    6358, -2829,  6358,   695, -2829,  6358, -2829,  -136,  2610,  2597,
   -2829, -2829, -2829, -2829,  2574, -2829, -2829,  1771,  2568, -2829,
   -2829, -2829, -2829, -2829, -2829,   302,  2600,  2600,  1293,  2058,
   -2829,   302,  2600,  2600,  1342,  2059,  6358, -2829, -2829, -2829,
   -2829,  1298,  1393, -2829,  2611,  6358, -2829,  5329, -2829,  2613,
    6358,  2642,  5672,  6015,  2066,  6358, -2829, -2829, -2829,   871,
   -2829, -2829,    35, -2829, -2829, -2829,  2067,   276,   276, -2829,
   -2829,   881,  2098, -2829, -2829, -2829, -2829,   276,   276, -2829,
    2070, -2829,  6358, -2829, -2829,  2069, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,  1993, -2829, -2829,  8109,   746,  2368,
   -2829,  2072,   519,  2077,  2261,  2397, -2829, -2829, -2829, -2829,
   -2829, -2829,  1066, -2829, -2829, -2829, -2829, -2829, -2829,  2432,
    2434,  2439, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829,   865,   865,  1331,  2269, -2829, -2829, -2829,
   -2829, -2829,  2487,  2430, -2829, -2829,   519, -2829, -2829, -2829,
   -2829, -2829,  1611,  2093, -2829, -2829, -2829, -2829, -2829, -2829,
     519,  1737,  2101, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,  2106, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,   276,  2107,   276, -2829,
     519, -2829,  1451, -2829, -2829,  2111, -2829, -2829, -2829, -2829,
    2096,  2099, -2829,  7226, -2829, -2829,  9229,  2598,  6358,  9789,
   -2829, -2829,  1982,  2014, -2829, 10261,  2052,  1331, -2829,  2112,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,  2670,   276,  1836, -2829,  2110, -2829,
      64,   276,  1640,    74, -2829, -2829, -2829, -2829,  1836,    64,
      74,  2604, -2829,  1486, -2829, -2829,  2115,  2116,  1266,    50,
    2118,  1268,  2120,  2123,    51,  2127,    54, -2829,  2129, -2829,
   -2829,  6358, -2829, -2829, -2829, -2829, -2829, -2829, -2829,  1627,
    7566, -2829, -2829,  1751, -2829, -2829, -2829,  1331,  2402, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,   276,   276,   276, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,   519,   276, -2829, -2829,
     365, -2829,  2065, -2829, -2829,    98,   103,   615,  2488,   509,
   -2829, -2829, -2829, -2829, -2829,  2188, -2829, -2829, -2829, -2829,
   -2829, -2829,  2124,  2133,  2579,    92, -2829, -2829,  3620, -2829,
   -2829, -2829, -2829, -2829, -2829,  2134, -2829, -2829, -2829,   276,
   -2829, -2829,   276,  2288,   276, -2829,  2600,  2600,  2654, -2829,
   -2829, -2829, -2829, -2829,  2600,  2600,  2681, -2829, -2829, -2829,
   -2829,  2668,  6358, -2829, -2829, -2829,  2676,  6358, -2829,  6358,
    2706, -2829,  6358, -2829, -2829,  2064, -2829, -2829, -2829, -2829,
   -2829,   519,  2131,  1628,  2486,   276,   276,   910, -2829, -2829,
   -2829, -2829,   194,  2136,  2147, -2829,   519, -2829,  2102, -2829,
   -2829, -2829, -2829, -2829, -2829,  2093, -2829, -2829,  4270, -2829,
   -2829, -2829,   771, -2829,   519,   276,   519, -2829,  2150,   276,
     645,   276,   276,  2400,   454, -2829, -2829,  2163,   519,  2238,
    2247,   519,   519, -2829,  2168,  1450, -2829,   369,   109,   195,
    2122, -2829,   624, -2829, -2829,  7226, -2829, -2829, -2829,  3710,
   -2829, -2829,  2727, -2829, -2829, -2829, -2829,   847,  6358,  2154,
    2167, -2829, -2829,  2110,   276, -2829,   276,   276,   276,  1640,
    1640, -2829,  2178,  2179,  2184,  2189,  2194,  2165,  2195, -2829,
   -2829,  1700,  2505,  2506,  2510, -2829, -2829, -2829,  1690, -2829,
    2567, -2829, -2829, -2829,  6358, -2829, -2829, -2829, -2829,  1538,
   -2829, -2829, -2829,   276,  2461,   658,   276,  2468,   797,  2531,
      -8,   276,  2539,  2541,  2713,   568,  2466, -2829, -2829,  2200,
   -2829,  1461,   276,  2483,   976,  2544,  2327,  2201,   519,   665,
    2355,   276,   276,  2428,   276,   519,   276,  2469,   614,   189,
     276,  2664,  2364, -2829, -2829,  2209, -2829,   276,  2214, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,   276,
     276, -2829, -2829, -2829,   276,   276, -2829, -2829, -2829,  2326,
     130,   -13,    60,  -150,  2320,  2328,   519,  2324,  2559,  2322,
    2502,  2519,  2520,  2307, -2829,  2227,   583,  1331, -2829,  2228,
    2785,   583, -2829,  2231, -2829, -2829, -2829,   276,   519,  2514,
    1052,   -85,   519,   143,   276,  2575,  1331,  2455,  2576,  2691,
     372,  2577,  2578,   579,  2314,  2311,  2316, -2829, -2829,  2248,
    2312,  2319,   746, -2829,  2255, -2829, -2829,  1729,   177,   400,
   -2829,  3620,  2268,  6358, -2829,  2792,  2812, -2829, -2829, -2829,
   -2829, -2829, -2829,  6358, -2829,  6358, -2829,  2264,  2271,   276,
     276,   276, -2829, -2829,  1692,  1777,  2828,   572,   276,  2828,
    1581,   647,  2270, -2829,  1736, -2829, -2829, -2829, -2829,   276,
     276,   276,   276,   276, -2829,   519, -2829,  2547, -2829,   276,
     276,  2558,   276,   276,   276,   276,   519, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829,   670,   276,   276,
   -2829,   519,  2398, -2829, -2829, -2829, -2829, -2829,   519, -2829,
   -2829,   972, -2829, -2829, -2829,   276,   276, -2829,   519,   519,
   -2829,   276,   519, -2829, -2829, -2829, -2829, -2829,  2371,  2371,
    2624,  2623, -2829,  1276,   276,  1276,  2628,   276,   276,  2631,
     276,  2399, -2829,   519,   276,   276,  2699,   519,   112,   519,
      25,   119, -2829,   276, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829,   276,   276,   276, -2829,   519,
     519, -2829, -2829, -2829, -2829, -2829, -2829, -2829,   276, -2829,
    1139,   276,   276, -2829, -2829,   276,   276,   519, -2829,   519,
     519,   519, -2829,  2690,  2693, -2829, -2829, -2829, -2829,  6358,
   -2829, -2829, -2829,  2763, -2829,  1789,   276,   276,  2294,  2295,
   -2829,  1700, -2829, -2829, -2829, -2829, -2829, -2829, -2829,  2297,
    2828,  2828,  2309,  2315,  1502,  1596, -2829, -2829, -2829, -2829,
    2317,  2828,  2828, -2829,  1331,  1331, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829,   519, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829,   519,   108, -2829,
    2436, -2829, -2829, -2829, -2829, -2829, -2829, -2829,   519, -2829,
   -2829,   276,   276, -2829, -2829, -2829, -2829,  2371, -2829,   276,
    2371, -2829,   276, -2829,   519, -2829, -2829, -2829,   276, -2829,
   -2829, -2829, -2829,   276,   519, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829,  2448, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829,   746,   746,  1729,  7226,  2325, -2829, -2829, -2829,
    6358, -2829,  1538,  2330,  2333,  1538,  1538, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829,  1538,  2337,  2339,
   -2829, -2829, -2829, -2829, -2829, -2829,  2454, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,  2393, -2829,
   -2829, -2829, -2829, -2829, -2829,  2321, -2829,  1538,  1538, -2829,
   -2829, -2829,  1538,  1538, -2829,  2341,   195,  6358, -2829, -2829,
   -2829, -2829, -2829, -2829,  2342, -2829
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
     541,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2094,     0,   540,   687,   689,   691,  1120,  1122,  1124,  1126,
    1130,  1132,  1134,  1191,  1200,  1202,  1204,  1206,  1208,  1210,
    1212,  1214,  1216,  1218,  1220,  1227,  1229,  1231,  1233,  1235,
    1237,  1239,  1243,  1245,  1297,  1363,  1408,  1410,  1412,  1414,
    1612,  1755,  1757,  1759,  1761,  1763,  1765,  1767,  1769,  1944,
    1946,  2012,  2078,  2080,  2082,  2084,  2086,  2088,  2090,  2092,
       1,   539,     0,   957,   954,   955,     0,     0,     0,     0,
       0,     0,     0,     0,   974,   975,     0,   947,   948,   950,
     951,   952,   953,     0,     0,  2048,     0,     0,     0,   543,
     542,   544,   693,   696,   698,   700,   702,   736,   936,   943,
     945,   956,     0,   958,   961,     0,  1018,  1022,   973,   976,
     980,  1257,  1263,   976,  1299,   976,  1316,   976,  1365,   976,
     980,   976,  1582,   976,  1599,   976,   980,   976,   980,     0,
     980,   976,  1802,   976,  1891,   976,  1948,   976,   980,   980,
    2047,  2070,  2073,   976,   976,   980,   688,   690,   692,   823,
     824,   835,   749,   750,   830,   555,   827,   828,     0,     0,
       0,     0,   846,     0,     0,   849,   825,   826,   847,   848,
     850,   851,   852,   853,   854,   855,   857,   858,   856,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,  1254,  1255,
    1256,  1407,  1568,  1571,  1570,  1567,  1569,  1572,  1573,  1574,
    1577,  1579,  1575,  1576,  1578,  1580,  1751,  1752,  1753,  1754,
    1889,  1890,  1942,  1943,  2018,  2019,  2020,  2021,  2022,  2023,
    2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,
    2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,
    2044,  2045,  2130,  2131,     0,     0,   845,   576,   577,   586,
     578,   579,   580,   581,   587,   582,   583,   584,   831,   685,
     686,   585,   829,   839,   884,   885,   901,   883,   886,   888,
       0,   900,   887,  1247,  1249,  1248,     0,     0,     0,  1247,
     608,   608,     0,     0,     0,     0,  1246,     0,     0,  1251,
       0,     0,  1136,     0,  1193,  1129,     0,     0,  1129,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
    1222,     0,  1225,   608,  1614,  2095,  2094,     0,  2094,     0,
       0,  2096,  2091,   553,   552,     2,     3,     4,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   554,     0,     0,   737,   694,   697,   704,   705,
     706,   708,   707,   709,   710,   711,   712,   713,   714,   715,
     716,   717,   718,   719,     0,   720,     0,     0,     0,     0,
     606,   605,     0,     0,     0,     0,   561,   949,     0,     0,
    1024,  1023,  1025,  1026,     0,     0,     0,     0,     0,     0,
     546,     0,     0,   548,     0,   962,   971,  1050,  1949,  1417,
    1978,  1300,  1317,  1366,  1585,  1600,  1621,  1781,  1796,  1803,
    1892,  2100,  2117,  1624,  1894,    13,   977,     0,     0,   561,
       0,  1056,     0,     0,     0,     0,  1049,   988,     0,  1002,
       0,     0,  1261,  1265,     0,     0,     0,     0,  1276,  1527,
    1528,     0,     0,     0,     0,     0,  1517,  1518,     0,     0,
       0,     0,   561,     0,     0,     0,     0,     0,     0,     0,
     561,     0,  1421,  1418,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   561,     0,     0,     0,     0,     0,     0,
       0,   561,     0,     0,     0,     0,  1416,     0,     0,  1289,
    1529,  1563,     0,     0,     0,     0,     0,   957,     0,     0,
       0,   561,     0,     0,   561,     0,   561,  1620,  1627,  1631,
    1002,  1632,     0,     0,  1645,     0,   561,     0,     0,     0,
       0,     0,  1780,     0,  1785,     0,  1798,     0,     0,     0,
       0,     0,     0,     0,  1795,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1977,     0,     0,     0,  2001,  2010,
       0,     0,     0,     0,     0,   561,     0,   561,  2099,  2109,
    2107,  2108,     0,  2110,     0,     0,     0,  2123,     0,  2116,
    2120,     0,   823,   823,   823,     0,     0,   823,   845,   823,
       0,   812,     0,   568,     0,     0,     0,   571,   572,     0,
       0,     0,   881,   575,   680,   680,     0,     0,     0,     0,
       0,     0,     0,     0,   772,   773,     0,   775,     0,     0,
     751,   754,   750,   753,     0,   832,   756,   576,   577,   803,
     752,   790,   787,   788,   789,   799,     0,   807,     0,   840,
       0,     0,  1219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   859,     0,  1059,
    1058,     0,  1242,  1240,  1241,   607,     0,     0,     0,     0,
    1234,  1070,  1069,     0,     0,  2093,  1293,  1250,  1252,  1251,
       0,  1131,     0,  1123,     0,  1121,     0,  1128,     0,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1771,  1129,  1129,     0,
    1129,  1129,     0,  1213,  1205,  1215,  1207,  1201,  1203,  1209,
    1211,  2066,  2061,  2064,  2062,  2063,  2065,  2067,  2068,  2069,
       0,  2059,  1226,     0,     0,     0,     0,  2087,  2096,  2083,
    2085,  2097,     0,     0,  1259,     0,   726,     0,   721,     0,
       0,     0,   939,   941,   942,  1045,     0,     0,   944,  1019,
    1020,  1021,   557,   559,   558,   560,     0,   556,  2074,     0,
    2072,  1027,     0,  1035,  2051,  2056,  2052,     0,     0,     0,
    2077,  2076,     0,  2046,   960,   969,   959,  1622,  1623,   976,
    1893,   978,     0,  1051,     0,   981,   982,  1036,   987,   986,
     985,   983,   561,  1052,  1000,  1004,  1053,  1054,     0,  1258,
    1307,  1324,  1371,  1444,     0,     0,     0,  1462,     0,     0,
       0,  1521,  1519,  1522,  1520,  1523,  1525,  1524,  1526,     0,
       0,     0,     0,   561,     0,     0,   561,     0,     0,   561,
       0,     0,     0,     0,     0,     0,  1463,     0,   562,   563,
     564,     0,   565,     0,     0,   565,     0,   561,     0,     0,
       0,     0,     0,   561,   561,     0,   561,   561,     0,   561,
     561,   561,   561,   561,   561,     0,     0,   561,   561,     0,
     561,     0,     0,   561,   561,  1445,  1447,  1287,  1291,  1561,
    1565,  1446,  1594,  1609,  1625,   561,   561,   561,  1646,  1633,
     561,  1643,  1640,     0,  1634,  1628,  1629,  1004,  1626,  1648,
    1782,  1792,     0,     0,  1791,     0,     0,  1788,  1793,  1794,
    1784,  1783,   995,   732,     0,  1009,  1010,     0,     0,  1008,
     990,     0,   991,  1006,   989,     0,   561,     0,  1799,  1800,
    1815,  1901,  1951,  1979,     0,     0,   595,   594,  1996,   561,
       0,  1980,  1981,  1982,  2003,     0,  2002,     0,  2006,  2004,
    2005,  1992,  1998,  2008,     0,   561,   561,  2016,     0,     0,
    2111,     0,  2104,  2103,  2113,  2014,  2102,  2101,  2118,  1036,
    2121,     0,  2119,     0,   815,   821,   819,     0,   749,   750,
     823,     0,   820,   822,   814,   567,   569,     0,   889,     0,
       0,   890,   681,   682,     0,     0,     0,     0,     0,     0,
       0,     0,   774,     0,   866,     0,     0,     0,     0,   761,
     804,   805,     0,     0,     0,   833,     0,   834,   843,     0,
     841,     0,     0,   878,   876,   874,   871,   872,   873,   875,
     877,   879,   880,   867,   868,   869,   870,     0,  1187,  1185,
    1186,  1170,  1173,  1177,  1180,  1183,  1184,  1171,  1172,  1174,
    1175,  1176,  1178,  1179,  1181,  1182,  1188,  1189,  1190,  1063,
    1064,  1065,  1067,  1068,  1066,     0,  1061,  1232,  1228,  1236,
    1238,  1074,  1075,     0,  1072,  1244,     0,     0,  1125,  1133,
    1135,     0,     0,   732,     0,  1146,     0,  1167,     0,  1148,
    1147,  1152,  1153,  1166,  1168,  1169,  1137,  1145,     0,  1192,
    1199,  1195,  1196,  1197,  1198,  1194,  2013,     0,   608,   608,
     608,   608,   608,   608,     0,  1129,   608,  1129,   608,  1756,
     608,   608,  1217,     0,  1224,  1221,  1230,  1613,   732,     0,
       0,  1618,  2089,     0,  2098,  2079,     0,   722,   728,     0,
     695,   730,     0,   699,     0,     0,  1036,     0,     0,   937,
    2075,  2071,     0,  1029,  1032,     0,  2055,     0,  2054,  2057,
       0,     0,     0,   549,   550,   551,   547,     0,  1797,   979,
     984,  1039,  1042,  1057,     0,     0,  1005,     0,  1264,     0,
    1260,  1272,   980,   980,   980,     0,     0,     0,  1453,     0,
       0,   561,   561,  1492,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,   561,   561,     0,     0,     0,     0,     0,
    1510,  1509,  1117,  1512,  1464,   593,   592,  1421,     0,  1421,
       0,     0,  1424,  1425,  1450,  1439,  1440,  1441,  1442,  1443,
       0,  1418,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,   561,     0,     0,     0,  1493,     0,  1457,
     561,     0,     0,     0,  1275,  1004,     0,  1566,   980,   980,
    1635,     0,  1638,  1637,  1642,  1636,     0,  1644,  1630,     0,
    1790,  1789,  1786,  1787,   731,  1007,   726,   734,  1017,  1011,
     993,   561,   994,   992,   997,     0,   980,   980,   980,  1994,
       0,     0,  1987,   565,  1999,     0,     0,   561,   561,  1993,
       0,  1985,  2114,  2105,  2015,     0,  2112,  1044,  2127,  2122,
     823,   813,   817,   823,     0,   569,     0,     0,   676,   678,
     897,     0,   882,     0,     0,     0,     0,   902,   899,     0,
       0,     0,     0,     0,     0,   755,     0,     0,   791,   800,
     808,     0,   844,     0,     0,   861,   862,   864,   860,   865,
       0,  1060,     0,  1071,  1298,  1295,  1296,  1294,  1127,  1139,
    1164,  1165,     0,  1161,  1162,  1163,  1157,  1155,  1156,  1138,
    1154,  1144,  1151,     0,     0,  1141,  1140,   555,  1149,  1150,
    1364,     0,     0,     0,     0,     0,     0,  1770,  1779,     0,
       0,  1774,  1777,  1772,     0,     0,   608,     0,   608,     0,
       0,     0,  2060,  1617,  1616,  1615,  1619,  2081,   545,   724,
       0,     0,   738,   740,     0,     0,     0,     0,  1046,   938,
     940,  1028,  1030,  1031,  1033,  1034,  2050,  2053,     0,  2049,
     946,     0,     0,   561,   561,     0,   972,     0,  1040,   608,
    1036,  1055,     0,  1003,   998,     0,     0,  1262,  1270,  1274,
       0,     0,     0,  1309,  1301,  1302,     0,  1331,  1333,  1333,
       0,     0,  1326,  1318,     0,  1374,     0,  1373,  1367,  1368,
       0,     0,     0,  1476,  1475,  1474,     0,     0,  1426,     0,
     561,     0,     0,  1502,  1501,     0,     0,  1508,     0,     0,
    1488,   561,     0,  1465,     0,     0,     0,     0,   566,     0,
    1422,  1423,  1515,     0,  1419,  1420,  1467,  1459,     0,     0,
    1480,     0,  1469,  1455,     0,  1456,  1490,  1472,  1495,  1471,
    1470,  1507,  1473,     0,  1496,     0,  1498,  1499,  1458,     0,
    1468,  1516,     0,     0,  1290,  1281,     0,  1292,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   561,
     561,   561,     0,   561,  1564,  1536,     0,     0,     0,     0,
       0,  1596,  1583,  1586,  1588,  1002,  1587,     0,   732,     0,
       0,     0,     0,  1611,  1605,  1601,     0,  1639,  1641,  1741,
       0,   561,  1661,   561,  1659,     0,     0,  1651,   561,  1647,
       0,  1665,  1742,   733,     0,  1016,   996,  1801,     0,  1818,
    1808,  1810,     0,     0,     0,  1817,  1804,  1805,     0,  1904,
     561,     0,  1903,  1895,  1896,     0,     0,  1963,     0,  1963,
       0,     0,  1963,  1950,  1953,  1954,     0,  1957,     0,  1997,
    1983,  1984,  1986,     0,   601,   602,  1988,  1990,  1989,  1991,
     555,   840,   840,     0,     0,   903,   904,   905,     0,     0,
     913,     0,     0,   742,  2011,     0,     0,   934,   840,  2007,
       0,   935,  2009,     0,  2115,  2017,  2125,  2129,   816,   818,
       0,     0,   891,     0,     0,     0,     0,     0,     0,     0,
       0,   836,     0,     0,     0,   761,     0,     0,     0,     0,
       0,     0,   842,   573,   574,     0,  1062,  1073,     0,  1158,
    1159,     0,  1142,  1143,  1415,  1409,  1411,  1413,  1760,  1758,
    1775,  1778,  1773,  1776,     0,  1762,     0,  1766,  1945,  1947,
       0,   729,   726,     0,     0,   746,   747,   741,   744,   745,
       0,  1581,   701,     0,  2058,     0,     0,   963,   964,     0,
       0,   970,  1037,     0,  1041,  1043,   999,  1001,  1267,     0,
    1266,     0,  1305,     0,  1308,  1319,  1036,  1320,  1351,  1321,
    1355,  1322,   561,  1325,  1036,  1369,     0,  1372,     0,  1482,
    1484,     0,     0,     0,  1430,     0,     0,     0,     0,  1428,
    1485,     0,     0,     0,  1503,  1460,  1481,  1486,  1489,     0,
    1466,  1477,   561,  1116,     0,     0,     0,     0,  1119,     0,
    1513,  1452,  1451,  1449,  1479,  1478,  1461,  1454,  1500,  1497,
    1514,     0,     0,  1282,  1288,     0,   561,   561,   561,     0,
       0,   561,     0,     0,     0,  1543,  1544,  1545,  1541,  1557,
    1556,  1558,  1546,  1562,  1589,     0,     0,     0,     0,  1004,
    1595,  1604,  1603,  1602,  1607,  1606,     0,  1610,  1036,  1664,
       0,     0,   561,  1652,     0,     0,  1650,     0,     0,  1668,
    1663,  1667,     0,  1657,  1649,     0,  1675,  1012,  1013,  1014,
    1015,   591,   590,  1853,  1862,  1807,  1036,  1806,     0,     0,
    1813,   561,     0,  1816,  1036,  1900,  1897,  1899,  1902,  1965,
    1964,     0,     0,     0,   610,   611,   612,   609,     0,  1966,
    1955,  1969,  1970,  1958,     0,  1952,  1995,  2000,     0,     0,
       0,     0,     0,     0,     0,     0,   932,   932,     0,   740,
       0,   926,     0,     0,   928,     0,  2106,     0,     0,     0,
     634,   645,   646,   632,     0,   635,   636,     0,     0,   639,
     640,   644,   641,   683,   642,     0,   658,   658,     0,     0,
     684,     0,   658,   658,     0,     0,     0,   894,   895,   893,
     896,     0,     0,   770,     0,     0,   768,     0,   764,     0,
       0,   762,     0,     0,     0,   840,  1160,  1764,  1768,     0,
     721,   739,     0,   735,   748,   727,     0,     0,     0,   967,
     968,   598,   599,   600,   596,   597,  1038,     0,     0,  1273,
       0,  1313,     0,  1315,  1314,  1304,  1310,   726,  1303,  1329,
    1327,  1328,  1330,  1332,  1351,  1349,  1334,     0,     0,  1358,
    1323,  1404,   561,     0,     0,     0,  1433,  1434,  1432,  1436,
    1435,  1437,     0,  1427,  1505,  1504,  1506,  1487,  1115,     0,
       0,     0,  1110,  1114,  1118,  1284,  1285,  1283,  1278,  1280,
    1277,  1279,  1286,   561,   561,     0,     0,  1551,  1552,  1553,
    1554,  1555,     0,     0,  1560,  1547,   561,  1533,  1534,  1535,
    1542,  1559,     0,     0,  1597,  1591,  1592,  1593,  1590,  1584,
     561,  1744,  1748,  1654,  1655,  1653,  1729,  1656,  1729,  1689,
    1669,  1658,  1743,  1676,  1860,  1859,  1850,  1866,  1865,  1873,
    1809,  1875,  1876,  1883,  1811,  1814,     0,  1939,     0,  1960,
     561,  1959,     0,  1956,  1967,     0,  1961,   603,   924,   925,
       0,     0,   918,     0,   809,   909,     0,     0,     0,     0,
     910,   743,     0,     0,   923,     0,     0,     0,  2128,     0,
     570,   892,   633,   637,   638,   643,   628,   626,   624,   623,
     625,   627,   622,   629,   651,     0,   668,   653,   649,   659,
     669,     0,     0,   670,   589,   588,   667,   677,   673,   674,
     675,   671,   679,     0,   837,   838,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,   723,
     725,     0,   907,   703,   966,   965,  1269,  1268,  1271,     0,
       0,  1306,  1334,     0,  1354,  1356,  1357,     0,  1360,  1402,
    1375,  1370,  1483,  1431,  1438,  1429,     0,     0,     0,  1531,
    1532,  1530,  1539,  1538,  1537,  1540,   561,     0,  1550,   797,
       0,  1608,  1742,  1746,  1750,     0,     0,     0,  1678,     0,
    1864,  1848,  1847,  1871,  1881,     0,  1937,  1905,  1898,  1962,
     613,  1971,     0,     0,   911,     0,   908,   914,   932,   933,
     934,   932,   935,   917,   920,     0,   919,  2124,  2126,     0,
     647,   631,   630,     0,     0,   630,   658,   658,     0,   660,
     661,   662,   663,   664,   658,   658,     0,   898,   785,   769,
     767,     0,     0,   765,   783,   763,     0,     0,   781,     0,
     779,   778,     0,   776,   863,     0,  1312,  1311,  1353,  1083,
    1084,   561,     0,     0,     0,     0,     0,     0,  1352,  1342,
    1076,  1078,     0,  1109,     0,  1359,   561,  1362,  1376,  1406,
    1111,  1112,  1113,  1548,  1549,     0,  1598,  1745,     0,  1662,
    1732,  1730,  1733,  1660,   561,     0,   561,  1666,     0,     0,
       0,     0,     0,     0,     0,  1674,  1688,     0,   561,     0,
       0,   561,   561,  1863,     0,     0,  1852,  1867,  1877,     0,
       0,  1941,     0,   922,   921,     0,   742,   757,   760,     0,
     927,   759,   795,   792,   793,   794,   801,     0,     0,     0,
       0,   929,   652,   650,     0,   654,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,   906,
    1340,  1079,     0,     0,     0,  1335,  1339,  1343,     0,  1344,
       0,  1341,   617,   616,     0,  1085,   618,   619,   620,  1086,
    1082,  1350,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1405,  1401,     0,
     798,     0,     0,     0,     0,     0,     0,     0,   561,     0,
       0,     0,     0,     0,     0,   561,     0,     0,     0,     0,
       0,     0,     0,  1749,  1728,     0,  1734,     0,     0,  1672,
    1673,  1671,  1670,  1682,  1685,  1686,  1687,  1679,  1680,     0,
       0,  1683,  1677,  1855,     0,     0,  1854,  1856,  1861,     0,
       0,     0,     0,     0,     0,     0,   561,     0,     0,     0,
       0,  1836,  1838,     0,  1851,     0,     0,     0,  1870,     0,
       0,     0,  1880,     0,   614,  1812,   615,     0,   561,     0,
       0,     0,   561,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1940,  1932,     0,
       0,     0,     0,  1976,     0,   912,   811,   761,     0,     0,
     742,   915,     0,     0,   648,     0,     0,   655,   666,   665,
     784,   766,   782,     0,   780,     0,   777,     0,     0,     0,
       0,     0,  1345,  1346,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1377,     0,  1380,  1381,  1382,  1379,     0,
       0,     0,     0,     0,  1387,   561,  1393,  1394,  1378,     0,
       0,     0,     0,     0,     0,     0,   561,  1403,  1697,  1698,
    1699,  1700,  1701,  1702,  1703,  1704,  1694,     0,     0,     0,
    1722,   561,     0,  1736,  1727,  1716,  1717,  1718,   561,  1691,
    1709,   561,  1690,  1711,  1693,     0,     0,  1695,   561,   561,
    1692,     0,   561,  1747,  1735,  1731,  1681,  1684,  1887,  1887,
       0,     0,  1835,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1823,   561,     0,     0,     0,   561,     0,   561,
       0,     0,  1849,     0,  1885,  1869,  1868,  1874,  1872,  1878,
    1879,  1884,  1882,  1911,  1909,     0,     0,     0,  1925,   561,
     561,  1930,  1933,  1936,  1935,  1934,  1931,  1906,     0,  1910,
     561,     0,     0,  1907,  1908,     0,     0,   561,  1912,   561,
     561,   561,  1938,     0,     0,  1975,  1968,  1972,   758,     0,
     796,   802,   810,     0,   930,     0,     0,     0,     0,     0,
    1077,  1079,  1336,  1337,  1338,  1347,  1348,   621,   604,     0,
       0,     0,     0,     0,     0,     0,  1105,  1106,  1107,  1108,
       0,     0,     0,  1109,     0,     0,  1385,  1386,  1048,  1047,
    1388,  1389,  1395,  1383,  1384,   561,  1397,  1396,  1399,  1398,
    1400,  1720,  1719,  1721,  1724,  1723,  1712,   561,     0,  1710,
       0,  1725,  1708,  1696,  1707,  1706,  1713,  1705,   561,  1857,
    1858,     0,     0,  1844,  1845,  1846,  1831,  1887,  1832,     0,
    1887,  1821,     0,  1825,   561,  1824,  1826,  1827,     0,  1841,
    1837,  1842,  1839,     0,   561,  1886,  1923,  1924,  1926,  1929,
    1916,  1918,     0,  1927,  1921,  1922,  1919,  1920,  1913,  1914,
    1915,  1917,     0,     0,     0,     0,     0,   657,   656,   771,
       0,  1080,  1086,     0,     0,  1086,  1086,  1095,  1096,  1097,
    1098,  1099,  1100,  1101,  1102,  1103,  1104,  1086,     0,     0,
    1081,  1390,  1391,  1392,  1714,  1715,  1738,  1737,  1726,  1888,
    1820,  1833,  1829,  1834,  1830,  1819,  1822,  1828,     0,  1843,
    1928,  1974,  1973,   916,   931,     0,  1091,  1086,  1086,  1093,
    1092,  1094,  1086,  1086,  1739,     0,     0,     0,  1089,  1090,
    1087,  1088,  1740,  1840,     0,   786
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2829, -2829, -2829, -2829, -2829, -2829,   456,  -885,   -64,    -7,
    1663,  -997, -1310, -2829,  -166,  -171,  1283,  1285,  1289, -2829,
   -2829, -2829,  -258, -2829, -2829,  -943, -2829, -2003, -1338, -1100,
   -2829, -2829,   730, -1790,  -102,  -284, -2829,  -539, -2829,    47,
      97, -1157, -2829,   699,   712,   713,   714,   439,   117,   121,
     442, -2016, -1031,   443, -2829, -2829, -2829, -2829,  1803, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,   -74, -2829, -2829, -2829, -2829,  1119,
   -1524, -2829, -1178, -2150, -2829, -2829, -2829,   478, -2762, -2829,
   -2829,   672, -2829,  -261,  1397,  -155, -1820, -2609,  2680, -2329,
   -2598,  1402,  -151, -2829,  1833, -2829,  1405, -2829, -2829, -2829,
   -2829, -1017, -2829, -2829, -1250,   435, -1828,  -167, -1525, -2829,
   -2829,   278, -2829,    49, -2822, -2829, -2829, -2829, -1824, -2829,
   -2829, -2829, -2829, -2322,   283, -2829, -1015, -2829, -2829,     6,
    2808, -2829, -2829, -2829, -2829, -2829, -2829, -2829,   -73,  -120,
   -2829,  -139,  -305, -2829, -1021, -1395,  -124, -1109, -1038, -2829,
     -81, -2829, -2829, -2829, -2829, -2829, -2829, -2829,   978, -1298,
   -1018, -2829, -2829, -2724, -2829, -2829, -2829, -2829, -2829,  -288,
   -2829,  1069,  -362, -2829,  1071, -1532, -2829,  -325, -2828, -2829,
   -2829, -1773, -2829,  -343, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829,  -259, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -1401, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,  1038,  1755, -1546, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829,  -145, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829,   221, -2829, -2829,
   -2829, -2829, -2829, -2829,   966,   224, -2829, -2829, -2829,   416,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829,  1206,  -216, -2829, -2829,   399, -2829, -2829, -2829,
   -2829, -2829, -2829,   378, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,  -460, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829,   345, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829,   204, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,  -231, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829,   -65,   -79, -2829, -2829, -2829, -2829,
    -239,   -78, -2829, -2829, -2829, -2829,  -240,   -75, -2223, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829,  -649,   541, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,  1505, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829,  1299,  1335, -2829, -2829,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,  1202,  1733,
   -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829, -2829,
   -2829, -2829, -2829
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,   882,     2,     3,   110,   111,  1287,  1300,   956,   933,
    2761,  2638,  1749,  1123,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,  2706,  2413,  2880,  1468,
    2536,  2175,  2176,  3289,   912,  1196,  2439,  3065,  2965,  3066,
    2695,  2813,  2484,  2485,  2486,  2487,  2488,  2696,  2697,  2698,
    2700,  2701,  2823,  2703,  2489,  2495,  2213,  2214,  1522,  1858,
    1859,   279,   280,   281,    22,    23,    24,    25,   112,  1266,
     113,   114,   115,   116,  2263,  1950,  1668,  1669,  1952,  1670,
    1815,  1816,  1449,  1671,   117,  1265,  2262,  2264,  2458,  2459,
    2265,  2266,  2267,   282,  1161,  2922,  1537,  1162,  1538,  1163,
    1164,  1165,  2926,  2770,  1166,  2927,  1167,  1168,  2795,  1119,
     283,  1120,   284,   285,  1548,  1549,   286,   287,   288,   289,
    1567,  1888,  2235,  2225,   291,  2198,  2268,  2667,  2269,  2455,
    2928,  3273,  2675,  2668,  2200,   118,  1277,   119,   120,   967,
     122,   123,   124,   936,  1977,  1697,  1306,   125,   957,   968,
     969,  1984,  1985,  1705,  1325,  1706,   970,  1454,  1450,  2135,
    1820,   126,   924,   925,   127,  1701,  2284,  1979,  1702,  1847,
    1848,  1676,  1677,  3144,   128,   129,   130,  1317,   971,  1192,
    1595,  1596,  1204,  1603,  1604,  2859,  2860,  3117,  2861,  2862,
    2863,  3132,  3300,  2970,  2339,  2035,  1743,    26,    27,    28,
      29,  1218,    30,    31,    32,  1214,  1909,  1910,  1628,  1588,
     296,    33,  1216,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,   332,  1253,    45,    46,    47,    48,
      49,    50,    51,   297,    52,    53,   298,  1210,   292,   131,
     132,  1709,  1328,   973,  1329,  1710,  1711,  2540,  2289,  1989,
    2290,  1028,  1029,  2592,  2076,  1793,  1408,  1794,  1795,  1606,
      54,   133,  1996,  2547,  1712,   134,  2545,  2546,   135,  2004,
    1713,   136,  2553,  2295,  2296,  2744,  2864,  2961,  2743,  2556,
    2297,  2299,  2559,  2748,  2867,  2301,    55,   137,  2010,  1714,
     138,  2304,  2869,  2989,  2868,  2750,  2305,    56,    57,    58,
      59,   139,  1376,  1373,  2019,  2318,  2319,  1760,   140,  1365,
    2036,  1030,  1031,  2762,  2610,  2096,  1796,  1410,  1797,  1032,
    2105,  2106,   141,  2107,  1798,   142,  2615,   143,  2116,  1799,
     144,    60,  1255,   953,   145,   146,  1426,  1050,  1051,  1052,
    1053,  1054,  1809,  2130,  2397,  2394,  2400,  2401,  2777,  2888,
    2131,  2778,  2897,  2132,  3015,  2775,  2881,  2882,  3018,  3328,
    3445,  3417,  2388,  2406,  2622,  2772,  2878,  2774,  2389,    61,
      62,    63,    64,    65,    66,    67,    68,  1644,   147,   148,
    1065,   149,  1309,   150,   151,  2148,  2418,  2419,  1826,   152,
    2416,  3055,  3218,  3220,  3346,  2906,  2905,  2782,  2417,  2414,
    2904,  2780,  2779,  2635,  2415,  2639,  2783,  3059,  3227,  2907,
    2640,  2643,  2784,  3063,  3231,  2908,  2644,  3225,  3339,   954,
     153,  2155,  1827,   154,  2424,  2911,  3089,  3246,  2910,  2787,
    2425,    69,    70,   155,   156,  1828,  2166,  2431,  2167,  2440,
    2443,  2654,  2655,  2912,  3094,  3266,   157,   158,  1481,  1482,
    2169,  1088,  1829,  1089,  2202,  1840,  1484,    71,   159,  1102,
     926,   160,  1686,  1688,  1297,  1691,  1250,  1251,   161,   162,
      72,    73,    74,    75,    76,    77,    78,    79,   341,  1262,
     163,  1494,  2204,  1103,  1104,   164,   165,  1111,  1499,  2679,
    2467,  2207,  1500
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     266,   919,  1121,  1128,  1160,  1372,  1375,  1159,  1127,   121,
    1194,  1076,  2196,  1087,  1101,   906,  2199,  1197,   883,  1703,
    1027,  1889,   885,   886,  1064,  1418,  1049,  1524,  1063,  1427,
    1075,  1452,  1808,  1747,  1086,  1100,  1627,  2510,  1085,  1099,
    2968,  1872,  1887,  2505,  1301,  1110,  2614,  2614,  2614,  1254,
    2641,  2224,  2226,  2228,  2229,  2460,   290,  2832,  2839,  1229,
     974,  2842,   975,  2731,   976,  1761,   977,   910,  1033,  1707,
    1034,   911,  1035,  1689,  1055,  2811,  2815,  1661,  1077,  1503,
    1078,   266,  1079,  2537,  1080,  2811,  2815,  2968,  1112,  1911,
    1105,  1106,  1721,   175,  1158,  1504,  1505,  1506,  2916,  1157,
    1512,  1112,  1513,  1540,  1541,  1113,   175,  1114,  2917,  2918,
    1508,  1509,  2521,  1725,  1626,  3203,  1125,  1126,  1113,  1745,
    1114,  1125,  1126,  3118,  1745,  2196,  1368,  1369,   329,  1370,
    1368,  1369,  1341,  1370,  1943,  2669,  1762,   887,  1467,  2420,
      81,  1763,  2365,  1173,  1174,  1175,  1176,  1177,  2557,  1126,
    3146,  2411,   121,  3239,  3096,  2441,  1150,  1151,   172,  1152,
    1153,   175,  1118,  1178,  1179,  1180,  1181,  1182,  1183,  1184,
    1185,  1186,  3208,   266,  1187,  1432,  1217,    82,  1173,  1174,
    1175,  1176,  1177,  3363,  1189,   910,  2923,    83,  3205,   911,
       1,    84,    85,  2917,  2918,  1508,  1509,  2925,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,  1334,   -59,  1187,
    1173,  1174,  1175,  1176,  1177,   175,   175,    80,    86,  2962,
    2963,  3064,  1173,  1174,  1175,  1176,  1177,  1919,  1291,  1132,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,   330,
    1343,  1187,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,   175,  1201,  1187,  1762,  1726,   930,   266,  1156,  1763,
     -59,   175,  2602,  1230,  1150,  1151,  1508,  1509,  1153,   175,
    3170,  1467,  1272,    87,  1273,    88,    89,  1274,  1345,    90,
    1211,    91,   307,    92,  2769,    93,    94,    95,  1347,    96,
    2538,  1272,   930,  1273,  2201,  1190,  1274,   175,  3147,  1700,
    1335,  3242,    97,    98,    99,   100,   101,   102,  1645,  1544,
    2686,  2687,  2688,  1149,  1545,  2197,   930,   166,   930,  1130,
    3209,   175,   930,   175,   930,   167,  1275,   175,  1217,   175,
    2689,  2690,  2691,  1435,   205,   205,   168,  3243,  3272,  1717,
    1231,  1282,  1283,  1284,  1285,  2366,  3238,  2677,  1825,  1282,
    1283,  1284,  1285,   103,  1433,   930,  1653,   930,  1654,   104,
     175,  1831,   175,  1202,  2567,   105,   106,  1173,  1174,  1175,
    1176,  1177,  1150,  1151,  1508,  1509,  1153,   175,  1958,   306,
    3060,  1818,  1282,  1283,  1284,  1285,   335,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,  2558,  2741,  1187,   342,
    2077,  1680,  1722,  1750,  2603,  3364,   175,  2201,  1751,  1173,
    1174,  1175,  1176,  1177,  2692,  2693,  2917,  2918,  1508,  1509,
    1131,  1173,  1174,  1175,  1176,  1177,  1292,  3240,  2197,  1178,
    1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,   334,  2196,
    1187,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
    2678,  1342,  1187,  3118,  1150,  1151,  1508,  1509,  1153,   175,
    1647,  1173,  1174,  1175,  1176,  1177,  2924,  1436,   930,  1750,
     930,  2702,  3204,   175,  1751,   175,  2929,  2702,  1833,  2930,
    1834,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
    2923,  2711,  1187,  1852,  1173,  1174,  1175,  1176,  1177,  1368,
    1369,  2925,  1370,  2585,  2586,  1690,  1173,  1174,  1175,  1176,
    1177,  1899,  2242,  2243,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,  2172,  3188,  1187,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1185,  1186,   930,  3206,  1187,  1915,  1212,
     175,  2597,  2598,  1737,  1546,  3207,  2990,  1810,  1811,  1547,
    1945,  1173,  1174,  1175,  1176,  1177,  1289,   884,   928,  1344,
    1282,  1283,  1284,  1285,   932,  1173,  1174,  1175,  1176,  1177,
    1363,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
    1708,  3244,  1187,   907,  2381,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,  3061,   930,  1187,  1346,   336,   930,
     175,  2539,  1321,   908,   175,  1294,  3201,  1348,  1400,  1169,
    2642,  2442,  1295,  2511,  2512,   929,  2732,  2549,  1873,  2506,
    3152,  2114,   337,  3290,  2968,  1279,  1280,  1124,  2550,  2551,
     930,  2196,  2568,  2833,  2840,   175,  2898,  2843,   930,   913,
     914,  1601,  2238,   175,  2434,  2435,  3189,  2436,  2816,  1368,
    1369,  2437,  1370,   909,  1115,  1542,  3245,   915,  2824,  3030,
    1116,   917,  1117,  1282,  1283,  1284,  1285,  1115,  1467,  1764,
    1894,   331,  1316,  1116,  2919,  1117,  2390,  1519,  2920,  1173,
    1174,  1175,  1176,  1177,  2879,  2717,   930,  2719,   175,  2883,
    2721,   175,  2724,  2726,  3415,  3062,  1602,  2637,  3301,  1178,
    1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,   107,   108,
    1187,   927,  1173,  1174,  1175,  1176,  1177,  2332,   109,  2391,
    2664,  2201,  1154,   930,  1693,  1694,  1695,  1191,   175,  1155,
    1752,  1753,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,  3253,  2197,  1187,  2392,  2544,  2552,   930,  1282,  1283,
    1284,  1285,   175,  1534,  1535,   930,   934,  3291,  2054,  3269,
     175,   -59,  2333,   -59,  2334,  2335,  2543,   910,  2336,  2337,
    2924,   911,  1282,  1283,  1284,  1285,  2964,  2964,  1520,   930,
    1282,  1283,  1284,  1285,   175,  2221,  2222,  2343,  2399,   935,
    1173,  1174,  1175,  1176,  1177,  1203,  1752,  1753,  1863,  3153,
    2936,  2937,  3254,  3024,  1282,  1283,  1284,  1285,  2939,  2940,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  3186,
    1264,  1187,   931,  3175,  1296,  1173,  1174,  1175,  1176,  1177,
    1154,  1354,  3302,  2208,  1355,  2196,  2209,  1510,  1276,  2794,
    1220,  2658,  1269,   972,  1881,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,  3056,  1160,  1187,  1276,   931,  3057,
    1319,  1320,  1835,  1544,  1727,  3140,  3141,  1221,  1853,  1374,
    1304,  1173,  1174,  1175,  1176,  1177,  1217,  2884,  1395,  3154,
    1286,   930,   931,  2607,   931,  2017,   175,  1366,   931,  1350,
     931,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
    1270,  1271,  1187,  1371,  1066,  2661,  1282,  1283,  1284,  1285,
    2608,  2609,  2588,  2201,   293,  2251,  1492,  1122,   294,  2252,
    2253,   931,  1750,   931,   266,  1124, -1511,  1751,   338,   339,
     340,  2449,  2450,  3025,  2197,  1129,  1754,  1836,  1877,  1837,
    1895,  1896,  1133,  1864,  1222,  1121,  1121,  1121,  2463,  2875,
    1121,  3155,  1121,  3176,  2876,  3058,  3135,  3136,  1971,  1134,
    1637,  1638,  1639,  1640,  1641,  1642,  1643,  3137,  1646,  1648,
    1136,  1650,  1651,  1801,   910,  1135,  3340,  1379,   911,  2589,
    1302,  1223,  2919,  1380,  2619,  1865,   910,  1728,   930,  1137,
     911,  2899,  2900,   175,  1138,  2901,  2902,  1866,  2885,  1890,
    2383,  1891,  2341,  2300,  1173,  1174,  1175,  1176,  1177,  1892,
    1224,  1893,  2943,  1282,  1283,  1284,  1285,  2945,  3142,  2946,
    1154,   916,  2948,  3257,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,  2064,   931,  1187,   931,  2220,  1173,  1174,
    1175,  1176,  1177,  1452,  3168,  3141,   295,   300,   301,   304,
     305,  1173,  1174,  1175,  1176,  1177,   333,  2886,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,  3223,  2957,  1187,
    2496,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
    1170,  1696,  1187,  3026,  2379,   299,  2612,  2196,  1171,   294,
    2621,  3095,  2613,  2590,  1838,  2903,  1802,  2591,  3143,  1125,
    1126,   931,  2958,  3177,  2321,  1118,  1118,  1118,   266,  1156,
    1118,  1396,  1118,  1746,  1657,  3321,  3322,  2201,  1139,  2338,
    3236,  3141,  1225,  2802,  3422,  1318,  1851,  3424,  1140,  1889,
     266,   266,   266,   266,   266,   266,   266,  1972,  2197,  1188,
    1862,   918,  3090,  3091,  2800,  1973,  1974,   266,  3092,  1975,
    1887,  1397,  1398,   299,  1193,   930,  1241,   294,  2311,  1207,
     175,   931,   266,  1208,  1507,   931,   266,   266,   266,   266,
     266,   266,   266,   266,   266,   266,   266,   266,   266,   266,
    1282,  1283,  1284,  1285,  2548,  1141,  1525,  1526,  1527,  1528,
    1529,  1530,  1531,  1672,  2544,  1142,   931,  3142,  2959,  2960,
    1158,  2887,  1143,  1539,   931,  1157,  3330,  1474,  2438,  1169,
    3093,  2659,   302,  3016,  1881,  2543,  1195,   295,  1550,  3017,
    1242,  1200,  1553,  1554,  1555,  1556,  1557,  1558,  1559,  1560,
    1561,  1562,  1563,  1564,  1565,  1566,  1698,  2759,  2760,  1206,
    1173,  1174,  1175,  1176,  1177,   920,  2896,  1658,  1444,  1752,
    1753,  2604,   931,  2351,  1867,  2611,   266,  2352,  1205,  1738,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,   266,
    1213,  1187,  1659,  3142,  2593,   930,  2674,  3169,  2554,  1881,
     175,  2312,  1160,  1160,  1215,   295,  2561,  1868,  1159,   931,
    1653,  1209,  2274,  3278,  1128,  3279,  1660,  1307,  1308,  1127,
    1282,  1283,  1284,  1285,  1226,  1217,  1173,  1174,  1175,  1176,
    1177,  1125,  1666,   931,  2704,  1185,  1186,  1227,  1228,  1187,
    1232,   931,   921,   922,   923,  1678,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1185,  1186,  1233,  2988,  1187,  1207,  3293,
    1198,  1199,  1208,  1121,  1453,   931,  3014,   303,  1944,  1368,
    1369,  1357,  1370,  3237,  1921,  1922,  1923,  1924,  1925,  1926,
    1267,  1126,  1937,  2411,  1939,  1875,  1940,  1941,  1453,  2201,
    1822,  1281,  2382,  3372,  1823,  1158,  1125,  1126,  3088,  1745,
    1157,  1219,   930,  2629,  1299,  1299,  1936,   175,  1938,  2572,
    2197,  2573,   930,  -607,  -607,  2530,  -607,   175,  2636,  1252,
    1960,  1173,  1174,  1175,  1176,  1177,  2647,  1282,  1283,  1284,
    1285,  2407,  2408,  2409,  2410,  2594,  1234,  1282,  1283,  1284,
    1285,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
    2595,  3099,  1187,  1358,  3100,  1235,  1814,   266,  2596,  1475,
    1236,  1905,  2531,  2532,  1948,  2533,  1904,   931,  1589,  1590,
    1591,  2582,  2729,  2072,  2730,  2342,  2313,  1367,  1237,  1173,
    1174,  1175,  1176,  1177,  2314,  1359,  2315,  1476,  2316,  1339,
    1340,  2317,  1592,  1593,  1360,  1238,  1594,  1477,  1401,  1178,
    1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  2075,   335,
    1187,  2095,  1976,  1817,  1173,  1174,  1175,  1176,  1177,  1421,
    3393,  3394,  3039,  1118,  1384,  1385,  1067,  1443,  1444,  1239,
    2433,  3408,  3409,  2444,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,  1442,  1445,  1187,   266,  1067,   266,  1446,
    1982,  2037,  2358,  2039,  1068,  1069,  1156,  1156,  1256,  1070,
    1258,  1263,  3040,  2817,  1451,  1240,  2825,  1257,  1487,  1261,
    1071,  1982,  2817,  2825,   931,  1068,  1069,  2196,  1946,  1072,
    1070,  3433,  1438,  1439,  1125,  1464,  1465,  1466,  1683,  1684,
    3435,  1071,  1956,  1995,  1368,  1369,  1259,  1370,  1260,  2497,
    1072,  1832,  1869,  1966,  1870,  1967,  1243,  1860,  1861,  3126,
    2009,   175,  1994,  2003,  2008,  1954,   181,  1278,  2764,  1897,
     183,   184,  1290,  1443,  1444,  1293,  1814,  1912,  1955,  1298,
    3041,  1916,  1303,  2498,  1755,  1756,  1757,  1758,  1759,  3436,
    1445,  1918,  3439,  3440,  3127,  1446,  2499,  3454,  1244,  1245,
    1246,  1247,  1248,  1249,  3441,  1173,  1174,  1175,  1176,  1177,
    1451,  2369,  2734,  2735,  1962,  1963,  1478,  1479,  1480,  2073,
    1305,  1814,  2254,  2104,  2256,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,  3448,  3449,  1187,  1310,  1957,  3450,
    3451,  1927,  1900,  1901,  1902,  1903,  3042,  1311,  2103,  2115,
    2807,  3043,  1312,  1121,  2038,  3128,  1121,  1313,  3044,  1928,
    1314,  1067,  1964,  1965,  2286,  2283,  3397,  3398,  3399,  3400,
    3401,  1322,  2147,  2154,  2165,  1323,  2146,  2153,  2164,   958,
    2819,  2820,  2821,  2822,   959,   960,  1324,  1664,  1326,  1068,
    1069,   931,   962,  3129,  1070,  1144,  1145,  1146,  1147,  3130,
    1327,  1128,  1929,  2239,  2240,  1071,  1127,  1173,  1174,  1175,
    1176,  1177,  1299,  1330,  1072,  2279,  2280,  1682,  3131,  2395,
    2865,  1336,  1687,  1331,  1692,  2377,  2378,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,  2503,  2504,  1187,  3343,
    3344,  3345,  1332,  3294,  3295,  1333,   963,  2508,  2509,   964,
    3296,  3297,  3298,  3299,  1337,  1173,  1174,  1175,  1176,  1177,
    3402,  3403,  3404,  3405,  3406,  1719,  1720,  1173,  1174,  1175,
    1176,  1177,  2570,  2571,  2102,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,  1930,  2500,  1187,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,  1629,  1338,  1187,  2402,
    2579,  2580,  1349,  2195,  1766,  2683,  2684,  1769,  1352,  2201,
    1356,   931,  1353,  1118,  1630,  1362,  1118,  2811,  2812,  2830,
    2831,  2835,  2836,  1361,   266,  1377,   266,   266,   266,   266,
    2197,  2952,  2953,  1378,   266,   266,   266,   266,  1746,  1382,
     266,  2870,  2871,  2872,   266,  1381,  2260,  2261,  1383,  1807,
    1387,  2714,  2849,  2850,  3122,  3123,  3285,  3286,  1299,  1299,
    2270,  3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,  1386,
     320,  3304,  3305,  1819,  1631,  1390,  1931,  1819,  3108,  3109,
    2215,  1819,  2216,  2217,  2218,  2219,  2616,  2617,  1389,  1443,
    1444,  3045,  2288,  3046,  3047,  1393,  2231,   321,  3048,  3049,
    2232,  3050,  1391,  2849,  2850,  2851,  1445,  1392,  3051,  3052,
    1394,  1446,  1402,  1403,  1844,  1405,  2195,  1846,   931,  3053,
     322,  1404,   323,  1073,   324,  1158,  1447,  1849,   931,  1632,
    1157,  1406,  1448,  2852,  2074,  1415,  1407,  2412,  1411,  1409,
    2955,  2412,  1633,  1634,  1412,  1413,  2715,  1173,  1174,  1175,
    1176,  1177,  2853,  2854,  1635,  1983,  2855,  2856,  1932,  1414,
    1173,  1174,  1175,  1176,  1177,  1416,  1417,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,  1420,  1428,  1187,  2385,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  1423,
    1425,  1187,  1173,  1174,  1175,  1176,  1177,  1429,  1430,   325,
     326,   327,   328,  1434,  2790,  1437,  3054,  1440,  2857,  1441,
    1455,  1453,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,  1456,  1457,  1187,  1458,  1459,  1460,  1469,  1470,  1471,
    1173,  1174,  1175,  1176,  1177,  1933,  2353,  1461,  1462,  2827,
    1463,  1472,  1173,  1174,  1175,  1176,  1177,  1473,  1483,  3249,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  1485,
    1934,  1187,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,  1814,  1486,  1187,  1488,  2470,  1489,  1491,  1495,  1496,
    1497,  1498,  2535,  2471,  2472,  2473,  2474,  2534,  2475,  2476,
    2477,  1501,  1935,  2478,  1514,  2479,  2480,  2470,  1502,  1515,
    1516,  2481,  2482,  1518,  1517,  2471,  2472,  2473,  2474,  1521,
    2475,  2476,  2477,  1187,  1532,  2478,  1543,  2479,  2480,  1074,
    2973,  1443,  1444,  2481,  2482,  1533,  1551,  1552,  1597,  1598,
    1599,  2974,  1600,  1605,  1608,  1609,  2975,  1636,  1445,  1649,
    3067,  2011,  2012,  1446,   266,   266,  2357,   266,  1652,  1655,
    1656,   266,   266,  2022,  1662,  1665,  2025,  2026,  1447,  1667,
    1673,   266,  1674,  2032,  1448,  2034,  2519,  1675,  1679,  2522,
    1681,  1699,  1685,  1715,  1716,  1718,  2040,  2041,  1730,  1731,
    2846,  1723,  1733,   266,  1734,   266,  1724,  1736,  2044,  2045,
    1739,  1742,  1740,  2048,  2049,  1741,  2051,  1748,  1744,  1767,
    1550,  1550,  1768,  2452,  3282,  3283,  3284,  2453,  2454,  1773,
    2065,  1770,  1776,   958,  1784,  1783,  1790,  1550,   959,   960,
    2119,  1787,  1107,  1789,  1806,  2120,   962,  2117,  1812,  1813,
    2195,  1475,  2118,  1821,  3313,  3314,  1841,  3316,  3317,  2501,
    1845,  2502,  1850,  2156,  1854,  2976,  1855,  1856,  1857,    84,
      85,  1871,  1874,  1876,  2849,  2850,  1881,  1882,  1883,  1884,
    1898,  1913,  2177,  1914,  1917,  1920,  2686,  2687,  2688,  1947,
    1949,  2205,  1951,  1959,  2849,  2850,  3068,  3411,  3412,  1961,
     963,  1969,  3268,   964,  2852,  1970,  2689,  2690,  2691,  1978,
    1981,  1980,  2705,  2412,  1987,  1986,  1988,  2013,  2014,  2015,
    2020,  3416,  2021,  2023,  2852,  2977,  2978,  2858,  2024,  2979,
    2027,  2030,  2031,  2033,  2587,  2134,  2042,  2046,  2047,  2050,
    2052,  2053,  2168,  2055,  2056,  3069,  3070,  2121,  2173,  3071,
    3287,  2057,  2058,  2059,  1997,  2060,  3374,  2061,  2062,  2066,
    2174,   958,  3386,  2067,  2068,  2070,   959,   960,  2071,  2137,
    2170,  2666,  2171,  2203,   962,  2206,  2210,  2211,  2230,  2980,
      97,    98,    99,   100,   101,   102,  2212,  2981,  2982,  2983,
    2692,  2693,  2233,  2234,  3072,  2241,  2244,  2245,  2246,  3073,
    2984,  2247,  2985,  2248,  2986,  2249,  3074,  2250,  2255,  3075,
    2257,  2258,  2259,  2271,   958,  2273,  2272,  2275,  2276,   959,
     960,   266,  2281,  1998,  2282,  2287,  2291,   962,   963,  2292,
    2293,   964,  2294,  2302,  2660,  2303,  2306,  2307,  2355,  2108,
    1444,  2356,  2195,   266,  2308,   266,  2746,  3076,   266,   958,
    2360,  2309,  2310,  2320,   959,   960,  2324,  2325,  2326,  2327,
    2328,  2122,   962,  2330,  2109,  2331,  2340,  2323,  2359,  2344,
    2345,  3077,  2346,  2347,  2348,    84,    85,  2652,  2349,   266,
    2350,   963,  2354,  2745,   964,  2361,  2362,  2363,   266,  2364,
     266,  2373,  2374,   266,  2375,   266,   266,  2380,   266,  2672,
    2386,  2673,  2387,  2376,  2676,  2398,  2404,  1746,  1746,  2123,
    2405,  2421,  2422,  2430,  2432,  2423,   963,  2428,  2445,   964,
    2448,  -933,  2451,  2456,  2921,   266,  2124,  2457,  2125,  2461,
    2462,  2157,  2126,  2464,  2465,  2713,  2127,  2128,  2371,  3078,
    2662,  2468,  2469,  2514,  2516,  2507,  2513,  2515,  2110,  2517,
    2518,  1999,  2000,  2803,  1550,  2520,  2384,  2523,  2001,  2525,
    2526,  2527,  3079,  2158,  2528,  2159,  2562,   958,  2555,  1288,
    2564,  2565,   959,   960,  2574,  2575,   961,  2566,  2569,  3080,
     962,  2739,  2576,  2577,  2581,  2804,    97,    98,    99,   100,
     101,   102,  2796,  2606,  1158,  1158,  2584,  2427,  2618,  1157,
    1157,  2620,  2429,  2626,  2628,  2630,  2633,  2634,  2648,  2646,
    2650,  2156,  1315,  2657,  2446,  2670,  2680,  3081,  3082,  3083,
    3084,  2681,  3085,  2806,  2682,  2685,  3086,   978,  2699,  2707,
    2712,    84,    85,  2483,   963,  2949,  2716,   964,  2720,  2722,
    2733,  2738,  2727,  2740,  2747,  1351,  2195,  2749,  2752,  2466,
    2753,   266,  2754,  1364,  2766,  2490,  2765,  2756,   965,  2757,
    2849,  2850,  2767,  1108,  2758,  2612,  1388,  2809,  2797,  2792,
    2826,  2129,  2793,  1109,  1399,  2866,  2773,  2915,  2987,  2909,
    2938,  2781,  2786,  2808,  2814,  2967,  2791,  2941,  2828,  2829,
    2852,  2834,  2837,  2942,  1419,  2913,  2838,  1422,  3087,  1424,
    2841,  2944,  2844,  2947,  2914,  2931,  2951,  2798,  2889,  1431,
    2954,  2969,  3029,  3034,   266,   978,  2111,  2112,  2971,    84,
      85,  3022,  3035,   958,  3098,  2529,  1299,  3102,   959,   960,
    3119,  3120,  2967,  2160,  3032,  3121,   962,  3115,  2161,  3038,
    2162,  3103,    97,    98,    99,   100,   101,   102,  1490,  3124,
    1493,  3110,  3111,  3134,  2563,  1036,  1037,  3112,  3139,  3145,
      84,    85,  3151,  3113,  3149,  2890,  3150,  3114,  3116,  3156,
    2845,  3157,  3171,  3167,  2891,  3172,  3173,  3178,  3181,  3191,
    3193,  3185,  1299,  2583,  3192,  3195,  3200,  3210,  3211,  3213,
     963,  3214,  3215,   964,  3216,  3217,  3219,  3221,  3222,  3228,
    2641,  2163,  3232,  1081,  3235,  3250,  3252,  3248,  3251,  3255,
    3256,   958,  3260,  3259,  1082,   266,   959,   960,  3276,  3262,
     266,  3261,   266,  3263,   962,   266,  3267,  2921,  2921,  3264,
      97,    98,    99,   100,   101,   102,  2623,  2624,  3277,  3274,
    3280,  2627,  3281,  3288,  3312,  1118,  3303,  3327,  2631,  3341,
    3315,  2632,   958,  3338,  2002,  3342,  3352,   959,   960,  2412,
    3349,  3354,  3358,  3382,  3385,   962,  3383,  3389,  3392,  3390,
    3418,    97,    98,    99,   100,   101,   102,  2649,   963,  2651,
    3395,   964,  3430,  3444,  3446,  1906,  3396,  1907,  3407,  2113,
    2656,  1908,  1118,  2447,  1090,  3447,  3434,  3453,  2195,  2966,
    2934,  3437,   266,  2491,  3438,  2892,  2893,  2894,  3442,   978,
    3443,   266,  3452,    84,    85,  3455,  2492,  2493,  2494,   963,
    2708,  2935,   964,  2933,  2709,  2133,  2710,  2671,  1523,  2524,
    1878,  2694,  1083,  3270,  1148,  1038,  1879,  2694,  3271,  1511,
    2728,  1880,  2801,  2805,  1048,  1091,  3391,   266,  2285,  2236,
    3410,  2847,  2097,  2237,  1607,  2298,  2848,  2043,  3097,  1092,
    2742,  2755,  2763,  2776,  3348,  3202,  2877,  3101,  3226,  3360,
    3362,  2653,  3229,  1299,  1299,  1704,  3230,  1839,  1942,  1968,
    3265,  1663,     0,  2736,  2737,     0,  1039,     0,     0,     0,
       0,     0,    84,    85,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3125,     0,   958,  1729,   966,     0,  1732,
     959,   960,  1735,     0,     0,  2098,  2099,     0,   962,     0,
       0,    84,    85,     0,    97,    98,    99,   100,   101,   102,
    1765,     0,     0,     0,     0,     0,  1771,  1772,     0,  1774,
    1775,     0,  1777,  1778,  1779,  1780,  1781,  1782,     0,     0,
    1785,  1786,     0,  1788,     0,     0,  1791,  1792,     0,     0,
       0,     0,     0,     0,  2895,     0,     0,     0,  1800,  1803,
    1804,     0,   963,  1805,     0,   964,     0,    84,    85,     0,
       0,     0,     0,     0,   958,  2100,   266,     0,     0,   959,
     960,     0,  2785,  2149,  2788,     0,   266,   962,   266,     0,
       0,     0,     0,    97,    98,    99,   100,   101,   102,  1824,
       0,     0,     0,   958,     0,  2138,     0,     0,   959,   960,
       0,     0,  1830,     0,     0,     0,   962,     0,  1040,  1041,
    1042,  1043,    97,    98,    99,   100,   101,   102,  1842,  1843,
       0,  2810,  3275,     0,     0,     0,  1056,  2818,     0,     0,
       0,   963,     0,     0,   964,     0,  1044,     0,     0,     0,
       0,  1045,     0,  1084,     0,     0,  1046,    84,    85,   958,
       0,     0,     0,     0,   959,   960,     0,     0,  2139,     0,
     963,   308,   962,   964,     0,     0,     0,     0,    97,    98,
      99,   100,   101,   102,  1093,  1094,     0,     0,     0,     0,
       0,     0,  1299,  1299,  1299,     0,     0,     0,     0,     0,
       0,  1057,     0,  2874,     4,     5,     6,   888,   889,   890,
     891,   892,   893,   894,   895,   896,     0,   897,   898,   899,
     900,   901,   902,   903,     0,  1058,   963,     0,     0,   964,
    1095,  1096,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,   266,     0,     0,  2932,     0,     0,  2694,   958,
    2694,     0,     0,     0,   959,   960,     0,     0,  2005,  2967,
    3431,  3432,   962,     0,     0,     7,     0,     0,    97,    98,
      99,   100,   101,   102,     0,     0,     0,     0,     0,     8,
       0,     0,  1047,     0,     0,     0,     0,     0,     0,     0,
       0,  1299,  2956,     0,     0,     0,     0,     0,  3384,     0,
       0,     0,     0,     0,     9,    10,     0,     0,     0,   309,
       0,   310,     0,     0,     0,     0,   963,     0,     0,   964,
       0,  3020,     0,     0,     0,  3023,     0,  3027,  3028,     0,
    3031,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     311,    11,     0,    12,   905,    13,     0,   312,     0,     0,
       0,     0,     0,     0,     0,     0,    14,     0,  2195,     0,
       0,     0,     0,   266,  2016,  2018,     0,     0,     0,     0,
    3104,     0,  3105,  3106,  3107,     0,  2028,  2029,  2150,     0,
       0,     0,   313,     0,   314,     0,     0,    15,     0,     0,
       0,    16,     0,     0,   315,     0,    17,    18,     0,     0,
       0,     0,     0,   316,     0,     0,     0,     0,  2006,  3133,
       0,     0,  3138,     0,   317,     0,     0,  3148,     0,  1118,
     266,     0,  1059,  1060,  1061,     0,  2063,     0,  3166,     0,
       0,     0,  2151,  2069,     0,  2101,     0,  3179,  3180,     0,
    3182,     0,  3184,     0,  3187,     0,  3190,     0,     0,     0,
       0,     0,     0,  3194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2136,  3196,  3197,     0,     0,     0,
    3198,  3199,     0,     0,     0,     0,     0,     0,     0,     0,
    2178,  2179,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3224,     0,     0,     0,     0,  3224,     0,     0,
       0,  2140,  2141,  3233,  2142,     0,     0,     0,     0,  2143,
    3247,     0,  2144,     0,  2152,     0,     0,     0,     0,  3258,
       0,   888,   889,   890,   891,   892,   893,   894,   895,   896,
    1067,   897,   898,   899,   900,   901,   902,   903,   318,    19,
       0,     0,     0,  1062,     0,     0,     0,     0,   958,     0,
       0,     0,     0,   959,   960,  1299,  1299,  1299,  1068,  1069,
       0,   962,     0,  1070,  3292,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1071,  3306,  3307,  3308,  3309,  3310,
       0,     0,     0,  1072,     0,  1299,  1299,     0,  1299,  1299,
    3318,  3319,     0,     0,     0,     0,     0,     0,     0,  2145,
       0,     0,     0,  3323,  3324,  3325,     0,     0,  1173,  1174,
    1175,  1176,  1177,     0,     0,   963,  2277,  2278,   964,     0,
       0,  3332,  3333,     0,   319,     0,     0,  3336,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,   937,     0,  1187,
    3347,     0,     0,  3350,  3351,     0,  3353,     0,     0,     0,
    3356,  3357,     0,     0,     0,     0,     0,  2078,   905,  3365,
       0,     0,     0,  2322,   938,     0,     0,     0,     0,     0,
       0,  3366,  3367,  3368,  2329,     0,     0,     0,     0,  1990,
       0,     0,  1991,     0,  3371,     0,     0,  1299,  3375,  2007,
       0,  3376,  3377,     0,   939,     0,     0,     0,     0,     0,
      20,    21,     0,  1953,   169,     0,   170,   171,   172,   173,
     174,   175,  3387,  3388,     0,   176,   177,     0,     0,     0,
       0,     0,     0,   178,   179,  1536,  1067,     0,   180,  2079,
       0,     0,  2367,  2368,  2370,     0,  2372,     0,     0,     0,
     181,   182,     0,     0,   183,   184,     0,     0,   185,     0,
    1982,     0,     0,     0,  2080,  2081,   940,     0,     0,  1070,
       0,     0,   941,     0,  2393,   942,  2396,     0,  2665,     0,
    1071,  2403,     0,     0,     0,     0,   943,  3420,  3421,  1072,
       0,     0,     0,     0,     0,  3423,     0,     0,  3425,     0,
       0,     0,  1992,  2426,  3427,     0,     0,     0,     0,  3428,
       0,     0,   186,   187,  1144,  1145,  1146,  1147,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,  2082,   203,  2083,   204,  2084,     0,     0,
     205,     0,     0,     0,     0,   206,   888,   889,   890,   891,
     892,   893,   894,   895,   896,     0,   897,   898,   899,   900,
     901,   902,   903,     0,   888,   889,   890,   891,   892,   893,
     894,   895,   896,     0,   897,   898,   899,   900,   901,   902,
     903,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   944,     0,     0,   945,  1172,     0,     0,     0,
     946,  1173,  1174,  1175,  1176,  1177,  2085,     0,     0,     0,
     207,     0,     0,  1568,     0,     0,     0,  1569,  1570,     0,
       0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
       0,     0,  1187,     0,     0,     0,   208,   209,   210,     0,
       0,     0,     0,  2086,     0,  2560,     0,   947,     0,     0,
       0,   948,   949,  2087,  2088,     0,     0,     0,     0,     0,
    2089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2090,   905,     0,  2578,   904,     0,     0,  2091,
       0,  2092,     0,     0,     0,  2093,   950,     0,  1993,     0,
       0,   905,     0,   211,     0,     0,     0,     0,     0,  2599,
    2600,  2601,     0,     0,  2605,     0,     0,     0,     0,     0,
       0,     0,   951,     0,     0,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,     0,     0,     0,  1571,  1572,
    1573,  1574,  1575,  1576,     0,  2625,     0,     0,     0,     0,
       0,     0,     0,   222,   223,     0,     0,   169,     0,   170,
     171,   172,   173,   174,   175,     0,     0,     0,   176,   177,
       0,   952,     0,     0,  2645,     0,   178,   179,     0,     0,
     224,   180,  1173,  1174,  1175,  1176,  1177,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   225,   183,   184,     0,
       0,   185,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,     0,     0,  1187, -1512, -1512, -1512,     0,   226,   227,
     228,   229,  1577,  1578,  1579,  1580,  1581,  1582,  1583,  1584,
    1585,  1586,  1587,     0, -1512, -1512, -1512, -1512, -1512,  1183,
    1184,  1185,  1186,     0,     0,  1187,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   186,   187,  1144,  1145,  1146,
    1147,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,     0,   203,     0,   204,
       0,  2663,     0,   205,     0,     0,     0,     0,   206,     0,
       0,     0,     0,     0,  2094,     0,     0,   230,   231,  1173,
    1174,  1175,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2751,   232,   233,     0,  1178,
    1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,     0,     0,
    1187,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,  2768,
       0,     0,     0,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2771,     0,     0,     0,     0,  1610,   262,
     263,     0,   264,     0,     0,     0,     0,     0,   265,   208,
     209,   210,     0,  1125,  1464,  1465,  1466,     0,     0,     0,
       0,     0,     0,  2789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2991,   181,     0,     0,     0,   183,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,  1611,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,     0,     0,
       0,     0,     0,     0,     0,  1612,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1613,  1444,     0,     0,     0,     0,     0,     0,  2873,
       0,     0,     0,   224,  1614,     0,     0,     0,  1615,     0,
       0,  1616,  1617,     0,     0,     0,  1618,     0,     0,   225,
       0,     0,  2849,  2850,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1619,     0,     0,     0,     0,
       0,   226,   227,   228,   229,     0,     0,     0,     0,     0,
       0,     0,  2852,     0,     0,     0,     0,     0,  1620,  1621,
    1622,     0,  1623,  1624,  1625,     0,     0,     0,     0,     0,
    2992,     0,     0,  2993,  2994,     0,     0,  2995,  2996,     0,
       0,     0,     0,     0,  2950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2972,
       0,     0,     0,     0,     0,     0,     0,  2997,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3019,     0,  3021,
     230,   231,  2998,     0,     0,     0,     0,  2999,     0,     0,
    3000,  3033,     0,     0,  3036,  3037,  3001,     0,     0,   232,
     233,  3002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3003,
       0,     0,   262,   263,     0,   264,     0,     0,     0,     0,
       0,   265,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   169,  3004,   170,   171,   172,   173,   174,   175,
       0,  3174,     0,   176,   177,     0,     0,     0,  3183,     0,
       0,   178,   179,  2223,     0,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,     0,   183,   184,  3005,     0,   185,  3006,  3007,  3008,
       0,     0,     0,     0,     0,  3009,     0,     0,     0,  3212,
    3010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3011,     0,     0,     0,     0,     0,  3012,     0,     0,     0,
       0,  3234,     0,     0,     0,  3241,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     186,   187,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,     0,   203,     0,   204,     0,     0,     0,   205,     0,
       0,     0,     0,   206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3311,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3320,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3326,     0,     0,     0,     0,     0,
       0,  3329,     0,     0,  3331,     0,     0,     0,     0,     0,
       0,  3334,  3335,     0,     0,  3337,  3013,     0,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3355,     0,     0,     0,
    3359,     0,  3361,     0,   208,   209,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3369,  3370,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3373,     0,     0,     0,     0,     0,     0,
    3378,     0,  3379,  3380,  3381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,     0,     0,     0,     0,     0,  3413,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3414,   222,   223,     0,     0,     0,     0,     0,     0,     0,
     169,  3419,   170,   171,   172,   173,   174,   175,     0,     0,
       0,   176,   177,     0,     0,     0,     0,  3426,   224,   178,
     179,  2227,     0,     0,   180,     0,     0,  3429,     0,     0,
       0,     0,     0,     0,   225,     0,   181,   182,     0,     0,
     183,   184,     0,     0,   185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   226,   227,   228,   229,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   186,   187,
       0,     0,     0,     0,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,     0,
     203,     0,   204,     0,     0,     0,   205,     0,     0,     0,
       0,   206,     0,     0,     0,   230,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   262,   263,     0,
     264,     0,     0,     0,     0,     0,   265,     0,     0,     0,
       0,     0,   208,   209,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
     223,     0,     0,   169,     0,   170,   171,   172,   173,   174,
     175,     0,     0,     0,   176,   177,     0,     0,     0,     0,
       0,     0,   178,   179,  2718,     0,   224,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   225,   183,   184,     0,     0,   185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   226,   227,   228,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   186,   187,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,     0,   203,     0,   204,     0,     0,     0,   205,
       0,     0,     0,     0,   206,     0,     0,     0,     0,     0,
       0,     0,     0,   230,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,     0,     0,     0,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   262,   263,     0,   264,     0,
       0,     0,     0,     0,   265,   208,   209,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,   223,     0,     0,   169,     0,   170,   171,
     172,   173,   174,   175,     0,     0,     0,   176,   177,     0,
       0,     0,     0,     0,     0,   178,   179,  2723,     0,   224,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   225,   183,   184,     0,     0,
     185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   226,   227,   228,
     229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   186,   187,     0,     0,     0,     0,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,     0,   203,     0,   204,     0,
       0,     0,   205,     0,     0,     0,     0,   206,     0,     0,
       0,     0,     0,     0,     0,     0,   230,   231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   262,   263,
       0,   264,     0,     0,     0,     0,     0,   265,   208,   209,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,   223,     0,     0,   169,
       0,   170,   171,   172,   173,   174,   175,     0,     0,     0,
     176,   177,     0,     0,     0,     0,     0,     0,   178,   179,
    2725,     0,   224,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   225,   183,
     184,     0,     0,   185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     226,   227,   228,   229,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   186,   187,     0,
       0,     0,     0,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,     0,   203,
       0,   204,     0,     0,     0,   205,     0,     0,     0,     0,
     206,     0,     0,     0,     0,     0,     0,     0,     0,   230,
     231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,     0,     0,     0,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   262,   263,     0,   264,     0,     0,     0,     0,     0,
     265,   208,   209,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,   223,
       0,     0,   169,     0,   170,   171,   172,   173,   174,   175,
       0,     0,     0,   176,   177,     0,     0,     0,     0,     0,
       0,   178,   179,     0,     0,   224,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   225,   183,   184,     0,     0,   185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   226,   227,   228,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     186,   187,     0,     0,     0,     0,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,     0,   203,     0,   204,     0,     0,     0,   205,     0,
       0,     0,     0,   206,     0,     0,     0,     0,     0,     0,
       0,     0,   230,   231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,     0,     0,     0,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   262,   263,     0,   264,     0,     0,
       0,     0,     0,   265,   208,   209,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   182,     0,     0,     0,     0,     0,     0,
     185,     0,     0,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2181,  2182,  2183,  2184,  2185,  2186,
    2187,   222,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2188,     0,
       0,  2189,  2190,     0,     0,     0,     0,     0,   224,     0,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,     0,     0,  2191,     0,  2192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   226,   227,   228,   229,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   230,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,     0,     0,     0,   232,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   262,   263,     0,
     264,     0,     0,     0,     0,     0,   265,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,   223,     0,     0,     0,
       0,     0,     0,     0,  2180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   182,     0,     0,     0,   225,     0,
       0,   185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     226,   227,   228,   229,     0,  2181,  2182,  2183,  2184,  2185,
    2186,  2187,   888,   889,   890,   891,   892,   893,   894,   895,
     896,     0,   897,   898,   899,   900,   901,   902,   903,  2188,
       0,     0,  2189,  2190,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2191,     0,  2192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   230,
     231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   232,   233,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,     0,   207,     0,     0,     0,     0,     0,   905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   262,   263,     0,     0,     0,     0,  2193,  2194,   208,
     209,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,     0,     0,
       0,     0,     0,     0,   185,     0,     0,     0,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2181,  2182,
    2183,  2184,  2185,  2186,  2187,     0,   222,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2188,     0,     0,  2189,  2190,     0,     0,     0,
       0,     0,     0,   224,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,     0,  2191,     0,  2192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   226,   227,   228,   229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     230,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,     0,     0,     0,     0,   232,
     233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   262,   263,     0,     0,     0,     0,  2193,     0,
       0,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
     223,     0,     0,     0,     0,     0,     0,  2541,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,     0,     0,
       0,     0,   225,     0,   185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   226,   227,   228,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   230,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   262,   263,     0,     0,     0,
       0,  2193,   208,   209,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   226,   227,   228,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   230,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,     0,     0,     0,     0,
     343,   344,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   262,   263,     0,  2542,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,     0,     0,   719,   720,   721,   722,
     723,   724,   725,   726,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   746,   747,   748,   749,   750,   751,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   798,   799,   800,   801,   802,
     803,     0,   804,   805,   806,   807,   808,   809,   810,   811,
     812,   813,   814,   815,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   827,   828,   829,   830,   831,
     832,   833,   834,   835,   836,   837,   838,   839,   840,   841,
     842,   843,   844,   845,   846,   847,   848,   849,   850,   851,
     852,   853,   854,   855,   856,   857,   858,   859,   860,   861,
     862,   863,   864,   865,   866,   867,   868,   869,   870,   871,
     872,   873,   874,   875,   876,   877,   878,   879,   880,   881,
     343,   344,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     955,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,     0,     0,   719,   720,   721,   722,
     723,   724,   725,   726,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   746,   747,   748,   749,   750,   751,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   798,   799,   800,   801,   802,
     803,     0,   804,   805,   806,   807,   808,   809,   810,   811,
     812,   813,   814,   815,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   827,   828,   829,   830,   831,
     832,   833,   834,   835,   836,   837,   838,   839,   840,   841,
     842,   843,   844,   845,   846,   847,   848,   849,   850,   851,
     852,   853,   854,   855,   856,   857,   858,   859,   860,   861,
     862,   863,   864,   865,   866,   867,   868,   869,   870,   871,
     872,   873,   874,   875,   876,   877,   878,   879,   880,   881,
     343,   344,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,  1268,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,     0,     0,   719,   720,   721,   722,
     723,   724,   725,   726,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   746,   747,   748,   749,   750,   751,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   798,   799,   800,   801,   802,
     803,     0,   804,   805,   806,   807,   808,   809,   810,   811,
     812,   813,   814,   815,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   827,   828,   829,   830,   831,
     832,   833,   834,   835,   836,   837,   838,   839,   840,   841,
     842,   843,   844,   845,   846,   847,   848,   849,   850,   851,
     852,   853,   854,   855,   856,   857,   858,   859,   860,   861,
     862,   863,   864,   865,   866,   867,   868,   869,   870,   871,
     872,   873,   874,   875,   876,   877,   878,   879,   880,   881,
    2799,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     182,     0,     0,     0,     0,     0,     0,   185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,   209,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
       0,     0,     0,     0,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,     0,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   226,   227,   228,
     229,     0,     0,     0,   222,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   226,
     227,   228,   229,     0,  1885,  1886,   230,   231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,     0,     0,
       0,     0,   182,     0,     0,     0,     0,     0,     0,   185,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   230,   231,
       0,     0,     0,     0,     0,     0,     0,     0,   262,   263,
       0,     0,     0,     0,     0,     0,     0,   232,   233,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     262,   263,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   226,
     227,   228,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     978,     0,     0,     0,   979,   980,     0,     0,   230,   231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   981,     0,
       0,     0,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     982,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     262,   263,     0,     0,     0,     0,   958,     0,     0,     0,
       0,   959,   960,     0,   983,   984,     0,     0,     0,   962,
     985,     0,     0,     0,     0,   986,   987,   988,   989,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   990,     0,
       0,     0,   991,     0,   992,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   963,     0,     0,   964,     0,     0,     0,
       0,     0,     0,     0,     0,   993,     0,     0,     0,   994,
       0,   995,     0,     0,     0,     0,     0,   996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     997,     0,     0,     0,   998,   999,     0,     0,     0,     0,
       0,     0,  1000,  1001,  1002,     0,  1003,     0,     0,     0,
    1004,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1005,  1006,     0,  1007,  1008,     0,
       0,  1009,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1010,  1011,     0,     0,
       0,  1012,  1013,  1014,     0,     0,     0,     0,     0,     0,
       0,  1015,     0,     0,     0,  1016,     0,     0,  1017,  1018,
       0,  1019,     0,  1020,     0,     0,  1021,  1022,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1023,     0,  1024,     0,     0,     0,
       0,     0,     0,     0,     0,  1025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1026
};

static const yytype_int16 yycheck[] =
{
       7,   103,   169,   174,   265,  1002,  1003,   265,   174,     3,
     298,   150,  1840,   158,   159,    89,  1840,   301,    82,  1317,
     140,  1567,    86,    87,   148,  1040,   146,  1136,   148,  1050,
     150,  1069,  1427,  1371,   158,   159,  1214,     7,   158,   159,
    2862,     7,  1567,     7,   929,   165,  2375,  2376,  2377,   333,
      25,  1871,  1872,  1873,  1874,    28,     7,     7,     7,   318,
     133,     7,   135,    28,   137,  1375,   139,    21,   141,    75,
     143,    25,   145,   153,   147,    11,    12,  1255,   151,     7,
     153,    88,   155,    68,   157,    11,    12,  2909,    16,  1613,
     163,   164,    88,    21,   265,  1112,  1113,  1114,     6,   265,
    1117,    16,  1119,    33,    34,    33,    21,    35,    16,    17,
      18,    19,  2262,   229,  1214,   128,    18,    19,    33,    21,
      35,    18,    19,  2951,    21,  1953,    18,    19,    42,    21,
      18,    19,    50,    21,  1658,  2457,    48,    88,  1081,  2142,
       3,    53,   154,     8,     9,    10,    11,    12,    37,    19,
     158,    21,   146,   238,  2916,    66,    16,    17,    18,    19,
      20,    21,   169,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   322,   180,    39,    52,    21,    40,     8,     9,
      10,    11,    12,    64,    42,    21,  2795,    50,   128,    25,
       4,    54,    55,    16,    17,    18,    19,  2795,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   230,    28,    39,
       8,     9,    10,    11,    12,    21,    21,     0,    81,    25,
      26,    26,     8,     9,    10,    11,    12,  1628,    25,   180,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   153,
      50,    39,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    21,    42,    39,    48,   371,    16,   264,   265,    53,
      80,    21,   229,   190,    16,    17,    18,    19,    20,    21,
    2994,  1214,    16,   136,    18,   138,   139,    21,    50,   142,
       3,   144,   177,   146,  2613,   148,   149,   150,    50,   152,
     275,    16,    16,    18,  1840,   153,    21,    21,   306,  1314,
     323,   158,   165,   166,   167,   168,   169,   170,   153,   584,
       8,     9,    10,   264,   589,  1840,    16,     3,    16,    34,
     470,    21,    16,    21,    16,     3,    51,    21,    21,    21,
      28,    29,    30,    51,   140,   140,     3,   194,  3100,  1336,
     267,    41,    42,    43,    44,   357,  3070,   483,  1457,    41,
      42,    43,    44,   216,   231,    16,   584,    16,   586,   222,
      21,  1470,    21,   153,   133,   228,   229,     8,     9,    10,
      11,    12,    16,    17,    18,    19,    20,    21,  1676,     3,
     271,    42,    41,    42,    43,    44,    25,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   285,  2547,    39,     3,
    1795,  1286,   398,    48,   371,   286,    21,  1953,    53,     8,
       9,    10,    11,    12,   112,   113,    16,    17,    18,    19,
     135,     8,     9,    10,    11,    12,   223,   512,  1953,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   264,  2267,
      39,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     586,   369,    39,  3281,    16,    17,    18,    19,    20,    21,
     153,     8,     9,    10,    11,    12,  2795,   185,    16,    48,
      16,  2487,   485,    21,    53,    21,  2798,  2493,  1475,  2801,
    1477,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    3099,  2494,    39,  1510,     8,     9,    10,    11,    12,    18,
      19,  3099,    21,   273,   274,   585,     8,     9,    10,    11,
      12,  1611,  1913,  1914,    28,    29,    30,    31,    32,    33,
      34,    35,    36,  1833,   335,    39,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    16,   476,    39,   153,   262,
      21,   233,   234,   379,   584,   485,  2875,  1432,  1433,   589,
    1659,     8,     9,    10,    11,    12,   918,   271,   505,   369,
      41,    42,    43,    44,   108,     8,     9,    10,    11,    12,
     229,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     586,   438,    39,   582,  2108,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   485,    16,    39,   369,   237,    16,
      21,   586,   964,   582,    21,   559,   476,   369,   368,   582,
     585,   522,   566,   583,   584,   562,   581,   154,   584,   583,
      52,  1799,   261,    51,  3446,   913,   914,    36,   165,   166,
      16,  2459,   401,   583,   583,    21,   127,   583,    16,   188,
     189,   162,    51,    21,    18,    19,   457,    21,   584,    18,
      19,    25,    21,   147,   582,   585,   513,   206,   584,   205,
     588,   171,   590,    41,    42,    43,    44,   582,  1611,   581,
       3,   585,   960,   588,   582,   590,   383,    34,   586,     8,
       9,    10,    11,    12,   586,  2505,    16,  2507,    21,   586,
    2510,    21,  2512,  2513,   586,   586,   217,   585,    51,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   571,   572,
      39,   177,     8,     9,    10,    11,    12,   184,   581,   426,
     585,  2267,   582,    16,    45,    46,    47,   585,    21,   589,
     375,   376,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   369,  2267,    39,   451,  2291,   283,    16,    41,    42,
      43,    44,    21,   583,   584,    16,   161,   185,  1773,   582,
      21,   581,   229,   583,   231,   232,  2291,    21,   235,   236,
    3099,    25,    41,    42,    43,    44,   582,   582,   135,    16,
      41,    42,    43,    44,    21,   583,   584,   581,  2126,   239,
       8,     9,    10,    11,    12,   585,   375,   376,   584,   231,
    2816,  2817,   430,   158,    41,    42,    43,    44,  2824,  2825,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   205,
     884,    39,   582,   158,   926,     8,     9,    10,    11,    12,
     582,   314,   185,  1850,   317,  2663,  1853,   589,   582,  2663,
     163,   581,   906,   585,   584,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   485,  1116,    39,   582,   582,   490,
     962,   963,    50,   584,   242,    68,    69,   190,   589,   388,
     934,     8,     9,    10,    11,    12,    21,   262,    53,   311,
     173,    16,   582,   320,   582,   585,    21,   581,   582,   991,
     582,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     907,   908,    39,   272,   585,  2451,    41,    42,    43,    44,
     347,   348,    92,  2459,    21,  1930,   153,    36,    25,  1934,
    1935,   582,    48,   582,   931,    36,   585,    53,   567,   568,
     569,  2181,  2182,   288,  2459,   135,   581,   125,   582,   127,
     273,   274,    16,   584,   267,  1112,  1113,  1114,  2198,   584,
    1117,   383,  1119,   288,   589,   586,   298,   299,    52,   585,
    1219,  1220,  1221,  1222,  1223,  1224,  1225,   309,  1227,  1228,
     582,  1230,  1231,   242,    21,   585,  3199,   316,    25,   159,
     931,   304,   582,   322,  2379,   584,    21,   365,    16,   582,
      25,   482,   483,    21,   582,   486,   487,   584,   383,   584,
    2109,   586,   581,  2000,     8,     9,    10,    11,    12,   584,
     155,   586,  2832,    41,    42,    43,    44,  2837,   221,  2839,
     582,   570,  2842,   444,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   581,   582,    39,   582,   584,     8,     9,
      10,    11,    12,  2081,    68,    69,   153,     9,    10,    11,
      12,     8,     9,    10,    11,    12,    18,   442,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   484,   158,    39,
     584,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      52,   583,    39,   438,  2105,    21,   582,  2915,    52,    25,
    2388,  2915,   588,   273,   282,   586,   365,   277,   301,    18,
      19,   582,   192,   438,   365,  1112,  1113,  1114,  1115,  1116,
    1117,   286,  1119,  1371,     3,   445,   446,  2663,   582,   586,
      68,    69,   267,  2669,  3347,   160,   583,  3350,   582,  2675,
    1137,  1138,  1139,  1140,  1141,  1142,  1143,   231,  2663,    39,
     583,   188,   518,   519,  2669,   239,   240,  1154,   524,   243,
    2675,   326,   327,    21,     3,    16,    88,    25,    92,    21,
      21,   582,  1169,    25,  1115,   582,  1173,  1174,  1175,  1176,
    1177,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
      41,    42,    43,    44,  2293,   582,  1137,  1138,  1139,  1140,
    1141,  1142,  1143,  1267,  2740,   582,   582,   221,   288,   289,
    1371,   586,   582,  1154,   582,  1371,   234,    87,   582,   582,
     586,   581,    80,   442,   584,  2740,    25,   153,  1169,   448,
     152,     3,  1173,  1174,  1175,  1176,  1177,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,  1309,   372,   373,   278,
       8,     9,    10,    11,    12,   149,  2778,   136,   137,   375,
     376,  2360,   582,   272,   583,  2364,  1263,   276,     3,  1361,
      28,    29,    30,    31,    32,    33,    34,    35,    36,  1276,
       3,    39,   161,   221,   179,    16,   581,   301,  2296,   584,
      21,   215,  1543,  1544,     3,   153,  2304,   583,  1546,   582,
     584,   153,   586,  3113,  1465,  3115,   185,   415,   416,  1465,
      41,    42,    43,    44,   449,    21,     8,     9,    10,    11,
      12,    18,  1263,   582,    21,    35,    36,   462,   463,    39,
     153,   582,   226,   227,   228,  1276,    28,    29,    30,    31,
      32,    33,    34,    35,    36,     3,  2868,    39,    21,  3129,
     302,   303,    25,  1510,    21,   582,  2878,   215,    25,    18,
      19,   226,    21,   301,  1638,  1639,  1640,  1641,  1642,  1643,
     904,    19,  1646,    21,  1648,   583,  1650,  1651,    21,  2915,
    1451,   915,    25,   234,  1455,  1546,    18,    19,  2910,    21,
    1546,   292,    16,  2398,   928,   929,  1645,    21,  1647,   584,
    2915,   586,    16,    18,    19,  2280,    21,    21,  2416,    16,
     583,     8,     9,    10,    11,    12,  2424,    41,    42,    43,
      44,   175,   176,   177,   178,   320,     3,    41,    42,    43,
      44,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     335,   584,    39,   308,   587,     3,  1443,  1444,   343,   319,
       3,  1612,    18,    19,   581,    21,  1612,   582,   162,   163,
     164,  2336,   581,    75,   583,   581,   390,  1001,     3,     8,
       9,    10,    11,    12,   398,   340,   400,   347,   402,   326,
     327,   405,   186,   187,   349,     3,   190,   357,  1022,    28,
      29,    30,    31,    32,    33,    34,    35,    36,  1793,    25,
      39,  1796,   586,  1444,     8,     9,    10,    11,    12,  1043,
    3290,  3291,    52,  1510,   338,   339,   128,   136,   137,     3,
    2159,  3301,  3302,  2162,    28,    29,    30,    31,    32,    33,
      34,    35,    36,  1067,   153,    39,  1533,   128,  1535,   158,
     152,  1747,   161,  1749,   156,   157,  1543,  1544,   336,   161,
     338,    28,    92,  2700,   173,     3,  2703,     3,  1092,   505,
     172,   152,  2709,  2710,   582,   156,   157,  3385,  1660,   181,
     161,  3385,   156,   157,    18,    19,    20,    21,   224,   225,
    3390,   172,  1674,  1712,    18,    19,     3,    21,     3,   583,
     181,    25,  1533,  1685,  1535,  1687,   518,   583,   584,    51,
    1714,    21,  1712,  1713,  1714,  1669,    50,   581,  2595,  1606,
      54,    55,   581,   136,   137,   581,  1613,  1614,  1672,   230,
     160,  1618,   581,   583,   390,   391,   392,   393,   394,  3392,
     153,  1628,  3395,  3396,    86,   158,   583,  3447,   560,   561,
     562,   563,   564,   565,  3407,     8,     9,    10,    11,    12,
     173,   382,  2527,  2528,    46,    47,   526,   527,   528,   271,
     585,  1658,  1936,  1798,  1938,    28,    29,    30,    31,    32,
      33,    34,    35,    36,  3437,  3438,    39,   502,  1675,  3442,
    3443,     3,    18,    19,    20,    21,   226,    21,  1798,  1799,
    2677,   231,    51,  1850,  1748,   147,  1853,   585,   238,    21,
     147,   128,    46,    47,  1982,  1979,   194,   195,   196,   197,
     198,   238,  1826,  1827,  1828,   581,  1826,  1827,  1828,   146,
      70,    71,    72,    73,   151,   152,   585,  1261,   581,   156,
     157,   582,   159,   185,   161,   114,   115,   116,   117,   191,
     581,  1902,    64,    18,    19,   172,  1902,     8,     9,    10,
      11,    12,  1286,   585,   181,   244,   245,  1291,   210,   383,
    2747,   335,  1296,   585,  1298,   410,   411,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   583,   584,    39,   493,
     494,   495,   585,   192,   193,   585,   213,   583,   584,   216,
     199,   200,   201,   202,   581,     8,     9,    10,    11,    12,
     194,   195,   196,   197,   198,  1339,  1340,     8,     9,    10,
      11,    12,   406,   407,  1798,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   146,   583,    39,    28,    29,    30,
      31,    32,    33,    34,    35,    36,     3,    25,    39,   453,
     233,   234,   324,  1840,  1378,    64,    65,  1381,   370,  3385,
     238,   582,   177,  1850,    21,   322,  1853,    11,    12,   583,
     584,   583,   584,   378,  1861,   291,  1863,  1864,  1865,  1866,
    3385,   233,   234,   242,  1871,  1872,  1873,  1874,  2126,   314,
    1877,  2756,  2757,  2758,  1881,   242,  1950,  1951,   294,  1423,
     148,   583,   182,   183,   194,   195,   194,   195,  1432,  1433,
    1954,   430,   431,   432,   433,   434,   435,   436,   437,   338,
     136,   165,   166,  1447,    81,   352,   238,  1451,  2939,  2940,
    1861,  1455,  1863,  1864,  1865,  1866,  2376,  2377,   344,   136,
     137,   471,  1986,   473,   474,   360,  1877,   163,   478,   479,
    1881,   481,   294,   182,   183,   184,   153,   294,   488,   489,
     358,   158,   385,   291,  1488,   581,  1953,  1491,   582,   499,
     186,   389,   188,   390,   190,  2126,   173,  1501,   582,   136,
    2126,   581,   179,   212,   586,   461,   585,  2138,   581,   585,
    2855,  2142,   149,   150,   585,   585,   583,     8,     9,    10,
      11,    12,   231,   232,   161,   586,   235,   236,   320,   585,
       8,     9,    10,    11,    12,   177,   376,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   146,   581,    39,  2111,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   147,
     369,    39,     8,     9,    10,    11,    12,   585,   585,   265,
     266,   267,   268,    16,   583,    16,   586,   581,   287,   581,
     173,    21,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   214,   161,    39,   581,   581,   585,   238,   161,   581,
       8,     9,    10,    11,    12,   397,  2073,   585,   585,   583,
     585,   581,     8,     9,    10,    11,    12,   581,   585,  3076,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   177,
     422,    39,    28,    29,    30,    31,    32,    33,    34,    35,
      36,  2108,   364,    39,   161,    48,   233,   242,   581,   581,
     585,   585,  2283,    56,    57,    58,    59,  2283,    61,    62,
      63,   242,   454,    66,    15,    68,    69,    48,   581,    16,
      16,    74,    75,    33,    36,    56,    57,    58,    59,    34,
      61,    62,    63,    39,    16,    66,     7,    68,    69,   586,
      48,   136,   137,    74,    75,   584,    16,    16,     3,     3,
       3,    59,     3,     3,     3,     3,    64,     3,   153,     3,
      48,  1715,  1716,   158,  2181,  2182,   161,  2184,     3,     3,
       3,  2188,  2189,  1727,     3,     3,  1730,  1731,   173,   582,
     581,  2198,   584,  1737,   179,  1739,  2260,   584,   581,  2263,
     581,    21,   378,   242,   242,   581,  1750,  1751,   242,   242,
     583,   581,   350,  2220,   217,  2222,   581,   226,  1762,  1763,
     242,   585,   581,  1767,  1768,   581,  1770,    37,   581,   242,
    2181,  2182,   242,  2184,  3119,  3120,  3121,  2188,  2189,   147,
    1784,   242,   581,   146,    53,   377,    53,  2198,   151,   152,
     155,   581,   155,   581,   173,   160,   159,  1801,    16,    16,
    2267,   319,  1806,   180,  3149,  3150,   581,  3152,  3153,  2220,
     300,  2222,    16,    48,    51,   173,    16,   135,    34,    54,
      55,   584,   584,    16,   182,   183,   584,   583,    53,    53,
       3,   161,  1836,   161,    21,     3,     8,     9,    10,     3,
     583,  1845,    13,   581,   182,   183,   184,  3304,  3305,    25,
     213,   581,   583,   216,   212,   581,    28,    29,    30,    34,
     581,   584,  2488,  2494,   581,   272,   585,   581,   581,   581,
     177,  3328,   242,   581,   212,   233,   234,   586,   581,   237,
     581,   581,   350,   581,  2351,   174,   581,   581,   581,   581,
     581,   581,    50,   581,   581,   233,   234,   262,    50,   237,
     583,   581,   581,   581,    86,   581,  3251,   581,   581,   581,
      16,   146,   583,   581,   581,   581,   151,   152,   581,   581,
     581,  2455,   581,   173,   159,   585,    19,    34,   584,   287,
     165,   166,   167,   168,   169,   170,    34,   295,   296,   297,
     112,   113,    16,    16,   282,    21,     3,     3,     3,   287,
     308,     3,   310,     3,   312,     3,   294,    16,     3,   297,
       3,     3,     3,   581,   146,   584,   583,   241,   241,   151,
     152,  2438,   581,   155,    25,   581,    41,   159,   213,   281,
     161,   216,   581,   291,  2451,   581,   146,   581,   302,   136,
     137,   364,  2459,  2460,   584,  2462,  2558,   335,  2465,   146,
     161,   581,   581,   581,   151,   152,   581,   581,   581,   581,
     581,   376,   159,   581,   161,   581,   581,  2021,   370,   581,
     581,   359,   581,   581,   581,    54,    55,  2438,   581,  2496,
     581,   213,   581,  2557,   216,   177,    59,   346,  2505,   161,
    2507,   581,    20,  2510,   410,  2512,  2513,   581,  2515,  2460,
     131,  2462,   581,   410,  2465,   238,   581,  2775,  2776,   424,
     455,   163,   500,   179,    52,   581,   213,   581,   581,   216,
      36,    39,   582,   582,  2795,  2542,   441,   582,   443,   581,
      28,   316,   447,    39,    28,  2496,   451,   452,  2092,   427,
     581,    36,    34,    16,    19,   584,   584,   582,   245,     3,
       3,   283,   284,   581,  2515,    98,  2110,   586,   290,   581,
      16,   242,   450,   348,   242,   350,   147,   146,   585,   916,
     173,   408,   151,   152,   581,   581,   155,   404,   403,   467,
     159,  2542,   581,   581,   234,   581,   165,   166,   167,   168,
     169,   170,  2666,   302,  2775,  2776,   581,  2151,    20,  2775,
    2776,   321,  2156,   585,   585,   585,   585,   585,   173,    64,
      68,    48,   959,    16,  2168,   586,    16,   505,   506,   507,
     508,    34,   510,   581,    60,    67,   514,    50,    38,   581,
     581,    54,    55,   586,   213,   581,    35,   216,    35,     7,
     583,   581,   586,   584,   286,   992,  2663,   585,   581,  2203,
     399,  2668,   265,  1000,   177,   586,   397,   235,   237,   235,
     182,   183,   242,   576,   235,   582,  1013,     7,    80,   583,
      76,   586,   583,   586,  1021,   283,   585,   108,   586,   501,
      36,   585,   585,   581,   584,  2862,   585,    16,   583,   583,
     212,   583,   582,    35,  1041,   581,   583,  1044,   586,  1046,
     583,    35,   583,     7,   581,   581,   585,  2668,   230,  1056,
     234,   585,   322,   485,  2731,    50,   413,   414,   581,    54,
      55,   581,   485,   146,     7,  2279,  2280,   583,   151,   152,
     235,   235,  2909,   518,   581,   235,   159,   582,   523,   581,
     525,   584,   165,   166,   167,   168,   169,   170,  1095,   192,
    1097,   583,   583,   302,  2308,    49,    50,   583,   300,   238,
      54,    55,    59,   584,   235,   287,   235,   583,   583,   313,
    2731,   581,   238,   300,   296,   458,   585,   432,   360,   125,
     581,   322,  2336,  2337,   430,   581,   470,   477,   470,   475,
     213,   242,   480,   216,   302,   286,   286,   500,   581,   581,
      25,   586,   581,   226,   300,   360,   125,   242,   242,   242,
     242,   146,   511,   509,   237,  2832,   151,   152,    36,   581,
    2837,   515,  2839,   521,   159,  2842,   581,  3098,  3099,   520,
     165,   166,   167,   168,   169,   170,  2390,  2391,    36,   581,
     586,  2395,   581,    25,   307,  2862,   586,   459,  2402,   235,
     302,  2405,   146,   492,   586,   242,   235,   151,   152,  3040,
     242,   472,   173,   183,   111,   159,   183,   583,   581,   584,
     444,   165,   166,   167,   168,   169,   170,  2431,   213,  2433,
     581,   216,   444,   439,   501,  1612,   581,  1612,   581,   586,
    2444,  1612,  2909,  2173,   229,   584,   581,  3446,  2915,  2862,
    2813,   581,  2919,  2214,   581,   427,   428,   429,   581,    50,
     581,  2928,   581,    54,    55,   583,  2214,  2214,  2214,   213,
    2491,  2814,   216,  2812,  2492,  1816,  2493,  2459,  1135,  2267,
    1543,  2485,   355,  3098,   264,   229,  1544,  2491,  3099,  1116,
    2515,  1546,  2669,  2675,   146,   280,  3281,  2964,  1980,  1890,
    3303,  2740,    93,  1892,  1209,  1999,  2742,  1761,  2919,   294,
    2554,  2572,  2594,  2628,  3205,  3040,  2772,  2928,  3057,  3218,
    3220,  2440,  3060,  2527,  2528,  1322,  3061,  1482,  1653,  1690,
    3092,  1258,    -1,  2537,  2538,    -1,   280,    -1,    -1,    -1,
      -1,    -1,    54,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2964,    -1,   146,  1353,   586,    -1,  1356,
     151,   152,  1359,    -1,    -1,   156,   157,    -1,   159,    -1,
      -1,    54,    55,    -1,   165,   166,   167,   168,   169,   170,
    1377,    -1,    -1,    -1,    -1,    -1,  1383,  1384,    -1,  1386,
    1387,    -1,  1389,  1390,  1391,  1392,  1393,  1394,    -1,    -1,
    1397,  1398,    -1,  1400,    -1,    -1,  1403,  1404,    -1,    -1,
      -1,    -1,    -1,    -1,   586,    -1,    -1,    -1,  1415,  1416,
    1417,    -1,   213,  1420,    -1,   216,    -1,    54,    55,    -1,
      -1,    -1,    -1,    -1,   146,   226,  3103,    -1,    -1,   151,
     152,    -1,  2646,   155,  2648,    -1,  3113,   159,  3115,    -1,
      -1,    -1,    -1,   165,   166,   167,   168,   169,   170,  1456,
      -1,    -1,    -1,   146,    -1,    92,    -1,    -1,   151,   152,
      -1,    -1,  1469,    -1,    -1,    -1,   159,    -1,   422,   423,
     424,   425,   165,   166,   167,   168,   169,   170,  1485,  1486,
      -1,  2695,  3103,    -1,    -1,    -1,   179,  2701,    -1,    -1,
      -1,   213,    -1,    -1,   216,    -1,   450,    -1,    -1,    -1,
      -1,   455,    -1,   586,    -1,    -1,   460,    54,    55,   146,
      -1,    -1,    -1,    -1,   151,   152,    -1,    -1,   155,    -1,
     213,    50,   159,   216,    -1,    -1,    -1,    -1,   165,   166,
     167,   168,   169,   170,   529,   530,    -1,    -1,    -1,    -1,
      -1,    -1,  2756,  2757,  2758,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,  2767,    77,    78,    79,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,   105,    -1,   268,   213,    -1,    -1,   216,
     575,   576,   577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   586,  3269,    -1,    -1,  2809,    -1,    -1,  2812,   146,
    2814,    -1,    -1,    -1,   151,   152,    -1,    -1,   155,  3446,
    3382,  3383,   159,    -1,    -1,   138,    -1,    -1,   165,   166,
     167,   168,   169,   170,    -1,    -1,    -1,    -1,    -1,   152,
      -1,    -1,   586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2855,  2856,    -1,    -1,    -1,    -1,    -1,  3269,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,   188,
      -1,   190,    -1,    -1,    -1,    -1,   213,    -1,    -1,   216,
      -1,  2885,    -1,    -1,    -1,  2889,    -1,  2891,  2892,    -1,
    2894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     219,   214,    -1,   216,   226,   218,    -1,   226,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,  3385,    -1,
      -1,    -1,    -1,  3390,  1721,  1722,    -1,    -1,    -1,    -1,
    2934,    -1,  2936,  2937,  2938,    -1,  1733,  1734,   450,    -1,
      -1,    -1,   261,    -1,   263,    -1,    -1,   260,    -1,    -1,
      -1,   264,    -1,    -1,   273,    -1,   269,   270,    -1,    -1,
      -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,   305,  2973,
      -1,    -1,  2976,    -1,   293,    -1,    -1,  2981,    -1,  3446,
    3447,    -1,   465,   466,   467,    -1,  1783,    -1,  2992,    -1,
      -1,    -1,   504,  1790,    -1,   586,    -1,  3001,  3002,    -1,
    3004,    -1,  3006,    -1,  3008,    -1,  3010,    -1,    -1,    -1,
      -1,    -1,    -1,  3017,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1821,  3029,  3030,    -1,    -1,    -1,
    3034,  3035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1837,  1838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3056,    -1,    -1,    -1,    -1,  3061,    -1,    -1,
      -1,   488,   489,  3067,   491,    -1,    -1,    -1,    -1,   496,
    3074,    -1,   499,    -1,   586,    -1,    -1,    -1,    -1,  3083,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
     128,    99,   100,   101,   102,   103,   104,   105,   417,   412,
      -1,    -1,    -1,   586,    -1,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,   151,   152,  3119,  3120,  3121,   156,   157,
      -1,   159,    -1,   161,  3128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   172,  3139,  3140,  3141,  3142,  3143,
      -1,    -1,    -1,   181,    -1,  3149,  3150,    -1,  3152,  3153,
    3154,  3155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   586,
      -1,    -1,    -1,  3167,  3168,  3169,    -1,    -1,     8,     9,
      10,    11,    12,    -1,    -1,   213,  1973,  1974,   216,    -1,
      -1,  3185,  3186,    -1,   503,    -1,    -1,  3191,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   154,    -1,    39,
    3204,    -1,    -1,  3207,  3208,    -1,  3210,    -1,    -1,    -1,
    3214,  3215,    -1,    -1,    -1,    -1,    -1,    59,   226,  3223,
      -1,    -1,    -1,  2020,   181,    -1,    -1,    -1,    -1,    -1,
      -1,  3235,  3236,  3237,  2031,    -1,    -1,    -1,    -1,   277,
      -1,    -1,   280,    -1,  3248,    -1,    -1,  3251,  3252,   586,
      -1,  3255,  3256,    -1,   211,    -1,    -1,    -1,    -1,    -1,
     573,   574,    -1,   585,    14,    -1,    16,    17,    18,    19,
      20,    21,  3276,  3277,    -1,    25,    26,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    35,   128,    -1,    38,   131,
      -1,    -1,  2089,  2090,  2091,    -1,  2093,    -1,    -1,    -1,
      50,    51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,
     152,    -1,    -1,    -1,   156,   157,   273,    -1,    -1,   161,
      -1,    -1,   279,    -1,  2121,   282,  2123,    -1,    21,    -1,
     172,  2128,    -1,    -1,    -1,    -1,   293,  3341,  3342,   181,
      -1,    -1,    -1,    -1,    -1,  3349,    -1,    -1,  3352,    -1,
      -1,    -1,   390,  2150,  3358,    -1,    -1,    -1,    -1,  3363,
      -1,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   225,   134,   227,   136,   229,    -1,    -1,
     140,    -1,    -1,    -1,    -1,   145,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   409,    -1,    -1,   412,     3,    -1,    -1,    -1,
     417,     8,     9,    10,    11,    12,   308,    -1,    -1,    -1,
     220,    -1,    -1,    50,    -1,    -1,    -1,    54,    55,    -1,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,    -1,   246,   247,   248,    -1,
      -1,    -1,    -1,   345,    -1,  2302,    -1,   464,    -1,    -1,
      -1,   468,   469,   355,   356,    -1,    -1,    -1,    -1,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   374,   226,    -1,  2332,   211,    -1,    -1,   381,
      -1,   383,    -1,    -1,    -1,   387,   503,    -1,   586,    -1,
      -1,   226,    -1,   303,    -1,    -1,    -1,    -1,    -1,  2356,
    2357,  2358,    -1,    -1,  2361,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   529,    -1,    -1,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    -1,    -1,    -1,   165,   166,
     167,   168,   169,   170,    -1,  2392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   353,   354,    -1,    -1,    14,    -1,    16,
      17,    18,    19,    20,    21,    -1,    -1,    -1,    25,    26,
      -1,   578,    -1,    -1,  2421,    -1,    33,    34,    -1,    -1,
     380,    38,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,   396,    54,    55,    -1,
      -1,    58,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,     8,     9,    10,    -1,   418,   419,
     420,   421,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,    -1,   134,    -1,   136,
      -1,   107,    -1,   140,    -1,    -1,    -1,    -1,   145,    -1,
      -1,    -1,    -1,    -1,   586,    -1,    -1,   497,   498,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2562,   516,   517,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,  2606,
      -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2620,    -1,    -1,    -1,    -1,     3,   579,
     580,    -1,   582,    -1,    -1,    -1,    -1,    -1,   588,   246,
     247,   248,    -1,    18,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,  2650,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    50,    -1,    -1,    -1,    54,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,  2766,
      -1,    -1,    -1,   380,   149,    -1,    -1,    -1,   153,    -1,
      -1,   156,   157,    -1,    -1,    -1,   161,    -1,    -1,   396,
      -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,
      -1,   418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,    -1,    -1,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,    -1,    -1,    -1,
     230,    -1,    -1,   233,   234,    -1,    -1,   237,   238,    -1,
      -1,    -1,    -1,    -1,  2851,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2866,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   267,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2884,    -1,  2886,
     497,   498,   282,    -1,    -1,    -1,    -1,   287,    -1,    -1,
     290,  2898,    -1,    -1,  2901,  2902,   296,    -1,    -1,   516,
     517,   301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   359,
      -1,    -1,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,
      -1,   588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,   383,    16,    17,    18,    19,    20,    21,
      -1,  2998,    -1,    25,    26,    -1,    -1,    -1,  3005,    -1,
      -1,    33,    34,    35,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    54,    55,   424,    -1,    58,   427,   428,   429,
      -1,    -1,    -1,    -1,    -1,   435,    -1,    -1,    -1,  3046,
     440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,   456,    -1,    -1,    -1,
      -1,  3068,    -1,    -1,    -1,  3072,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,    -1,    -1,    -1,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,    -1,   134,    -1,   136,    -1,    -1,    -1,   140,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3145,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3156,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,    -1,    -1,
      -1,  3178,    -1,    -1,  3181,    -1,    -1,    -1,    -1,    -1,
      -1,  3188,  3189,    -1,    -1,  3192,   586,    -1,   220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3213,    -1,    -1,    -1,
    3217,    -1,  3219,    -1,   246,   247,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3239,  3240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3250,    -1,    -1,    -1,    -1,    -1,    -1,
    3257,    -1,  3259,  3260,  3261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,    -1,    -1,    -1,    -1,  3315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3327,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,  3338,    16,    17,    18,    19,    20,    21,    -1,    -1,
      -1,    25,    26,    -1,    -1,    -1,    -1,  3354,   380,    33,
      34,    35,    -1,    -1,    38,    -1,    -1,  3364,    -1,    -1,
      -1,    -1,    -1,    -1,   396,    -1,    50,    51,    -1,    -1,
      54,    55,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,   421,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,    -1,
     134,    -1,   136,    -1,    -1,    -1,   140,    -1,    -1,    -1,
      -1,   145,    -1,    -1,    -1,   497,   498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   516,   517,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   579,   580,    -1,
     582,    -1,    -1,    -1,    -1,    -1,   588,    -1,    -1,    -1,
      -1,    -1,   246,   247,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,
     354,    -1,    -1,    14,    -1,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    25,    26,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    35,    -1,   380,    38,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,   396,    54,    55,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,    -1,   134,    -1,   136,    -1,    -1,    -1,   140,
      -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   497,   498,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   516,   517,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,   588,   246,   247,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   353,   354,    -1,    -1,    14,    -1,    16,    17,
      18,    19,    20,    21,    -1,    -1,    -1,    25,    26,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    35,    -1,   380,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,   396,    54,    55,    -1,    -1,
      58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,
     421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,    -1,    -1,    -1,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,    -1,   134,    -1,   136,    -1,
      -1,    -1,   140,    -1,    -1,    -1,    -1,   145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   497,   498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,   588,   246,   247,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   353,   354,    -1,    -1,    14,
      -1,    16,    17,    18,    19,    20,    21,    -1,    -1,    -1,
      25,    26,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      35,    -1,   380,    38,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,   396,    54,
      55,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
      -1,    -1,    -1,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,    -1,   134,
      -1,   136,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,
     145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,
     498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,
     588,   246,   247,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,   354,
      -1,    -1,    14,    -1,    16,    17,    18,    19,    20,    21,
      -1,    -1,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    -1,   380,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,   396,    54,    55,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   418,   419,   420,   421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,    -1,    -1,    -1,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,    -1,   134,    -1,   136,    -1,    -1,    -1,   140,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   497,   498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   516,   517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,   588,   246,   247,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,
      58,    -1,    -1,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    82,    83,    84,    85,    86,    87,
      88,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,    -1,    -1,    -1,    -1,    -1,   380,    -1,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,   421,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   497,   498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,
     248,    -1,    -1,    -1,   516,   517,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   579,   580,    -1,
     582,    -1,    -1,    -1,    -1,    -1,   588,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   353,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,   396,    -1,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,   421,    -1,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,   104,   105,   106,
      -1,    -1,   109,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   141,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,
     498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   579,   580,    -1,    -1,    -1,    -1,   585,   586,   246,
     247,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    82,    83,
      84,    85,    86,    87,    88,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   106,    -1,    -1,   109,   110,    -1,    -1,    -1,
      -1,    -1,    -1,   380,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,    -1,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     497,   498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   246,   247,   248,    -1,    -1,    -1,    -1,   516,
     517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   579,   580,    -1,    -1,    -1,    -1,   585,    -1,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,
      -1,    -1,   396,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   497,   498,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   516,   517,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,    -1,   220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   579,   580,    -1,    -1,    -1,
      -1,   585,   246,   247,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   497,   498,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   516,   517,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,    -1,    -1,    -1,    -1,    -1,
      21,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   579,   580,    -1,   582,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      21,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      21,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,   247,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
      -1,    -1,    -1,    -1,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,   380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   396,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,
     421,    -1,    -1,    -1,   353,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,
     419,   420,   421,    -1,    23,    24,   497,   498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    58,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   497,   498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
      -1,    -1,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   353,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      50,    -1,    -1,    -1,    54,    55,    -1,    -1,   497,   498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,
      -1,    -1,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     579,   580,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,   151,   152,    -1,   154,   155,    -1,    -1,    -1,   159,
     160,    -1,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,    -1,
      -1,    -1,   182,    -1,   184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   213,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,   229,
      -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     270,    -1,    -1,    -1,   274,   275,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,   284,    -1,   286,    -1,    -1,    -1,
     290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,   315,    -1,   317,   318,    -1,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,   337,    -1,    -1,
      -1,   341,   342,   343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   351,    -1,    -1,    -1,   355,    -1,    -1,   358,   359,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   384,    -1,   386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   586
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   593,   594,    77,    78,    79,   138,   152,   177,
     178,   214,   216,   218,   229,   260,   264,   269,   270,   412,
     573,   574,   655,   656,   657,   658,   788,   789,   790,   791,
     793,   794,   795,   802,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   813,   814,   817,   818,   819,   820,   821,
     822,   823,   825,   826,   851,   877,   888,   889,   890,   891,
     922,   960,   961,   962,   963,   964,   965,   966,   967,  1022,
    1023,  1048,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,
       0,     3,    40,    50,    54,    55,    81,   136,   138,   139,
     142,   144,   146,   148,   149,   150,   152,   165,   166,   167,
     168,   169,   170,   216,   222,   228,   229,   571,   572,   581,
     595,   596,   659,   661,   662,   663,   664,   675,   726,   728,
     729,   730,   731,   732,   733,   738,   752,   755,   765,   766,
     767,   830,   831,   852,   856,   859,   862,   878,   881,   892,
     899,   913,   916,   918,   921,   925,   926,   969,   970,   972,
     974,   975,   980,  1011,  1014,  1024,  1025,  1037,  1038,  1049,
    1052,  1059,  1060,  1071,  1076,  1077,     3,     3,     3,    14,
      16,    17,    18,    19,    20,    21,    25,    26,    33,    34,
      38,    50,    51,    54,    55,    58,   112,   113,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   134,   136,   140,   145,   220,   246,   247,
     248,   303,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   353,   354,   380,   396,   418,   419,   420,   421,
     497,   498,   516,   517,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   579,   580,   582,   588,   600,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   652,
     653,   654,   684,   701,   703,   704,   707,   708,   709,   710,
     714,   715,   829,    21,    25,   153,   801,   824,   827,    21,
     827,   827,    80,   215,   827,   827,     3,   177,    50,   188,
     190,   219,   226,   261,   263,   273,   282,   293,   417,   503,
     136,   163,   186,   188,   190,   265,   266,   267,   268,    42,
     153,   585,   815,   827,   264,    25,   237,   261,   567,   568,
     569,  1069,     3,    21,    22,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   592,   599,   271,   599,   599,   714,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    99,   100,   101,
     102,   103,   104,   105,   211,   226,   665,   582,   582,   147,
      21,    25,   625,   188,   189,   206,   570,   171,   188,   625,
     149,   226,   227,   228,   753,   754,  1051,   177,   505,   562,
      16,   582,   597,   600,   161,   239,   734,   154,   181,   211,
     273,   279,   282,   293,   409,   412,   417,   464,   468,   469,
     503,   529,   578,   924,  1010,    51,   599,   739,   146,   151,
     152,   155,   159,   213,   216,   237,   586,   730,   740,   741,
     747,   769,   585,   834,   739,   739,   739,   739,    50,    54,
      55,    88,   120,   154,   155,   160,   165,   166,   167,   168,
     178,   182,   184,   225,   229,   231,   237,   270,   274,   275,
     282,   283,   284,   286,   290,   314,   315,   317,   318,   321,
     336,   337,   341,   342,   343,   351,   355,   358,   359,   361,
     363,   366,   367,   384,   386,   395,   586,   740,   842,   843,
     902,   903,   910,   739,   739,   739,    49,    50,   229,   280,
     422,   423,   424,   425,   450,   455,   460,   586,   731,   740,
     928,   929,   930,   931,   932,   739,   179,   244,   268,   465,
     466,   467,   586,   740,   747,   971,   585,   128,   156,   157,
     161,   172,   181,   390,   586,   740,   742,   739,   739,   739,
     739,   226,   237,   355,   586,   740,   747,   842,  1042,  1044,
     229,   280,   294,   529,   530,   575,   576,   577,   586,   740,
     747,   842,  1050,  1074,  1075,   739,   739,   155,   576,   586,
     740,  1078,    16,    33,    35,   582,   588,   590,   600,   700,
     702,   708,    36,   604,    36,    18,    19,   605,   606,   135,
      34,   135,   714,    16,   585,   585,   582,   582,   582,   582,
     582,   582,   582,   582,   114,   115,   116,   117,   689,   714,
      16,    17,    19,    20,   582,   589,   600,   605,   606,   613,
     684,   685,   688,   690,   691,   692,   695,   697,   698,   582,
      52,    52,     3,     8,     9,    10,    11,    12,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    39,    39,    42,
     153,   585,   770,     3,   770,    25,   626,   626,   827,   827,
       3,    42,   153,   585,   773,     3,   278,    21,    25,   153,
     828,     3,   262,     3,   796,     3,   803,    21,   792,   292,
     163,   190,   267,   304,   155,   267,   449,   462,   463,   792,
     190,   267,   153,     3,     3,     3,     3,     3,     3,     3,
       3,    88,   152,   518,   560,   561,   562,   563,   564,   565,
    1057,  1058,    16,   816,   626,   923,  1069,     3,  1069,     3,
       3,   505,  1070,    28,   599,   676,   660,   597,    98,   599,
     600,   600,    16,    18,    21,    51,   582,   727,   581,   770,
     770,   597,    41,    42,    43,    44,   173,   597,   601,   773,
     581,    25,   223,   581,   559,   566,   625,  1055,   230,   597,
     598,   598,   714,   581,   599,   585,   737,   415,   416,   973,
     502,    21,    51,   585,   147,   601,   770,   768,   160,   625,
     625,   773,   238,   581,   585,   745,   581,   581,   833,   835,
     585,   585,   585,   585,   230,   323,   335,   581,    25,   326,
     327,    50,   369,    50,   369,    50,   369,    50,   369,   324,
     625,   601,   370,   177,   314,   317,   238,   226,   308,   340,
     349,   378,   322,   229,   601,   900,   581,   597,    18,    19,
      21,   272,   602,   894,   388,   602,   893,   291,   242,   316,
     322,   242,   314,   294,   338,   339,   338,   148,   601,   344,
     352,   294,   294,   360,   358,    53,   286,   326,   327,   601,
     368,   597,   385,   291,   389,   581,   581,   585,   847,   585,
     908,   581,   585,   585,   585,   461,   177,   376,   727,   601,
     146,   597,   601,   147,   601,   369,   927,   745,   581,   585,
     585,   601,    52,   231,    16,    51,   185,    16,   156,   157,
     581,   581,   597,   136,   137,   153,   158,   173,   179,   673,
     749,   173,   749,    21,   748,   173,   214,   161,   581,   581,
     585,   585,   585,   585,    19,    20,    21,   616,   620,   238,
     161,   581,   581,   581,    87,   319,   347,   357,   526,   527,
     528,  1039,  1040,   585,  1047,   177,   364,   597,   161,   233,
     601,   242,   153,   601,  1072,   581,   581,   585,   585,  1079,
    1083,   242,   581,     7,   702,   702,   702,   714,    18,    19,
     589,   695,   702,   702,    15,    16,    16,    36,    33,    34,
     135,    34,   649,   649,   748,   714,   714,   714,   714,   714,
     714,   714,    16,   584,   583,   584,    35,   687,   689,   714,
      33,    34,   585,     7,   584,   589,   584,   589,   705,   706,
     714,    16,    16,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   711,    50,    54,
      55,   165,   166,   167,   168,   169,   170,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   800,   162,
     163,   164,   186,   187,   190,   771,   772,     3,     3,     3,
       3,   162,   217,   774,   775,     3,   850,   828,     3,     3,
       3,    80,   110,   136,   149,   153,   156,   157,   161,   180,
     203,   204,   205,   207,   208,   209,   620,   673,   799,     3,
      21,    81,   136,   149,   150,   161,     3,   792,   792,   792,
     792,   792,   792,   792,   968,   153,   792,   153,   792,     3,
     792,   792,     3,   584,   586,     3,     3,     3,   136,   161,
     185,   673,     3,  1070,   597,     3,   714,   582,   667,   668,
     670,   674,   665,   581,   584,   584,   762,   763,   714,   581,
     598,   581,   597,   224,   225,   378,  1053,   597,  1054,   153,
     585,  1056,   597,    45,    46,    47,   583,   736,   739,    21,
     727,   756,   759,   760,   601,   744,   746,    75,   586,   832,
     836,   837,   855,   861,   880,   242,   242,   602,   581,   597,
     597,    88,   398,   581,   581,   229,   371,   242,   365,   601,
     242,   242,   601,   350,   217,   601,   226,   379,   625,   242,
     581,   581,   585,   787,   581,    21,   613,   619,    37,   603,
      48,    53,   375,   376,   581,   390,   391,   392,   393,   394,
     898,   603,    48,    53,   581,   601,   597,   242,   242,   597,
     242,   601,   601,   147,   601,   601,   581,   601,   601,   601,
     601,   601,   601,   377,    53,   601,   601,   581,   601,   581,
      53,   601,   601,   846,   848,   849,   907,   909,   915,   920,
     601,   242,   365,   601,   601,   601,   173,   597,   746,   933,
     598,   598,    16,    16,   600,   671,   672,   714,    42,   597,
     751,   180,   751,   751,   601,   748,   979,  1013,  1026,  1043,
     601,   748,    25,   602,   602,    50,   125,   127,   282,  1039,
    1046,   581,   601,   601,   597,   300,   597,   760,   761,   597,
      16,   583,   702,   589,    51,    16,   135,    34,   650,   651,
     583,   584,   583,   584,   584,   584,   584,   583,   583,   714,
     714,   584,     7,   584,   584,   583,    16,   582,   685,   692,
     697,   584,   583,    53,    53,    23,    24,   709,   712,   829,
     584,   586,   584,   586,     3,   273,   274,   600,     3,   620,
      18,    19,    20,    21,   605,   606,   607,   608,   609,   797,
     798,   671,   600,   161,   161,   153,   600,    21,   600,   801,
       3,   626,   626,   626,   626,   626,   626,     3,    21,    64,
     146,   238,   320,   397,   422,   454,   792,   626,   792,   626,
     626,   626,  1058,   671,    25,   748,   625,     3,   581,   583,
     666,    13,   669,   585,   665,   599,   625,   600,   760,   581,
     583,    25,    46,    47,    46,    47,   625,   625,  1057,   581,
     581,    52,   231,   239,   240,   243,   586,   735,    34,   758,
     584,   581,   152,   586,   742,   743,   272,   581,   585,   840,
     277,   280,   390,   586,   740,   742,   853,    86,   155,   283,
     284,   290,   586,   740,   860,   155,   305,   586,   740,   747,
     879,   597,   597,   581,   581,   581,   601,   585,   601,   895,
     177,   242,   597,   581,   581,   597,   597,   581,   601,   601,
     581,   350,   597,   581,   597,   786,   901,   894,   599,   894,
     597,   597,   581,   893,   597,   597,   581,   581,   597,   597,
     581,   597,   581,   581,   727,   581,   581,   581,   581,   581,
     581,   581,   581,   601,   581,   597,   581,   581,   581,   601,
     581,   581,    75,   271,   586,   743,   845,   746,    59,   131,
     156,   157,   225,   227,   229,   308,   345,   355,   356,   362,
     374,   381,   383,   387,   586,   743,   906,    93,   156,   157,
     226,   586,   730,   740,   842,   911,   912,   914,   136,   161,
     245,   413,   414,   586,   673,   740,   919,   597,   597,   155,
     160,   262,   376,   424,   441,   443,   447,   451,   452,   586,
     934,   941,   944,   670,   174,   750,   601,   581,    92,   155,
     488,   489,   491,   496,   499,   586,   740,   747,   976,   155,
     450,   504,   586,   740,   747,  1012,    48,   316,   348,   350,
     518,   523,   525,   586,   740,   747,  1027,  1029,    50,  1041,
     581,   581,   603,    50,    16,   622,   623,   597,   601,   601,
      21,    82,    83,    84,    85,    86,    87,    88,   106,   109,
     110,   141,   143,   585,   586,   600,   707,   709,   716,   719,
     725,   829,  1045,   173,  1073,   597,   585,  1082,   702,   702,
      19,    34,    34,   647,   648,   714,   714,   714,   714,   714,
     584,   583,   584,    35,   687,   714,   687,    35,   687,   687,
     584,   714,   714,    16,    16,   713,   772,   775,    51,    18,
      19,    21,   801,   801,     3,     3,     3,     3,     3,     3,
      16,   727,   727,   727,   626,     3,   626,     3,     3,     3,
     665,   665,   677,   665,   678,   681,   682,   683,   717,   719,
     599,   581,   583,   584,   586,   241,   241,   601,   601,   244,
     245,   581,    25,   626,   757,   759,   770,   581,   599,   839,
     841,    41,   281,   161,   581,   864,   865,   871,   865,   872,
     602,   876,   291,   581,   882,   887,   146,   581,   584,   581,
     581,    92,   215,   390,   398,   400,   402,   405,   896,   897,
     581,   365,   601,   597,   581,   581,   581,   581,   581,   601,
     581,   581,   184,   229,   231,   232,   235,   236,   586,   785,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   272,   276,   600,   581,   302,   364,   161,   161,   370,
     161,   177,    59,   346,   161,   154,   357,   601,   601,   382,
     601,   597,   601,   581,    20,   410,   410,   410,   411,   745,
     581,   671,    25,   748,   597,   625,   131,   581,   953,   959,
     383,   426,   451,   601,   936,   383,   601,   935,   238,   619,
     937,   938,   453,   601,   581,   455,   954,   175,   176,   177,
     178,    21,   606,   618,   990,   995,   981,   989,   977,   978,
     618,   163,   500,   581,  1015,  1021,   601,   597,   581,   597,
     179,  1028,    52,  1028,    18,    19,    21,    25,   582,   627,
    1030,    66,   522,  1031,  1028,   581,   597,   623,    36,   705,
     705,   582,   714,   714,   714,   720,   582,   582,   679,   680,
      28,   581,    28,   705,    39,    28,   597,  1081,    36,    34,
      48,    56,    57,    58,    59,    61,    62,    63,    66,    68,
      69,    74,    75,   586,   633,   634,   635,   636,   637,   645,
     586,   634,   635,   636,   637,   646,   584,   583,   583,   583,
     583,   714,   714,   583,   584,     7,   583,   584,   583,   584,
       7,   583,   584,   584,    16,   582,    19,     3,     3,   599,
      98,   674,   599,   586,   682,   581,    16,   242,   242,   597,
     598,    18,    19,    21,   605,   606,   621,    68,   275,   586,
     838,    21,   582,   709,   829,   857,   858,   854,   748,   154,
     165,   166,   283,   863,   761,   585,   870,    37,   285,   873,
     601,   761,   147,   597,   173,   408,   404,   133,   401,   403,
     406,   407,   584,   586,   581,   581,   581,   581,   601,   233,
     234,   234,   598,   597,   581,   273,   274,   600,    92,   159,
     273,   277,   844,   179,   320,   335,   343,   233,   234,   601,
     601,   601,   229,   371,   748,   601,   302,   320,   347,   348,
     905,   748,   582,   588,   690,   917,   917,   917,    20,   746,
     321,   760,   955,   597,   597,   601,   585,   597,   585,   727,
     585,   597,   597,   585,   585,   994,   761,   585,   602,   996,
    1001,    25,   585,  1002,  1007,   601,    64,   761,   173,   597,
      68,   597,   714,  1029,  1032,  1033,   597,    16,   581,   581,
     600,   829,   581,   107,   585,    21,   665,   718,   724,   724,
     586,   678,   714,   714,   581,   723,   714,   483,   586,  1080,
      16,    34,    60,    64,    65,    67,     8,     9,    10,    28,
      29,    30,   112,   113,   597,   631,   638,   639,   640,    38,
     641,   642,   642,   644,    21,   605,   617,   581,   638,   641,
     644,   618,   581,   714,   583,   583,    35,   687,    35,   687,
      35,   687,     7,    35,   687,    35,   687,   586,   706,   581,
     583,    28,   581,   583,   598,   598,   597,   597,   581,   714,
     584,   674,   870,   869,   866,   599,   625,   286,   874,   585,
     886,   601,   581,   399,   265,   897,   235,   235,   235,   372,
     373,   601,   904,   904,   602,   397,   177,   242,   601,   690,
     694,   601,   956,   585,   958,   946,   946,   939,   942,   993,
     992,   585,   988,   997,  1003,   597,   585,  1020,   597,   601,
     583,   585,   583,   583,   719,   699,   599,    80,   714,    21,
     709,   725,   829,   581,   581,   712,   581,   602,   581,     7,
     597,    11,    12,   632,   584,    12,   584,   632,   597,    70,
      71,    72,    73,   643,   584,   632,    76,   583,   583,   583,
     583,   584,     7,   583,   583,   583,   584,   582,   583,     7,
     583,   583,     7,   583,   583,   714,   583,   858,   866,   182,
     183,   184,   212,   231,   232,   235,   236,   287,   586,   776,
     777,   779,   780,   781,   867,   602,   283,   875,   885,   883,
     598,   598,   598,   601,   597,   584,   589,   954,   957,   586,
     619,   947,   948,   586,   262,   383,   442,   586,   940,   230,
     287,   296,   427,   428,   429,   586,   776,   943,   127,   482,
     483,   486,   487,   586,   991,   987,   986,  1000,  1006,   501,
    1019,  1016,  1034,   581,   581,   108,     6,    16,    17,   582,
     586,   684,   686,   688,   690,   691,   693,   696,   721,   724,
     724,   581,   597,   640,   631,   639,   642,   642,    36,   642,
     642,    16,    35,   687,    35,   687,   687,     7,   687,   581,
     601,   585,   233,   234,   234,   598,   597,   158,   192,   288,
     289,   868,    25,    26,   582,   629,   630,   708,   715,   585,
     784,   581,   601,    48,    59,    64,   173,   233,   234,   237,
     287,   295,   296,   297,   308,   310,   312,   586,   776,   884,
     690,    64,   230,   233,   234,   237,   238,   267,   282,   287,
     290,   296,   301,   359,   383,   424,   427,   428,   429,   435,
     440,   450,   456,   586,   776,   945,   442,   448,   949,   601,
     597,   601,   581,   597,   158,   288,   438,   597,   597,   322,
     205,   597,   581,   601,   485,   485,   601,   601,   581,    52,
      92,   160,   226,   231,   238,   471,   473,   474,   478,   479,
     481,   488,   489,   499,   586,   982,   485,   490,   586,   998,
     271,   485,   586,  1004,    26,   628,   630,    48,   184,   233,
     234,   237,   282,   287,   294,   297,   335,   359,   427,   450,
     467,   505,   506,   507,   508,   510,   514,   586,   776,  1017,
     518,   519,   524,   586,  1035,   719,   679,   714,     7,   584,
     587,   714,   583,   584,   597,   597,   597,   597,   643,   643,
     583,   583,   583,   584,   583,   582,   583,   778,   779,   235,
     235,   235,   194,   195,   192,   714,    51,    86,   147,   185,
     191,   210,   782,   597,   302,   298,   299,   309,   597,   300,
      68,    69,   221,   301,   764,   238,   158,   306,   597,   235,
     235,    59,    52,   231,   311,   383,   313,   581,   430,   431,
     432,   433,   434,   435,   436,   437,   597,   300,    68,   301,
     764,   238,   458,   585,   601,   158,   288,   438,   432,   597,
     597,   360,   597,   601,   597,   322,   205,   597,   335,   457,
     597,   125,   430,   581,   597,   581,   597,   597,   597,   597,
     470,   476,   995,   128,   485,   128,   476,   485,   322,   470,
     477,   470,   601,   475,   242,   480,   302,   286,   983,   286,
     984,   500,   581,   484,   597,  1008,   996,   999,   581,  1002,
    1008,  1005,   581,   597,   601,   300,    68,   301,   764,   238,
     512,   601,   158,   194,   438,   513,  1018,   597,   242,   602,
     360,   242,   125,   369,   430,   242,   242,   444,   597,   509,
     511,   515,   581,   521,   520,   625,  1036,   581,   583,   582,
     686,   693,   679,   722,   581,   714,    36,    36,   687,   687,
     586,   581,   598,   598,   598,   194,   195,   583,    25,   624,
      51,   185,   597,   624,   192,   193,   199,   200,   201,   202,
     783,    51,   185,   586,   165,   166,   597,   597,   597,   597,
     597,   601,   307,   598,   598,   302,   598,   598,   597,   597,
     601,   445,   446,   597,   597,   597,   601,   459,   950,   601,
     234,   601,   597,   597,   601,   601,   597,   601,   492,  1009,
    1009,   235,   242,   493,   494,   495,   985,   597,   985,   242,
     597,   597,   235,   597,   472,   601,   597,   597,   173,   601,
    1001,   601,  1007,    64,   286,   597,   597,   597,   597,   601,
     601,   597,   234,   601,   598,   597,   597,   597,   601,   601,
     601,   601,   183,   183,   714,   111,   583,   597,   597,   583,
     584,   778,   581,   624,   624,   581,   581,   194,   195,   196,
     197,   198,   194,   195,   196,   197,   198,   581,   624,   624,
     784,   602,   602,   601,   601,   586,   602,   952,   444,   601,
     597,   597,  1009,   597,  1009,   597,   601,   597,   597,   601,
     444,   625,   625,   719,   581,   687,   782,   581,   581,   782,
     782,   782,   581,   581,   439,   951,   501,   584,   782,   782,
     782,   782,   581,   628,   687,   583
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   591,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   593,
     593,   594,   594,   595,   595,   596,   597,   597,   597,   598,
     598,   598,   599,   599,   599,   600,   601,   601,   601,   601,
     601,   601,   602,   602,   602,   603,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   613,   614,   614,
     615,   615,   616,   616,   616,   616,   616,   616,   617,   617,
     618,   618,   619,   619,   620,   620,   621,   621,   621,   621,
     621,   622,   623,   623,   624,   625,   625,   626,   626,   627,
     627,   627,   627,   627,   628,   628,   629,   629,   629,   630,
     630,   630,   631,   631,   631,   631,   631,   631,   631,   631,
     632,   632,   633,   633,   633,   633,   633,   633,   633,   633,
     633,   633,   634,   635,   636,   637,   637,   638,   638,   638,
     638,   639,   639,   640,   640,   641,   641,   641,   642,   642,
     643,   643,   643,   643,   644,   644,   644,   645,   645,   645,
     645,   646,   646,   646,   646,   646,   647,   647,   648,   648,
     649,   650,   651,   652,   653,   654,   654,   655,   656,   655,
     657,   655,   658,   595,   660,   659,   595,   661,   595,   662,
     595,   663,   595,   664,   665,   665,   665,   665,   665,   665,
     665,   665,   665,   665,   665,   665,   665,   665,   665,   665,
     665,   665,   666,   666,   667,   667,   668,   668,   669,   669,
     670,   671,   672,   671,   673,   674,   595,   676,   677,   675,
     678,   678,   680,   679,   681,   681,   682,   683,   683,   684,
     684,   685,   685,   685,   685,   685,   685,   686,   686,   686,
     686,   687,   688,   688,   688,   688,   688,   688,   688,   688,
     688,   688,   689,   689,   689,   689,   690,   690,   690,   691,
     691,   691,   691,   691,   691,   691,   691,   692,   692,   692,
     692,   692,   693,   693,   693,   693,   693,   694,   694,   695,
     695,   696,   696,   697,   697,   697,   697,   698,   698,   699,
     699,   699,   700,   700,   701,   702,   702,   702,   702,   702,
     702,   702,   702,   702,   703,   703,   703,   703,   703,   703,
     703,   703,   703,   703,   703,   703,   704,   704,   704,   704,
     705,   705,   705,   706,   707,   708,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   711,
     710,   712,   713,   712,   712,   712,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   715,   716,   716,   716,   717,   717,   718,   718,
     719,   719,   719,   720,   721,   722,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   719,   723,   719,
     719,   719,   724,   725,   725,   725,   595,   726,   726,   727,
     727,   727,   727,   595,   728,   595,   729,   730,   730,   730,
     730,   730,   730,   730,   730,   730,   731,   731,   595,   732,
     733,   734,   734,   735,   735,   735,   735,   735,   735,   736,
     736,   737,   737,   595,   738,   738,   739,   739,   739,   739,
     740,   740,   740,   740,   740,   740,   740,   740,   741,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   743,   743,
     744,   744,   745,   745,   746,   747,   748,   749,   749,   749,
     749,   750,   750,   750,   750,   750,   751,   751,   595,   752,
     752,   752,   595,   753,   753,   753,   753,   754,   754,   754,
     754,   754,   754,   754,   754,   755,   756,   757,   757,   758,
     758,   759,   760,   760,   761,   762,   763,   764,   764,   765,
     766,   767,   767,   767,   767,   767,   768,   769,   770,   770,
     770,   771,   771,   772,   772,   772,   772,   772,   772,   773,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   778,
     778,   779,   779,   780,   780,   781,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   784,
     785,   785,   785,   785,   785,   785,   785,   786,   786,   787,
     655,   788,   655,   789,   655,   790,   655,   791,   792,   792,
     655,   793,   655,   794,   655,   795,   796,   796,   796,   796,
     796,   796,   796,   796,   796,   796,   796,   796,   796,   796,
     796,   796,   796,   796,   797,   797,   797,   797,   797,   797,
     797,   797,   798,   798,   798,   798,   799,   799,   799,   799,
     800,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     800,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     801,   655,   802,   803,   803,   803,   803,   803,   803,   803,
     655,   804,   655,   805,   655,   806,   655,   807,   655,   808,
     655,   809,   655,   810,   655,   811,   655,   812,   655,   813,
     655,   814,   815,   815,   815,   816,   816,   655,   817,   655,
     818,   655,   819,   655,   820,   655,   821,   655,   822,   655,
     823,   824,   824,   655,   825,   655,   826,   827,   827,   827,
     828,   828,   828,   829,   829,   829,   829,   595,   830,   831,
     832,   833,   833,   834,   834,   835,   836,   837,   838,   838,
     839,   839,   840,   840,   841,   842,   843,   844,   844,   844,
     844,   845,   845,   845,   845,   845,   845,   846,   846,   847,
     847,   849,   848,   850,   850,   850,   850,   655,   851,   765,
     852,   853,   853,   853,   853,   854,   853,   855,   855,   856,
     857,   857,   858,   858,   858,   858,   765,   859,   860,   860,
     860,   860,   860,   860,   861,   861,   862,   863,   863,   863,
     863,   864,   864,   865,   866,   867,   867,   867,   867,   867,
     867,   867,   867,   868,   868,   868,   868,   868,   868,   869,
     869,   870,   870,   871,   872,   873,   873,   873,   874,   874,
     875,   875,   876,   655,   877,   765,   878,   879,   879,   879,
     879,   880,   880,   881,   882,   883,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   885,   885,   886,   886,   887,   829,   655,   888,
     655,   889,   655,   890,   655,   891,   765,   892,   893,   893,
     893,   894,   894,   894,   894,   894,   895,   895,   896,   896,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   898,
     898,   898,   898,   898,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   900,   901,   899,   899,   899,   899,   902,   902,   902,
     902,   902,   902,   902,   902,   902,   902,   902,   902,   903,
     904,   904,   904,   905,   905,   905,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   907,   907,   908,   908,   909,   910,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   662,   765,   911,   912,   913,   914,   914,   914,   914,
     914,   914,   914,   914,   915,   915,   916,   917,   917,   765,
     918,   919,   919,   919,   919,   919,   919,   919,   919,   920,
     920,   921,   655,   922,   923,   923,   923,   923,   923,   923,
     765,   924,   924,   924,   925,   926,   926,   927,   927,   928,
     929,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   930,   931,   932,   933,   933,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   935,
     934,   936,   934,   934,   934,   934,   937,   937,   938,   939,
     939,   940,   940,   940,   941,   941,   942,   942,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   944,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   946,
     946,   947,   948,   949,   949,   949,   950,   950,   951,   951,
     952,   953,   954,   954,   956,   955,   957,   957,   958,   958,
     959,   829,   829,   829,   829,   655,   960,   655,   961,   655,
     962,   655,   963,   655,   964,   655,   965,   655,   966,   655,
     967,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     765,   969,   970,   970,   970,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   765,   973,   972,   974,   974,
     974,   974,   765,   975,   976,   976,   976,   976,   977,   976,
     978,   976,   976,   976,   976,   979,   979,   980,   981,   982,
     982,   982,   982,   982,   982,   982,   982,   982,   982,   982,
     982,   982,   982,   982,   982,   982,   983,   982,   984,   982,
     982,   982,   982,   982,   985,   985,   985,   986,   987,   987,
     988,   988,   989,   990,   991,   991,   991,   991,   991,   992,
     993,   993,   994,   994,   995,   996,   997,   998,   998,   998,
     999,  1000,  1000,  1001,  1001,  1002,  1003,  1004,  1004,  1004,
    1005,  1006,  1006,  1007,  1007,  1008,  1008,  1009,  1009,   829,
     829,   765,  1010,  1010,  1011,  1012,  1012,  1012,  1012,  1012,
    1012,  1013,  1013,  1014,  1015,  1016,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1018,  1018,  1018,  1018,  1019,  1019,  1020,
    1020,  1021,   829,   829,   655,  1022,   655,  1023,   765,  1024,
    1025,  1026,  1026,  1027,  1027,  1027,  1027,  1027,  1027,  1027,
    1027,  1027,  1027,  1028,  1028,  1029,  1030,  1031,  1031,  1032,
    1033,  1034,  1034,  1035,  1035,  1035,  1036,   765,  1037,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1039,  1039,  1039,  1039,
    1039,  1039,  1040,  1040,  1041,  1041,  1043,  1042,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1045,  1046,  1046,
    1047,  1047,   655,  1048,  1049,  1050,  1050,  1050,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   595,   595,  1051,  1052,
    1053,  1053,  1054,  1054,  1055,  1055,  1055,  1056,  1056,  1057,
    1057,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
     595,  1059,  1059,   595,  1060,  1060,  1060,  1060,   655,  1061,
     655,  1062,   655,  1063,   655,  1064,   655,  1065,   655,  1066,
     655,  1067,   655,  1068,  1069,  1069,  1070,  1070,  1070,   765,
    1071,  1049,  1049,  1072,  1072,  1073,  1073,  1074,  1074,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,   765,  1076,  1077,  1077,
    1078,  1078,  1078,  1079,  1080,  1081,  1081,  1082,  1082,  1083,
     829,   829
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     0,     2,     1,     1,     5,     1,     3,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     0,     2,     2,     2,     3,
       7,     2,     2,     5,     5,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     2,     1,     1,     1,     2,     4,     1,
       3,     1,     3,     1,     3,     4,     6,     6,     0,     1,
       1,     1,     1,     1,     2,     4,     4,     2,     2,     2,
       2,     2,     4,     2,     2,     2,     0,     3,     0,     3,
       0,     0,     0,     6,     6,     1,     1,     1,     2,     1,
       2,     1,     2,     1,     0,     4,     1,     2,     1,     4,
       1,     6,     1,     8,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     0,     4,     2,     5,     0,     4,     0,     2,
       1,     1,     0,     2,     2,     4,     1,     0,     0,     7,
       0,     1,     0,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     1,     5,     7,     5,     7,     9,     7,     5,     7,
       5,    11,     1,     1,     2,     1,     7,     9,     7,     7,
       9,     7,     9,     7,     9,     7,    15,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     2,     2,     6,     1,     3,     0,
       4,     3,     1,     3,     3,     2,     4,     3,     4,     2,
       2,     2,     2,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     1,     5,     7,     7,     1,
       0,     1,     3,     1,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       4,     1,     0,     5,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     4,     1,     1,     1,     1,     1,     1,     3,
       3,     5,     7,     6,     6,     6,     6,     4,     8,     4,
       1,     1,     4,     1,     1,     1,     5,     3,     2,     1,
       3,     4,     6,     0,     0,     0,     9,     4,     3,     4,
       4,     5,     5,     3,     3,     3,     2,     5,     0,     5,
       7,     9,     0,     1,     1,     1,     1,     4,     5,     1,
       3,     1,     1,     1,     3,     1,     5,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     0,     1,     2,     2,     4,     4,     3,     3,     0,
       3,     0,     3,     1,     1,     1,     0,     1,     2,     3,
       0,     2,     2,     2,     3,     2,     2,     2,     1,     2,
       2,     2,     3,     3,     3,     2,     4,     3,     1,     2,
       0,     3,     0,     3,     0,     3,     1,     2,     1,     1,
       1,     0,     2,     2,     2,     2,     2,     1,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     2,     4,     3,
       4,     4,     3,     4,     4,     3,     0,     1,     2,     0,
       1,     3,     1,     3,     1,     0,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     5,     0,     3,     1,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     1,     1,     1,     4,     1,     0,
       3,     5,     2,     1,     1,     2,     0,     5,     5,     5,
       5,     4,     4,     4,     4,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     0,
       2,     4,     4,     4,     2,     2,     1,     0,     3,     3,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     3,     4,     4,     3,     2,     2,     2,     2,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     4,     0,     2,     2,     2,     2,     2,     2,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     4,     1,     3,
       1,     4,     1,     1,     3,     0,     1,     1,     4,     1,
       4,     1,     4,     1,     3,     1,     4,     1,     4,     1,
       3,     2,     2,     1,     4,     1,     2,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       1,     0,     3,     0,     3,     0,     3,     3,     2,     2,
       0,     3,     0,     3,     0,     3,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     3,     3,     0,     3,     0,
       3,     0,     2,     0,     2,     2,     2,     1,     5,     1,
       2,     1,     1,     3,     3,     0,     4,     0,     3,     5,
       1,     3,     3,     1,     1,     1,     1,     2,     1,     2,
       2,     2,     2,     3,     0,     3,     5,     1,     1,     1,
       1,     0,     2,     0,     0,     2,     4,     4,     4,     2,
       2,     2,     1,     1,     1,     2,     2,     3,     3,     0,
       3,     0,     3,     4,     3,     0,     2,     2,     0,     2,
       0,     2,     4,     1,     5,     1,     2,     1,     1,     2,
       4,     0,     3,     5,     0,     0,     0,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     3,
       4,     4,     4,     2,     2,     3,     3,     3,     3,     3,
       3,     1,     0,     3,     0,     3,     4,     1,     1,     6,
       1,     6,     1,     6,     1,     6,     2,     2,     0,     3,
       3,     0,     3,     3,     2,     2,     1,     3,     1,     3,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     4,     6,
       4,     6,     6,     4,     6,     5,     5,     4,     5,     5,
       6,     6,     3,     3,     4,     5,     6,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     5,     6,     6,     6,
       5,     6,     6,     8,     6,     6,     6,     7,     5,     6,
       5,     4,     4,     4,     4,     5,     5,     6,     5,     5,
       6,     5,     5,     6,     7,     7,     7,     5,     5,     4,
       4,     0,     0,     6,     6,     5,     5,     1,     1,     2,
       2,     2,     2,     2,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     4,
       4,     2,     3,     2,     2,     2,     2,     3,     5,     5,
       4,     3,     3,     3,     3,     3,     2,     2,     2,     3,
       3,     0,     3,     0,     3,     0,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     6,     1,     1,     3,     2,     1,     1,     1,     2,
       3,     3,     3,     3,     0,     3,     5,     1,     3,     1,
       2,     1,     2,     2,     2,     1,     2,     2,     4,     0,
       3,     5,     1,     4,     0,     3,     3,     3,     2,     3,
       2,     1,     2,     2,     2,     3,     3,     0,     1,     2,
       3,     1,     1,     2,     2,     3,     3,     3,     3,     4,
       2,     4,     3,     2,     3,     1,     2,     4,     0,     3,
       2,     1,     2,     3,     3,     3,     3,     2,     3,     0,
       5,     0,     5,     2,     2,     1,     4,     1,     1,     0,
       3,     2,     2,     2,     5,     2,     0,     3,     0,     2,
       2,     3,     2,     2,     3,     2,     2,     2,     1,     3,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     2,
       3,     2,     3,     3,     4,     4,     2,     2,     2,     3,
       3,     3,     2,     3,     3,     3,     4,     2,     1,     0,
       2,     3,     1,     0,     1,     2,     0,     2,     0,     1,
       3,     0,     0,     2,     0,     3,     0,     3,     0,     3,
       3,     1,     1,     1,     1,     1,     4,     1,     6,     1,
       6,     1,     6,     1,     7,     1,     6,     1,     7,     1,
       5,     0,     2,     3,     2,     3,     3,     2,     3,     2,
       2,     2,     3,     3,     3,     1,     3,     3,     2,     3,
       3,     2,     2,     2,     2,     2,     0,     4,     2,     3,
       3,     5,     1,     2,     1,     1,     2,     2,     0,     3,
       0,     3,     6,     2,     3,     0,     3,     5,     0,     4,
       4,     3,     4,     2,     3,     3,     3,     3,     4,     4,
       4,     3,     3,     4,     4,     2,     0,     3,     0,     3,
       6,     3,     3,     4,     1,     1,     1,     0,     0,     3,
       0,     3,     4,     1,     2,     2,     2,     4,     4,     0,
       0,     3,     0,     3,     3,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     2,     0,     2,     1,
       1,     1,     1,     2,     2,     1,     1,     2,     4,     2,
       2,     0,     3,     5,     0,     0,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     4,     3,
       2,     2,     1,     1,     1,     1,     1,     0,     3,     0,
       3,     4,     1,     1,     1,     6,     1,     6,     1,     2,
       5,     0,     3,     1,     1,     2,     3,     1,     2,     3,
       3,     3,     4,     0,     1,     2,     1,     2,     6,     0,
       0,     0,     3,     4,     4,     2,     0,     2,     2,     3,
       3,     3,     3,     5,     5,     4,     3,     2,     3,     3,
       3,     3,     1,     2,     0,     2,     0,     4,     2,     3,
       5,     1,     2,     2,     2,     2,     2,     1,     0,     2,
       0,     3,     1,     4,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     0,     5,
       2,     0,     0,     2,     2,     2,     1,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     1,     3,     4,     3,     3,     1,     4,
       1,     5,     1,     3,     1,     3,     1,     3,     1,     4,
       1,     2,     1,     3,     0,     1,     0,     1,     2,     2,
       2,     3,     3,     1,     1,     0,     2,     1,     1,     1,
       1,     2,     3,     2,     3,     4,     2,     2,     3,     3,
       1,     2,     3,     0,     2,     0,     3,     0,     3,     3,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 539:
#line 146 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 540:
#line 147 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 545:
#line 163 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 7384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 547:
#line 172 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 7390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 548:
#line 173 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 7398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 549:
#line 179 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 7404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 550:
#line 180 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 7410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 551:
#line 181 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 7416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 556:
#line 190 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 7422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 557:
#line 191 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 558:
#line 192 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 559:
#line 193 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 560:
#line 194 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 561:
#line 195 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 562:
#line 202 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 203 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 204 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 7473 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 211 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 7479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 212 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 7485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 219 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 7494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 226 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 7507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 236 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 7523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 249 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 7545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 268 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 7554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 274 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 7563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 280 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 7574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 574:
#line 288 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 7585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 575:
#line 296 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 7594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 306 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 7600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 319 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 328 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 337 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 346 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 7640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 356 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 7646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 357 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 7652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 358 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 7665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 369 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 7675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 377 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 7686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 604:
#line 386 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 7696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 395 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 7705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 403 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 7711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 407 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 7717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 610:
#line 408 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 611:
#line 409 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 612:
#line 410 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 7741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 613:
#line 417 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 7751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 615:
#line 426 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 7757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 430 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 7763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 617:
#line 431 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 7769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 618:
#line 432 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 7779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 621:
#line 442 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 7785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 622:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 7791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 623:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 7797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 7803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 625:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 7809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 626:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 7815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 627:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 7821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 7827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 629:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 7833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 7839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 631:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 7845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 632:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 7851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 7857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 7863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 7869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 7875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 637:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 7881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 7887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 7893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 640:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 7899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 62 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 7905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 642:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 7911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 7917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 7923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 645:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 7929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 7935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 647:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 7944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 7953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 7962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 7973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 655:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 7982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 7991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 8006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 8012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 8018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 8024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 8030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 8036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 8078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 8089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 181 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 8100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 188 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 8106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 8112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 192 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 8121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 684:
#line 198 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 8130 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 402 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 8140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 406 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 8152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 417 "filter/config.Y" /* yacc.c:1646  */
    { cf_eval_int((yyvsp[0].x)); }
#line 8158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 421 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 8166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 427 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 8180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 703:
#line 440 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 8196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 704:
#line 454 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 8202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 705:
#line 455 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 8208 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 456 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 8214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 457 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 8220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 708:
#line 458 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 8226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 709:
#line 459 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 8232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 710:
#line 460 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 8238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 711:
#line 461 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 8244 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 712:
#line 462 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 8250 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 713:
#line 463 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 8256 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 714:
#line 464 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BYTESTRING; }
#line 8262 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 465 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 8268 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 466 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 8274 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 467 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 8280 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 468 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 8286 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 469 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 8292 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 720:
#line 470 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ROUTE; }
#line 8298 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 721:
#line 471 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 8323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 722:
#line 494 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 723:
#line 495 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8340 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 724:
#line 504 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 725:
#line 505 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 726:
#line 513 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 727:
#line 514 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 8371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 728:
#line 521 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_VOID; }
#line 8377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 522 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 731:
#line 528 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 8392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 532 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 8401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 733:
#line 535 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 8413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 545 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 8422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 735:
#line 552 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 8431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 737:
#line 561 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 8441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 565 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 8463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 581 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 8475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 592 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 8481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 593 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 8487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 596 "filter/config.Y" /* yacc.c:1646  */
    { cf_push_soft_scope(new_config); }
#line 8493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 596 "filter/config.Y" /* yacc.c:1646  */
    { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 8499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 600 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 8510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 609 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 8526 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 626 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 627 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8538 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 640 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 8544 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 641 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 8550 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 642 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 8556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 643 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 8562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 644 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 8571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 648 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 8581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 656 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 8587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 657 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = cf_eval((yyvsp[-1].x), T_INT); }
#line 8593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 658 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 8599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 659 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 8605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 663 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 8611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 666 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 667 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 668 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 8629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 669 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 766:
#line 670 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 671 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 8647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 672 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 673 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 674 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 8665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 8671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 772:
#line 680 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 8677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 681 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 8683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 682 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 8689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 683 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 8695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 687 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 688 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 689 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 8713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 693 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 780:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 781:
#line 695 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 8731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 696 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 8737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 783:
#line 697 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 8743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 698 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 8749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 8755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 701 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 8761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 708 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 8767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 709 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 8773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 716 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 8779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 717 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 8785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 722 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 727 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 732 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 736 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 8809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 8815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 738 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 8821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 739 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 8831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 747 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 8837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 748 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 8843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 751 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 8849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 752 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 8861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 759 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 8873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 812:
#line 769 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 8879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 770 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 8885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 774 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 8891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 778 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 8897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 779 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 780 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 781 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 8918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 785 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 786 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 821:
#line 787 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 822:
#line 788 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 8942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 823:
#line 789 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 8948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 8954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 794 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 8960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 826:
#line 795 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 8966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 827:
#line 796 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 8972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 828:
#line 797 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 8978 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 8984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 799 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 8990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 831:
#line 800 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 8996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 801 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 833:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 807 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 835:
#line 808 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 812 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 813 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 814 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 815 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 821 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 9054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 822 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 823 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 827 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 843 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 9094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 852 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 9114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 870 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 9120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 871 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 9126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 872 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 9132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 873 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 9138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 874 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 9144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 875 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 9150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 876 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 9156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 877 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 9162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 878 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 9168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 879 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 9174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 880 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 9180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 881 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 9186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 882 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 9192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 885 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_start((yyvsp[-1].x)); }
#line 9198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 885 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 9204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 887 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 9212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 890 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_args();
   }
#line 9220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 892 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 9228 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 895 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 9238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 900 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 9248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 908 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 909 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 910 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 911 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 912 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 913 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 915 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 917 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 918 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 919 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 920 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 921 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 923 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 9344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 924 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 9350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 926 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 930 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 9374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 932 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 9380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 936 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 9386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 937 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 9392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 938 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 9398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 939 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 9404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 941 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 942 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 943 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 944 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 946 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 9434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 9440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 949 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 9446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 956 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 9452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 960 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 9458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 961 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 9464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 962 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 9470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 966 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 9479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 970 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 9488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 977 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 9494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 978 "filter/config.Y" /* yacc.c:1646  */
    { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 9500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 982 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 9508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 985 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 9516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 988 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 9524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 991 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 9534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 997 "filter/config.Y" /* yacc.c:1646  */
    { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 9540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 999 "filter/config.Y" /* yacc.c:1646  */
    { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 9546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 1000 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 9555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 1004 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 9572 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 1016 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 9593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 1032 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 9601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 1035 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 9611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 1040 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 9619 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 1043 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 9633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 923:
#line 1052 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 9641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 1055 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 9649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 1058 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 9657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 1061 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 9663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 1062 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 9671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 1065 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 9679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 1067 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 9688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 1071 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 9694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 1072 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 9700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 1076 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 9708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 1081 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 9726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 1094 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 9732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 1095 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 9738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 937:
#line 166 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 9744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 167 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 9750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 171 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 9756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 172 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 9762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 173 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 9768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 174 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 9781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 186 "nest/config.Y" /* yacc.c:1646  */
    { new_config->hostname = (yyvsp[-1].t); }
#line 9787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 190 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 9793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 196 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 9799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 197 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 9805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 198 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 9811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 199 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 9817 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 200 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 9823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 201 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 9829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 202 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 9835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 203 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 9841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 204 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 9847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 9853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 221 "nest/config.Y" /* yacc.c:1646  */
    {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 9861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 228 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = 1; }
#line 9867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 232 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = (yyvsp[0].i); }
#line 9873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 964:
#line 233 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 9883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 238 "nest/config.Y" /* yacc.c:1646  */
    { this_table->min_settle_time = (yyvsp[0].time); }
#line 9889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 239 "nest/config.Y" /* yacc.c:1646  */
    { this_table->max_settle_time = (yyvsp[0].time); }
#line 9895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 240 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_threshold = (yyvsp[0].i); }
#line 9901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 241 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 9907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 257 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 9913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 260 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 9919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 261 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 9925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 265 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 9936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 271 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 9945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 275 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 9960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 979:
#line 285 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 9973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 981:
#line 297 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 9979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 298 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 9985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 983:
#line 299 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 9991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 300 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 9997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 301 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 10003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 302 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 303 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 308 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 313 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 318 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 10039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 319 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 10045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 320 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 993:
#line 321 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 10057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 994:
#line 322 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 10063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 995:
#line 323 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 10069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 996:
#line 324 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 10075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 325 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 10081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 331 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->debug = (yyvsp[0].i); }
#line 10087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 345 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 355 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 10104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 358 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 10110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 360 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 10116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 361 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 10122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 365 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 366 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 10134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 367 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 10140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 368 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 10146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 369 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 373 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 10158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 374 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 10164 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 381 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 10170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 382 "nest/config.Y" /* yacc.c:1646  */
    { new_config->channel_default_debug = (yyvsp[0].i); }
#line 10176 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 383 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 10182 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 391 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_route; }
#line 10188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 392 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_proto; }
#line 10194 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 393 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_base; }
#line 10200 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 394 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = &new_config->tf_log; }
#line 10206 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 398 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 10212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 399 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 10218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 400 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 10224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 401 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 10230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 402 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 10236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 403 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 10242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 404 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 10248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 405 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 10254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 416 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 10264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 424 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 10270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 425 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 10276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 429 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 10282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 430 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 10288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 444 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 10294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 446 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 10304 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 458 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 10310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 459 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 10316 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 466 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 10325 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 477 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 10331 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 481 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 10341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 495 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 496 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 497 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 506 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 10371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 507 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 10377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 508 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 10383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 509 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 10389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 510 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 10395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 10401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 517 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 518 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 519 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 524 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 528 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 10431 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 529 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 10437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 556 "nest/config.Y" /* yacc.c:1646  */
    {
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 10450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 566 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 10456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 567 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 10462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 568 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 10468 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 569 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 10474 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 570 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 10480 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 571 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 10486 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 572 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 10492 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 573 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 10498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 574 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 10504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 578 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 10510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 579 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 10516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 580 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 10522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 581 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 10528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 582 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 10534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 583 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 10540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 584 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 10546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 585 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 10552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 586 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 10558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 587 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 10564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 588 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_128; }
#line 10570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 589 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_256; }
#line 10576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 590 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_256; }
#line 10582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 591 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_512; }
#line 10588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 595 "nest/config.Y" /* yacc.c:1646  */
    {
  password_validate_length(this_p_item);
}
#line 10596 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 603 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 10602 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 604 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 10608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 605 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 10614 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 606 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 10620 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 607 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 10626 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 608 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 10632 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 609 "nest/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 10638 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 625 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 10644 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 628 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 10650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 631 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 10656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 634 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 10662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 637 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 10668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 638 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 10674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 642 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 10680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 645 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 10686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 649 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 10692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 652 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 10703 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 658 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 10714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 664 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 10725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 670 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 10737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 677 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 683 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 10760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 690 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 695 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 700 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 10790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 705 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 10800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 710 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 10809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 714 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 10818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 718 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 10827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 722 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 10842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 732 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 10854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 739 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 10868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 748 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 10877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 752 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 10886 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 759 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 10895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 766 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 10904 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 770 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 10913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 774 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 10922 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 778 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 10938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 794 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 10944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 795 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 10950 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 798 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 10956 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 799 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 10962 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 800 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 10968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 801 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORTED; }
#line 10974 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 806 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 10980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 807 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 10986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 808 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 10992 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 809 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 10998 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 810 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 11004 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 811 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 11010 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 812 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 11016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 813 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 11022 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 814 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 11028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 815 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 11034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 816 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 11040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 817 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 11046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 818 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 11052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 819 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 11058 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 820 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 11064 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 821 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 11070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 822 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 11076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 823 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 11082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 824 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 11088 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 825 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 11094 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 829 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 11106 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 840 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 11112 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 843 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 11120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 846 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 11126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 847 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 11132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 848 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 11138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 849 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 11144 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 850 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 11150 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 851 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 11156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 857 "nest/config.Y" /* yacc.c:1646  */
    { rdump(&root_pool); cli_msg(0, ""); }
#line 11162 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 859 "nest/config.Y" /* yacc.c:1646  */
    { sk_dump_all(); cli_msg(0, ""); }
#line 11168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 861 "nest/config.Y" /* yacc.c:1646  */
    { io_log_dump(); cli_msg(0, ""); }
#line 11174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 863 "nest/config.Y" /* yacc.c:1646  */
    { if_dump_all(); cli_msg(0, ""); }
#line 11180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 865 "nest/config.Y" /* yacc.c:1646  */
    { neigh_dump_all(); cli_msg(0, ""); }
#line 11186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 867 "nest/config.Y" /* yacc.c:1646  */
    { rta_dump_all(); cli_msg(0, ""); }
#line 11192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 869 "nest/config.Y" /* yacc.c:1646  */
    { rt_dump_all(); cli_msg(0, ""); }
#line 11198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 871 "nest/config.Y" /* yacc.c:1646  */
    { protos_dump_all(); cli_msg(0, ""); }
#line 11204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 873 "nest/config.Y" /* yacc.c:1646  */
    { filters_dump_all(); cli_msg(0, ""); }
#line 11210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 876 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 11216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 879 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 11225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 885 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 11231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 886 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 887 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 11243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 891 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 11249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 892 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 11258 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 899 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 901 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11270 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 903 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11276 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 905 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 11282 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 907 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 11288 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 909 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 11294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 913 "nest/config.Y" /* yacc.c:1646  */
    { /* Done in debug_args */  }
#line 11300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 916 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 11306 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 917 "nest/config.Y" /* yacc.c:1646  */
    { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 11312 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 922 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 11318 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 925 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 11324 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 928 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11330 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 929 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11336 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 930 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11342 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 934 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11348 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 935 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11354 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 936 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11360 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 939 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 11366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 941 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 11372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 942 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 11378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 943 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 11384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 35 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 11390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 51 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 11396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 57 "nest/mpls.Y" /* yacc.c:1646  */
    {
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 11409 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 67 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 11415 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 68 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 11421 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 82 "nest/mpls.Y" /* yacc.c:1646  */
    {
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 11437 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 98 "nest/mpls.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 11459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 117 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_STATIC; }
#line 11465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 118 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 11471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 119 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 11477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 120 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_VRF; }
#line 11483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 125 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 11489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 126 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 11495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 127 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 11501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 128 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 11507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 129 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 11513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 142 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_channel_postconfig(this_channel); }
#line 11519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 147 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 11530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 154 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 11557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 177 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 11569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 185 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 11581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 195 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_show_ranges((yyvsp[-1].msrc)); }
#line 11587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 32 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 11599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 43 "proto/aggregator/config.Y" /* yacc.c:1646  */
    { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 11605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 44 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    _Bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 11640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 74 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 11649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 77 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 11659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 90 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 11672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 101 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 11682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 106 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 11701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 120 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 11711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 125 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 11721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 38 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 11733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 52 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 11739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 65 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 11745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 66 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 11751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 67 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 11757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 68 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 11763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 72 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 11772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 80 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 11789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 94 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 11812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 114 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 11818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 115 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 11824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 116 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 11830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 117 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 11836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 118 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 11842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 119 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 11848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 120 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 11854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 121 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 11860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 125 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 11866 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 126 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 11872 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 127 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 11878 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 11884 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 129 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 11890 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 130 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 11896 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 148 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 11902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 152 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 11908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 153 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 11914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 154 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 11920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 158 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 11926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 159 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 11932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 163 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 164 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 11944 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 168 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 11964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 187 "proto/bfd/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 11970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 36 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 11980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 46 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 11986 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 59 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 12009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 80 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 12077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 146 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 147 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 12089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 148 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 12095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 149 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 12101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 150 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 12107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 151 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 12113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 152 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 12119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 153 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 12125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 154 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 12131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 155 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 156 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 12143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 157 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 12149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 158 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 12155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 159 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 12161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 160 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 12167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 161 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 12173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 162 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 12179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 163 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 12185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 164 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 12191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 165 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 12197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 166 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 12203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 167 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 12209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 168 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 12215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 169 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 12221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 187 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 12227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 192 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 12233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 195 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 12239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 198 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 12245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 201 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 12251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 50 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 12287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 85 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 86 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 12299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 91 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 92 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 12311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 93 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 12317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 94 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 12323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 99 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 12329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 100 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 105 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 12341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 109 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 12347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 12353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 111 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 12359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 112 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 12365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 113 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 12371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 114 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 12377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 115 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 12383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 116 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 12389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 117 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 12395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 121 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PEER; }
#line 12401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 122 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 12407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 123 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 12413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 124 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 12419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 125 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 12425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 134 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 12434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 139 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 12445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 145 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 12457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 152 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 12463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 153 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 12469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 154 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 12475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 155 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 12481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 156 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 12487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 12493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 12499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 12505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 12511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 12517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 12523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 12529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 12539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 169 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 12545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 170 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 12551 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 171 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 12557 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 172 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 12563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 173 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 12569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 12575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 12581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 12587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 12593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 12599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 12605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 12611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 12617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 12623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 12629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 12635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 12641 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 12647 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 12653 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 12659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 12665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 12671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 12677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 192 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 12683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 12689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 194 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 12695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 12701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 12707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 12713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 12719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 12725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 12731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 12737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 12743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 12749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 12755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 12761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 12767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 207 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 12773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 208 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 12779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 209 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 12785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 12791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 211 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 12797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 212 "proto/bgp/config.Y" /* yacc.c:1646  */
    { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 12803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 213 "proto/bgp/config.Y" /* yacc.c:1646  */
    { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 12809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 214 "proto/bgp/config.Y" /* yacc.c:1646  */
    { open_bfd_opts(&BGP_CFG->bfd); }
#line 12815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 214 "proto/bgp/config.Y" /* yacc.c:1646  */
    { close_bfd_opts(); }
#line 12821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 215 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 12827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 216 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 12833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 217 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 12839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 221 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 12845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 222 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 12851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 12857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 224 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 12863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 225 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 12869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 226 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 12875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 227 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 12881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 228 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 12887 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 229 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 12893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 230 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 12899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 231 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 12905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 232 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 12911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 236 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 12939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 261 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 262 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 12951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 263 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 12957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 269 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 12963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 270 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 12969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 271 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 12975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 272 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 12981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 273 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 12987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 274 "proto/bgp/config.Y" /* yacc.c:1646  */
    { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 12993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 275 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 12999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 276 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 13005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 277 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 13011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 278 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 13021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 13027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 284 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 13033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 285 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 13039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 286 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 13045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 287 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 13051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 288 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 13057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 289 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 13063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 290 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 13069 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 291 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 13075 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 292 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 13081 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 293 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 13087 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 294 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 13093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 295 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 13109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 306 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 13124 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 329 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 13135 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 340 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 13141 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 342 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 13147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 344 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 13153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 346 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 13159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 348 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 13165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 350 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 13171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 352 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 13177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 354 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 13183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 356 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 13189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 358 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 13195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 360 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 13201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 362 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 13207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 364 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 13213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 366 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER)); }
#line 13219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 368 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 13237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 53 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 13253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 68 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 13261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 77 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 13267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 78 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 13273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 79 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 13279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 80 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 81 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 94 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 13297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 95 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 13303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 13311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 13317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 13323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 13329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 13335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 13341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 13347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 13353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 13359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 13365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 57 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 13371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 58 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 13377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 59 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 13383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 60 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 13389 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 61 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 13395 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 13401 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 212 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 13407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13413 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13419 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 217 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 221 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 13443 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 13449 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 242 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 13455 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 247 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 13467 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13473 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 13479 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 13485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 13491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 13497 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 13503 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 13509 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 13515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 13521 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 13527 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 13533 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 13539 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 271 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 13545 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 275 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 13563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 290 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 13569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 13575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 13581 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 13587 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 13593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 13599 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 13605 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 13611 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 13617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 13623 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 13629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 309 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 13635 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 321 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 13646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 13652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 13658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 337 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 13664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 13670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 342 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 13676 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 13682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 13688 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 13694 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 13700 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 13706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 13712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 13718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 13724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 359 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 13730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 364 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 13750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 13756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 13762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 13768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 13774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 13780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 13786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 13792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 13798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 13804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 13810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 13816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 13822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 13828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 13834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 13840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 13846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 13852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 13858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 13864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 13870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 13876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 13882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 13888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 406 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 13900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 13906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 13912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 13918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 13924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 13930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 13936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 13942 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 13948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 13954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 13960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 13966 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 419 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13972 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 431 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 13982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 13988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 441 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 13994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 451 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 455 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 14017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 464 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 14042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 488 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 492 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 14054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 506 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 14066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 14072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 511 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 14078 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 512 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 14084 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 516 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 14090 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 519 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 14096 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 522 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 14102 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 527 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 14108 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 530 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 14114 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 535 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 14120 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 538 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 14126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 542 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 14137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 550 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 14145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 553 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 14151 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 554 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 14157 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 555 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 14163 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 556 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 14169 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 557 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 14175 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 14181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 559 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 14187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 560 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 14193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 14209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 14221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 14227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 14233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 14239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 14245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 14251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 14257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 54 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 14263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 55 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 14269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 14275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 14283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 14296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 14302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 56 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 14317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 71 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 14323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 14335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 14347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 74 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 14353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 75 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 14359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 76 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 14365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 89 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 14392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 113 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 14398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 114 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 14404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 115 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 14410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 14416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 117 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 14422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 118 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 14428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 14434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 14440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 14446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 14452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 14477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 14483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 134 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 14489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 135 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 14495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 136 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 14501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 14513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 14519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 14525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 139 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 14531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 140 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 14537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 141 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 14543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 142 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 14549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 146 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 14555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 147 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 14561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 148 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 14567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 151 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 14608 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 14622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 215 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 14628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 216 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 14634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 217 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 14640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 218 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14649 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 222 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 229 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 14670 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 253 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 262 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 269 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 14697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 273 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 14713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 297 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 14728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 309 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 316 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 14743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 320 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 14759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 344 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 14765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 345 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 14771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 349 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 14777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 350 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 14783 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 353 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 14789 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 354 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 14795 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 50 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14801 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 51 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14807 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 55 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 14823 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 14829 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 71 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14835 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 72 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 14841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 86 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 14869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 111 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 14902 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 14908 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 14914 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 14920 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 14926 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 145 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 14932 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 146 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 14938 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 147 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 14947 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 14953 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 14959 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 14965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 14971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 14977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 14983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 14989 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 14995 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 15001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15007 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 15013 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 15019 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 15025 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 15031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 15037 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 166 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 15043 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 167 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 15049 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 168 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15055 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 15061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 170 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 15067 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 174 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 15073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 175 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 15079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 176 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15085 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 177 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15091 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 194 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 15097 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 195 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 15103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 200 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 15109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 203 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 15115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 43 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 15126 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 50 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 15132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 64 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 15143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 70 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 15154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 76 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 15165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 82 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 15171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 86 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 87 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 15183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 90 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 15189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 93 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 15209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 115 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 15219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 122 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 15233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 138 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 15239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 139 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 15245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 140 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 15251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 144 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 15260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 57 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 15269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 65 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 15275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 15281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 68 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 15294 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 76 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 15300 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 80 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 15310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 85 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 15320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 90 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 15328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 93 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 15336 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 96 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 15345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 100 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 15353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 112 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 15359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 115 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 15374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 129 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 15383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 133 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 15393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 138 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 15399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 139 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 15405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 140 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 15411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 141 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 15417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 142 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 15423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 143 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 15429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 147 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 15441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 168 "proto/static/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 15447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 26 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 15453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 27 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 15459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 28 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 15465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 31 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 15471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 32 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 15477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 33 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 15483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 15489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 15495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 37 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 15501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 38 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 15507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 15513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 15519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 15525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 42 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 15531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 15537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 15543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 15549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 46 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 15555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 15561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 15567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 15573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 15579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 15585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 15591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 15597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 15603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 15609 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 15615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 60 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 15621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 62 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 15627 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 63 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 15633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 36 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 15639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 38 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 15648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 45 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 15654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 46 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 15660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 51 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 15666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 55 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 15681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 65 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 15687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 66 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 15693 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 70 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 15699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 71 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 15705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 75 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 15711 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 15717 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 80 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 15723 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 81 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 15729 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 82 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 15735 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 83 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 15741 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 84 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 15747 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 85 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 15753 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 86 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 15759 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 87 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 15765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 88 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 15771 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 95 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 15777 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 96 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 15790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 110 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 15796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 111 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 15802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 112 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 15808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 113 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 15814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 122 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 15820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 125 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 15826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 132 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 15832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 135 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 15838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 138 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 15844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 141 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 15850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 144 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 15856 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 149 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 15862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 153 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 15868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 158 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 159 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 15880 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 160 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 15886 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 45 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 15894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 54 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 15900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 55 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_LEARN_ALL; }
#line 15906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 15912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 15918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 15924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 15930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 73 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 15939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 77 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 15951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 84 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 15957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 15969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 98 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 15975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 107 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 15984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 114 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 15994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 121 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 16000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 138 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 16006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 139 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 16012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 16016 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 58 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 446 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 946 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 189 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 384 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 563 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 149 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 170 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 163 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

